Overview

SEASOFT© consists of modular, menu-driven routines for acquisition, display, processing, and archiving of oceanographic data acquired with Sea-Bird equipment. Sea-Bird recommends the following minimum system requirements for SEASOFT V2: Windows 2000 or later, 500 MHz processor, 256 MB RAM, and 90 MB free disk space for installation. SEASOFT V2 is designed to work with a PC running Win 2000/XP.

Notes:

  • Extensive testing has not shown any compatibility problems when using the software with a PC running Vista.
  • Limited testing has not shown any compatibility problems when using the software with Windows 7 -- the software installs and runs correctly. We do not anticipate any problems.
SEASOFT V2 is actually several stand-alone programs:
  • SeatermV2 (a launcher for Seaterm232, Seaterm485, and SeatermIM), SEATERM, and SeatermAF terminal programs that send commands for status, setup, data retrieval, and diagnostics to a wide variety of Sea-Bird instruments.
    Note: SeatermV2 is used with our newest generation of instruments, which have the ability to output data in XML.
  • Seasave V7 program that acquires and displays real-time and raw archived data.
  • SBE Data Processing program that converts, edits, processes, and plots data - THIS PROGRAM
  • Plot39 program for plotting SBE 39, 39-IM, and 48 data
SBE Data Processing supports the following Sea-Bird products:
  • SBE 9plus CTD with SBE 11plus Deck Unit (often referred to as 911plus) or with SBE 17 or 17plus SEARAM (often referred to as 917plus)
  • SBE 16 SEACAT C-T (pressure optional) Recorder
  • SBE 16plus and 16plus-IM SEACAT C-T (pressure optional) Recorder
  • SBE 16plus V2 and 16plus-IM V2 SEACAT C-T (pressure optional) Recorder
  • SBE 19 SEACAT Profiler
  • SBE 19plus SEACAT Profiler
  • SBE 19plus V2 SEACAT Profiler
  • SBE 21 SEACAT Thermosalinograph
  • SBE 25 SEALOGGER CTD
  • SBE 37-SM, 37-SMP, 37-IM, 37-IMP, 37-SI *, and 37-SIP* MicroCAT Conductivity and Temperature (optional pressure) Recorder
    (* only 37-SI and 37-SIP with firmware version 3.0 and later, which have internal memory)
  • SBE 39 and 39-IM Temperature (optional pressure) Recorder (limited support; see Typical Data Processing Sequences)
  • SBE 45 MicroTSG Thermosalinograph
  • SBE 48 Hull Temperature Sensor (limited support; see Typical Data Processing Sequences)
  • SBE 49 FastCAT CTD Sensor
Additionally, SBE Data Processing supports many other sensors / instruments interfacing with the instruments listed above, including Sea-Bird oxygen, pH, and ORP sensors; SBE 32 Carousel Water Sampler and SBE 55 ECO Water Sampler; and assorted equipment from third party manufacturers.


Differences from DOS Version

SEASOFT was previously available in a DOS version (SEASOFT-DOS). Following are the main differences between SEASOFT-DOS and SEASOFT V2, as they relate to data processing:
  1. SEASOFT V2 does not include the following calibration modules that are available in SEASOFT-DOS:
    • OXFIT - Compute oxygen coefficients.
    • OXFITW - Compute oxygen coefficients using Winkler titration values.
    • PHFIT - Compute pH coefficients.
  2. SEASOFT V2 includes several stand-alone programs; you can install any or all of these programs as desired:
    • SBE Data Processing – replaces the data processing programs and SEACON in SEASOFT-DOS.
    • Terminal Programs - Windows-based terminal programs SeatermV2 (a launcher for Seaterm232, Seaterm485, and SeatermIM), SEATERM, and SeatermAF replace the terminal programs in SEASOFT-DOS (TERM1621, TERM17, TERM19, TERM25, TERM37, TERMAFM, TERM11, and TMODEM).
    • Seasave V7 - Windows-based Seasave replaces Seasave and SEACON in SEASOFT-DOS.
    • Plot39 - Windows-based plotting program for SBE 39, 39-IM, and 48 data.
    • Deployment Endurance Calculator -- deployment length calculator for moored instruments.
  3. The SBE 9plus (with SBE 11plus Deck Unit or SBE 17 or 17plus SEARAM) is the only version of the SBE 9 that is supported in SBE Data Processing. Sea-Bird has been manufacturing the SBE 9plus since 1991.
  4. The SBE 31 is not supported in SBE Data Processing.
  5. Processing capability (for example, interfacing to additional auxiliary sensors) added to our software after November 2000 has been added only to the Windows version.


Feedback to Sea-Bird

Considerable effort has been made to test and check this software before its release. However, because of the wide range of instruments that Sea-Bird produces (and interfaces with) and the many applications that these instruments are used in, there may be software problems that have not been discovered and corrected (click here for a list of known problems). If a problem occurs, please contact us via phone (425-643-9866), email (seabird@seabird.com), or fax (425-643-9954) with the following information:
  • Instrument serial number
  • Version of the software originally shipped with the instrument
  • Version of the software you are attempting to run
  • Complete description of the problem you are having
If the problem involves the configuration or setup of the software, in most cases a phone call to Sea-Bird will be sufficient to solve the problem. If you phone, we would appreciate it if you would be ready to run the software during the phone conversation.

If the problem involves data processing, you may be asked to send a sample of the data to Sea-Bird for evaluation.

If you discover a reproducible bug, please document the steps required to create the problem and send a report to jrobinson@seabird.com or fax to Julia Robinson at 425-643-9954.
We also welcome suggestions for new features and enhancements.


Known Bugs/Compatibility Issues

Some users have reported that SBE Data Processing is incompatible with Windows NT when:
  • Internet Explorer is installed on Windows NT, and
  • Active Desktop was installed from Internet Explorer 4.0.
Problem Symptoms: SBE Data Processing works, but Internet Explorer does not operate properly. Problems include error messages upon opening Internet Explorer, and/or the inability to cut, paste, copy, delete, or rename files in Internet Explorer. Uninstalling SBE Data Processing eliminates the problem with Internet Explorer.
Solution: Uninstall Active Desktop before installing SBE Data Processing. Internet Explorer and SBE Data Processing will work properly.

See Feedback to Sea-Bird to report other software problems.


Software Updates

Sea-Bird supplies the current version of SEASOFT when you purchase an instrument. As software revisions occur, we post the revised software on our FTP site.
  • You may not need the latest version. Our revisions often include improvements and new features related to one instrument, which may have little or no impact on your operation.
See our website’s Software Description page (www.seabird.com/software/softrev.htm) for the latest software version number, a description of the software changes, and instructions for downloading the software from the FTP site.


SBE Data Processing Modules

SBE Data Processing includes the following modules:

Instrument Configuration -
  • Configure - Define instrument configuration and calibration coefficients.
Data Conversion -
  • Data Conversion - Convert raw data (.hex or .dat file) to engineering units, and store the converted data in .cnv file (all data) and/or .ros file (water bottle data).
  • Bottle Summary - Summarize data from water sampler bottle .ros file, storing results in .btl file.
  • Mark Scan - Create .bsr bottle scan range file from .mrk data file.
Data Processing (performed on converted data from a .cnv file) -
  • Align CTD - Align data relative to pressure (typically used for conductivity, temperature, and oxygen).
  • Bin Average - Average data. Bins can be based on pressure, depth, scan number, or time ranges.
  • Buoyancy - Compute Brunt Väisälä buoyancy and stability frequency from data.
  • Cell Thermal Mass - Perform conductivity thermal mass correction.
  • Derive - Calculate salinity, density, sound velocity, oxygen, potential temperature, dynamic height, etc.
  • Filter - Low-pass filter columns of data.
  • Loop Edit - Mark a scan with badflag if scan fails pressure reversal or minimum velocity tests.
  • Wild Edit - Mark a data value with badflag to eliminate wild points.
  • Window Filter - Filter data with triangle, cosine, boxcar, gaussian, or median windows.
File Manipulation -
  • ASCII In - Add header information to a .asc file containing rows and columns of ASCII data.
  • ASCII Out - Output data portion and/or header portion from .cnv file to an ASCII file (.asc for data, .hdr for header). Useful for exporting converted data for processing by other (non-Sea-Bird) software.
  • Section - Extract rows of data from .cnv file.
  • Split - Split data in .cnv file into upcast and downcast files.
  • Strip - Extract columns of data from .cnv file.
  • Translate - Convert data format in .cnv file from ASCII to binary, or vice versa.
Data Plotting -
  • Sea Plot - Plot data (C, T, P as well as derived variables, overlay plots, and TS contour plots). Plots can be sent to a printer or saved to a file or the clipboard. Sea Plot can plot data at any point after Data Conversion has been run.
Miscellaneous -
  • SeaCalc II - Calculate derived variables from one user-input scan of temperature, pressure, etc.


Typical Data Processing Sequences

Listed below are typical data processing sequences for each instrument:
  • Profiling CTDs that have a configuration (.con or .xmlcon) file -- SBE 9plus, 19, 19plus, 19plus V2, 25, & 49
  • Other instruments (moored CTDs and thermosalinographs) that have a configuration (.con or .xmlcon) file -- SBE 16, 16plus, 16plus-IM, 16plus V2, 16plus-IM V2, 21, & 45
  • Moored instruments that do not have a configuration (.con or .xmlcon) file -- SBE 37-SM, 37-SMP, 37-IM, 37-IM, 37-SI, and 37-SIP
  • Moored instruments that do not have a configuration (.con or .xmlcon) file and have limited compatibility with SBE Data Processing - SBE 39, 39-IM, and 48
NOTES
The processing sequence may differ for your application.
  • Sea Plot can display data at any point after a .cnv file has been created.
  • Use ASCII Out to export converted data (without header) to other software.
  • Oxygen computed by Seasave and Data Conversion differs from oxygen computed by Derive. Both algorithms use the derivative of the oxygen signal with respect to time (for formula, see Derived Parameter Formulas):
    • Quick estimate - Seasave and Data Conversion compute the derivative looking back in time, because Seasave cannot use future values while acquiring real-time data.
    • Most accurate results - Derive uses a user-input centered window (equal number of points before and after scan) to compute the derivative.

Profiling CTDs (SBE 9plus, 19, 19plus, 19plus V2, 25, & 49)

The processing sequence is based on a typical situation with a boat at low latitude lowering an instrument at 1 meter/second.

NOTES
  • The example assumes that a configuration (.con or .xmlcon) file is available. A configuration file is provided by Sea-Bird when the instrument is purchased, based on the user-specified configuration and the factory-calibration. An existing .con or .xmlcon file can be modified in Data Conversion, Derive, or Bottle Summary, or in Seasave. If you do not have a configuration file, use the Configure menu to create the file.
  • The order for running Bin Average and Derive can be switched, unless oxygen is being computed in Derive.
  • See the program modules for Sea-Bird recommendations for typical parameter values for filtering, aligning, etc. Use judgment in evaluating your data set to determine the best values.

Program/ Module

Function

1. Seasave, Seaterm232, SEATERM, or SeatermAF

Acquire real-time raw data (Seasave) or upload data from memory (Upload menu in Seaterm232 for19plus V2, or Upload button in SEATERM or SeatermAF, as applicable).

2. Data Conversion

Convert raw data, selecting ASCII as data conversion format. Converted data includes:

  • pressure, temperature, and conductivity

  • (if applicable) dissolved oxygen current and dissolved oxygen temperature (SBE 13 or 23); dissolved oxygen signal (SBE 43)

  • (if applicable) light transmission, pH, fluorescence, etc.

3. Filter

Low-pass filter pressure to increase pressure resolution for Loop Edit and low-pass filter temperature and conductivity to smooth high frequency data.

4. Align CTD

Advance conductivity, temperature, and oxygen relative to pressure, to align parameters in time. This ensures that calculations of salinity, dissolved oxygen, and other parameters are made using measurements from the same parcel of water.

5. Cell Thermal Mass

Perform conductivity cell thermal mass correction if salinity accuracy of better than 0.01 PSU is desired in regions with steep gradients.

6. Loop Edit

Mark scans where CTD is moving less than minimum velocity or traveling backwards due to ship roll.

7. Derive

Compute:

  • salinity, density, and other parameters

  • oxygen from oxygen current and oxygen temperature (SBE 13 or 23) or oxygen signal (SBE 43)

8. Bin Average

Average data into desired pressure or depth bins.

9. Sea Plot

Plot data.

SBE 16, 16plus, 16plus-IM, 16plus V2, 16plus-IM V2, 21, & 45

NOTES
  • The example assumes that a configuration (.con or .xmlcon) file is available. A configuration file is provided by Sea-Bird when the instrument is purchased, based on the user-specified configuration and the factory-calibration. An existing configuration file can be modified in Data Conversion, Derive, or Bottle Summary, or in Seasave. If you do not have a configuration file, use the Configure menu to create the file.
  • Even if your instrument does not have a pressure sensor (SBE 21 and 45; SBE 16, 16plus, 16plus-IM, 16plus V2, and 16plus-IM V2 without optional pressure sensor): Select pressure as an output variable in Data Conversion if you plan to calculate salinity, density, or other parameters that require pressure in Derive or Sea Plot. For the SBE 16 series instruments, Data Conversion inserts a column with the moored pressure (entered in the .con or .xmlcon file Data dialog) in the output .cnv file. For the SBE 21 and 45, Data Conversion inserts a column of 0’s for pressure in the output .cnv file.
  • The SBE 45 outputs data in engineering units. However, you must still run Data Conversion to put the data in a format that can be used by SBE Data Processing’s other modules.
  • For an SBE 21 or 45: If the thermosalinograph has a remote temperature sensor, Seasave, Data Conversion, and Derive all use the remote temperature data when calculating density and sound velocity.

Program/ Module

Function

1. Seasave, Seaterm232, Seaterm485, SeatermIM, of SEATERM

Acquire raw data real-time (Seasave) or upload data from memory:

  • Upload menu in Seaterm232 or Seaterm485 for 16plus V2, or SeatermIM for 16plus-IM V2;

  • Upload button in SEATERM.

2. Data Conversion

Convert raw data, selecting ASCII as data conversion format. Converted data includes:

  • pressure, temperature, and conductivity

  • (if applicable) dissolved oxygen current and dissolved oxygen temperature (SBE 13 or 23); dissolved oxygen signal (SBE 43)

  • (if applicable) light transmission, pH, fluorescence, etc.

3. Derive

Compute:

  • salinity, density, and other parameters

  • oxygen from oxygen current and oxygen temperature (SBE 13 or 23) or oxygen signal (SBE 43)

4. Sea Plot

Plot data.

SBE 37-SM, 37-SMP, 37-IM, 37-IM, 37-SI, & 37-SIP

NOTE

SBE 37-SI and 37-SIP with firmware version 3.0 and later have internal memory; follow the procedure described below to upload and process the data. Earlier versions of the 37-SI and 37-SIP did not have internal memory; SBE Data Processing cannot be used to process the real-time data obtained with these older instruments.

Program/ Module

Function

1. Seaterm232, Seaterm485, SeatermIM, or SEATERM

Seaterm232, Seaterm485, or SeatermIM for SBE 37 with firmware version > 3.0 -- Use Upload menu to upload data (in engineering units) in XML (.xml) format. Use Convert .XML data file in Tools menu to convert .xml to .cnv file, which can be used by SBE Data Processing.
or
SEATERM for SBE 37 with firmware version < 3.0 -- Use Upload button to upload data (in engineering units) in ASCII (.asc) format. Use Convert button to convert .asc to .cnv file, which can be used by SBE Data Processing.

2. Derive

Compute salinity, density, and other parameters.

Note: An SBE 37 stores calibration coefficients internally, and does not have a .con or .xmlcon file. However, Derive requires you to select a .con or .xmlcon file before it will process data. You can use a .con or .xmlcon file from any other Sea-Bird instrument; the contents of the file will not affect the results. If you do not have a .con or .xmlcon file for another Sea-Bird instrument, create one:

  1. Click SBE Data Processing’s Configure menu and select any instrument.

  2. In the Configuration dialog box, click Save As, and save the .con or .xmlcon file with the desired name and location.

3. Sea Plot

Plot data.

SBE 39, 39-IM, & 48

Program/ Module | Function
1. SEATERM | Use Upload button to upload data (in engineering units) in ASCII (.asc) format. Use Convert button to convert .asc to .cnv file, which can be used by SBE Data Processing.
2. Sea Plot | Plot data.
NOTE
The .cnv file from an SBE 39, 39-IM, or 48 cannot be processed by any SBE Data Processing modules other than Sea Plot and ASCII Out.


SBE Data Processing Window

When you double click on SBEDataProc.exe (default location c:\Program Files\Sea-Bird\SBEDataProcessing-Win32) to start the program, the SBE Data Processing window appears:

The window’s menus are described below.
  • Run --
    • List of data processing modules, separated into categories: typical processing for profiling CTDs (1-7), other data processing (8-12), file manipulation (13-18), plotting (19), and seawater calculator (20). Select the desired module to set up the module parameters and process data. Module Dialog Box provides an overview of the module dialog box (for all modules except Sea Plot and SeaCalc II).
    • Command Line Options: Select Command Line Options to assist in automating processing.
    • Exit: Select to exit the program.
  • Configure -- List of Sea-Bird instruments that require a configuration (.con or .xmlcon) file, which defines the number and type of sensors interfacing with the instrument, as well as the sensor calibration coefficients. Select the desired instrument to modify or create a .con file. See Configure Introduction.
  • Help -- General program help files as well as context-specific help.

NOTE
SBE Data Processing modules can be run from the command line. Also, batch file processing can be used to process a batch file to automate data processing tasks. See Command Line Operation and Batch File Processing.


Module Dialog Box

To open a module, select it in the Run menu of the SBE Data Processing window. The module dialog box looks like this:

Each module’s dialog box has three menus:
  • File --
    • Start Process -- begin to process data as defined in dialog box
    • Open -- select a different program setup (.psa) file
    • Save or Save As -- save all current settings to a .psa file
    • Restore -- reset all settings to match last saved .psa file
    • Default File Setup -- reset all settings on File Setup tab to defaults
    • Default Data Setup -- reset all settings on Data Setup tab to defaults
    • Exit or Save & Exit -- exit module and return to SBE Data Processing window
  • Options (where applicable) --
    • Confirm Program Setup Change --
      - If       selected, program provides a prompt to save the program setup (.psa) file if you make changes and click the Exit button or select Exit in the File menu without clicking or selecting Save or Save As.
      - If       not selected, program changes Exit to Save & Exit; to exit without saving changes, use the Cancel button.
    • Confirm Instrument Configuration Change --
      - If       selected, program provides a prompt to save the configuration (.con or .xmlcon) file if you make changes and then click the Exit button in the Configuration dialog box without clicking Save or Save As.
      - If       not selected, program changes Exit button to Save & Exit; to exit without saving changes, use the Cancel button.
    • Overwrite Output File Warning --
      - If       selected, program provides a warning if output data will overwrite an existing file.
      - If       not selected, program automatically overwrites an existing file with the same file name as the output file.
    • Inconsistent Data Setup Warning --
      - If       selected, program provides a warning if the configuration (.con or .xmlcon) file and/or the input data file are inconsistent with the selected output variables. For example, if the user-selected output variables include conductivity difference, but you remove the second conductivity sensor from the configuration file, a warning will appear. The warning details what output variable cannot be calculated, and allows you to retain the change to the configuration file (and remove the inconsistent output variable) or restore the configuration file to the previous configuration.
      - If       not selected, program automatically changes the user-selected output variables to be consistent with the selected configuration or data file.
    • Sort Input Files (applicable only to Sea Plot) --
      - If       selected, Sea Plot sorts the input files in alphabetical order.
      - If       not selected, Sea Plot maintains the order of the files as you selected them using the Ctrl key; use this feature if there is a particular data set you want to use as the base on a waterfall overlay plot. Note that using the Shift key to select files will not maintain the selected order.
    • Diagnostics log -- If selected, brings up a Diagnostics dialog box.
      - Select       Keep a diagnostics log to enable diagnostics output.
      - Click       Select Path to select the location and name for the diagnostics file. The default location is %USERPROFILE%\Application Data\Sea-Bird; the default name is PostProcLog.txt.
      (      Example c:\Documents and Settings\dbresko\Application Data\Sea-Bird\PostProcLog.txt).
      - Select the       level of diagnostics to include: Errors, Warnings (includes Errors), or Information (includes Errors and Warnings).
      - If desired, click       Display Log File to display the contents of the indicated file, using Notepad.
      - If desired, click       Erase Log File to erase the contents of the indicated file. If not erased, SBE Dat6a Processing appends diagnostics data to the end of the file.
      - Click OK.
  • Help -- contains general program help files as well as context-specific help (where applicable)
Each module’s dialog box typically has three tabs File Setup, Data Setup, and Header View. The File Setup and Header View tabs are similar for most of the modules. The Data Setup tab contains input parameters specific to the module see the module description. Additionally, Data Conversion and Derive have a fourth tab – Miscellaneous.

NOTES
  • Previous versions (5.30a and earlier) of SBE Data Processing used program setup files with a .psu extension instead of a .psa extension. Program setup files with a .psa extension can be opened, viewed, and modified in any text editor or XML editor. SBE Data Processing can still use your existing .psu files. However, if you make any changes to the setup (for example, change output variables), SBE Data Processing will save the changes to a new .psa file.
  • The dialog box for Sea Plot (see Sea Plot File Setup Tab, Plot Setup Tab, Axis Setup Tabs, and Header View Tab) and SeaCalc II differ from the other modules.


File Setup Tab in Module Dialog Box

The following example and discussion of the File Setup tab is for Data Conversion. The other modules (except for Sea Plot and SeaCalc II) are similar; however, not all fields are applicable to all modules. The File Setup tab looks like this:

The dialog box entries and buttons are:
  • Program setup file

Directory and file name for file to store all information input in File Setup and Data Setup tabs. Open to select a different .psa file, Save or Save As to save current settings, or Restore to reset all settings to match last saved version.
NOTE: Previous versions (5.30a and earlier) of SBE Data Processing used program setup files with a .psu extension instead of a .psa extension. Program setup files with a .psa extension can be opened, viewed, and modified in any text editor or XML editor. SBE Data Processing can still use your existing .psu files. However, if you make any changes to the setup (for example, change output variables), SBE Data Processing will save the changes to a new .psa file.

  • Instrument configuration file

Directory and file name for instrument configuration (.con or .xmlcon) file, which defines instrument configuration and sensor calibration coefficients. This file is used in Data Conversion, Bottle Summary, and Derive. Select to pick a different file, or Modify to view and/or modify instrument configuration. See Configure to modify the instrument configuration file.

  • Match instrument configuration to input file

Select to have program find .con or .xmlcon file with same name and in same directory as data file. For example, if processing test.dat and this option is selected, program searches for test.xmlcon (in same directory as test.dat); if it does not find text.xmlcon, it searched for test.con.
Also select if more than 1 data file is to be processed, and data files have different configuration files. For example, if processing test.dat and test1.dat, and this option is selected, program searches for test.xmlcon and test1.xmlcon (in same directory as test.dat and test1.dat); if it does not find .xmlcon files, it searches for .con files.

  • Input directory and Input files

Directory and file names for input data. Select to pick a different file. To process multiple data files from same directory:

  1. Click Select.

  2. In Select dialog box, hold down Ctrl key while clicking on each desired file.

If multiple files are selected, header in each file must contain same set of sensors and variables.

  • Output directory, Name append, and Output file

Directory and file name for output data.

If more than 1 data file is to be processed, Output file field disappears and output file name is set to match input file name. For example, if processing test.dat and test1.dat, output files will be test.cnv and test1.cnv.

SBE Data Processing adds Name append to (each) output file name, before extension. For example, if processing test.dat and test1.dat with a Name append of datcnv, output files will be testdatcnv.cnv and test1datcnv.cnv. Use Name append to save intermediate data files when input and output files have same extension.

  • Start Process

Begin processing data. Status field on File Setup tab shows Processing complete when done.

  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Links to information on the other tabs in the module dialog box:
  • The Header View tab for all the modules is similar.
  • The Data Setup tab contains input parameters specific to the module see the module description.
  • Data Conversion and Derive have a fourth tab – Miscellaneous.


Header View Tab in Module Dialog Box

The following example and discussion of the Header View tab is for Data Conversion. The other modules are similar.

The Header View tab allows you to view the existing header in the input file(s) for the module. The Header View tab looks like this:

The header contains the following information:
  • Header lines beginning with * contain header information copied from raw input data file.
  • Header lines beginning with # contain header information describing input converted data (.cnv) file (not applicable to example shown). As each module is run, it adds information to the header, such as the input file name for the module, date and time the module was run, and input parameters. Thus, the header contains a complete record of how the data has been converted, edited, and manipulated.
  • ASCII string *END* flags end of header information.
The dialog box buttons are:
  • Prior and Next
    If multiple input files are to be processed, switch between input file headers by using these buttons.
  • Start Process
    Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes on the File Setup or Data Setup tabs and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes made on File Setup or Data Setup tab, use Cancel button to exit.

Links to information on the other tabs in the module dialog box:
  • The File Setup tab for all the modules is similar.
  • The Data Setup tab contains input parameters specific to the module see the module description.
  • Data Conversion and Derive have a fourth tab – Miscellaneous.


File Formats

File extensions are used by SEASOFT to indicate the file type:

File Extension

Description

.afm

Bottle sequence, date and time, firing confirmation, and 5 scans of CTD data, created by Auto Fire Module (AFM) or (when used for autonomous operation) SBE 55 ECO Water Sampler.

.asc

Data file:

  • Data portion of .cnv converted data file written in ASCII by ASCII Out

  • Files written by SEATERM for data uploaded from SBE 37 (firmware < 3.0), 39, 39-IM, or 48. (Note: Convert button on SEATERM’s toolbar can convert .asc file to a .cnv file that can be used by SBE Data Processing to process data.)

.bl

Bottle log information – output bottle file, containing bottle firing sequence number and position, date, time, and beginning and ending scan numbers for each bottle closure. Beginning and ending scan numbers correspond to approximately 1.5-second duration for each bottle. Seasave writes information to file each time a bottle fire confirmation is received from SBE 32 Carousel Water Sampler or SBE 55 ECO Water Sampler or (only when used with SBE 911plus) G.O. 1016 Rosette. File can be used by Data Conversion to create a .ros file.

.bmp

Sea Plot output bitmap graphics file.

.bsr

Bottle scan range file created by Mark Scan, and used by Data Conversion to create a .ros file.

.btl

Averaged and derived bottle data from a .ros file, created by Bottle Summary.

.cnv

Converted (engineering units) data file, with an ASCII header preceding data. Created by:

  • Data Conversion, or

  • Convert .XML data file in Tools menu in SeatermV2, Seaterm232, Seaterm485, or SeatermIM (SBE 37 only, firmware version 3.0 and later)

  • SEATERM’s Convert button (SBE 37, 39, 39-IM, or 48 only).

.con or .xmlcon

Instrument configuration (number and type of sensors, channel assigned to each sensor, and calibration coefficients). SBE Data Processing uses this information to interpret raw data from instrument. Latest version of configuration file for your instrument is supplied by Sea-Bird when instrument is purchased, upgraded, or calibrated. If you make changes to instrument (add or remove sensors, recalibrate, etc.), you must update configuration file. Created in Configure; used (and can be modified) in Data Conversion, Derive, and Bottle Summary; and in Seasave.

  • .xmlcon files, written in XML format, were introduced with SBE Data Processing and Seasave 7.19a. SBE Data Processing and Seasave versions 7.19a and later allow you to open a .con or a .xmlcon file, and to save the configuration to a .con or a .xmlcon file.

NOTES

  • Configuration files (.con or .xmlcon) can also be opened, viewed, and modified with DisplayConFile.exe, a utility that is installed in the same folder as SBE Data Processing. Right click on the desired configuration file, select Open With, and select DisplayConFile. This utility is often used at Sea-Bird to quickly open and view a configuration file for troubleshooting purposes, without needing to go through the additional steps of selecting the file in SBE Data Processing or Seasave.

  • We recommend that you do not open .xmlcon files with a text editor (i.e., Notepad, Wordpad, etc.).

.dat

Data file – binary raw data created by older versions (Version < 6.0) of Seasave from real-time data stream from SBE 911plus. File includes header information.

.dsf, .dso, .dss

Data display parameters for a fixed, overlay (plot), and scrolled display window in Seasave.

.hdr

Header file, which includes software version, sensor serial numbers, instrument configuration, etc.:

  • Header recorded when acquiring real-time data (same as header information in .hex or .dat data file), or

  • Header portion of a .cnv converted data file written by ASCII Out

.hex

Data file:

  • Hexadecimal raw data file created by Seasave from real-time data stream from SBE 9plus (Seasave version > 7.0), SBE 16, 16plus, 16plus V2, 19, 19plus, 19plus V2, 21, 25, or 49.

  • Data uploaded from memory of 16, 16plus, 16plus-IM, 16plus V2, 16plus-IM V2, 17plus (used with 9plus CTD), 19, 19plus, 19plus V2, 21, or 25.

  • Converted (engineering units) data file created by Seasave from real-time data stream from SBE 45.

File includes header information.

.jpg

Sea Plot output JPEG graphics file.

.mrk

Mark scan information – output marker file containing sequential mark number, system time, and data for selected variables. Information is written to file by Seasave when user clicks on Mark Scan during real-time data acquisition to mark significant events in the cast. File can be used by Mark Scan.

.psa

File containing input file name and data path, output data path, and module-specific parameters used by SBE Data Processing modules. Default location for .psa files is
%USERPROFILE%\Application Data\Sea-Bird\
SBEDataProcessing-Win32\
(example c:\Documents and Settings\dbresko\
Application Data\Sea-Bird\SBEDataProcessing-Win32\
DatCnv.psa).

PostProcSuite.ini contains a list of paths and file names for recently used .psa files. To view list, click File in module dialog box and select Recent Setup Files. PostProcSuite.ini is in
%USERPROFILE%\Local Settings\Apps\Sea-Bird\
(example c:\Documents and Settings\dbresko\Local Settings\
Apps\Sea-Bird\PostProcSuite.ini).

NOTE: Versions 5.30a and earlier of SBE Data Processing used program setup files with a .psu extension instead of a .psa extension. Program setup files with a .psa extension can be opened, viewed, and modified in any text editor or XML editor. SBE Data Processing can still use your existing .psu files. However, if you make any changes to the setup (for example, change output variables), SBE Data Processing will save the changes to a new .psa file.

.ros

File containing data for each scan associated with a bottle closure, as well as data for a user-selected range of scans before and after each closure; created by Data Conversion.

.txt

Easy-to-read file (for viewing only; cannot be modified) that shows all parameters in .con or .xmlcon file. Created by clicking Report in Configuration dialog box. SBE Data Processing creates this as a temporary file; to save it to document your settings, select Save and exit and enter desired file name and location. Alternatively, create file by running ConReport.exe.

.wmf

Sea Plot output Windows metafile graphics file.

.xml

  • Sensor calibration coefficient file. This file can be exported and/or imported from the dialog box for a sensor. This allows you to move a sensor from one instrument to another and update the instrument’s .con or .xmlcon file while eliminating the need for typing or resulting possibility of typographical errors.

  • File written by Seaterm232, Seaterm485, or SeatermIM for data uploaded from SBE 37 with firmware version 3.0 and later (Note: Use Convert .XML data file in Tools menu in SeatermV2, Seaterm232, Seaterm485, or SeatermIM to convert .xml file to .cnv file that can be used by SBE Data Processing to process data).

.xmlcon

See .con extension above.

Converted Data File (.cnv) Format

Converted files consist of a descriptive header followed by converted data in engineering units.

The header contains:
  • Header information from the raw input data file (these lines begin with *)
  • Header information describing the converted data file (these lines begin with #). The descriptions include:
    • number of rows and columns of data
    • variable for each column (for example, pressure, temperature, etc.)
    • interval between each row (scan rate or bin size)
    • historical record of processing steps used to create or modify file
  • ASCII string *END to flag the end of the header information

The converted data is stored in rows and columns of ASCII numbers (11 characters per value) or as a binary data stream (4 byte binary floating point number for each value). The last data column is a flag field used to mark scans as bad in Loop Edit.


Editing .hex and .dat Data Files

Sometimes users want to edit the raw .hex or .dat data file before beginning processing, to remove data at the beginning of the file corresponding to instrument soak time, remove blocks of bad data, edit the header, or add explanatory notes about the cast. Editing the raw .hex or .dat file can corrupt the data, making it impossible to perform further processing using Sea-Bird software. We strongly recommend that you first convert the data to a .cnv file (using Data Conversion), and then use other SBE Data Processing modules to edit the .cnv file as desired.

NOTE
See Data Conversion and File Manipulation Introduction to convert the data to a .cnv file and then edit the data.

.hex Files

The procedure for editing a .hex data file described below has been found to work correctly on computers running Windows 98, 2000, and NT. If the editing is not performed using this technique, SBE Data Processing may reject the edited data file and give you an error message.

NOTE
Although we provide this technique for editing a raw .hex file, Sea-Bird’s strong recommendation, as described above, is to always convert the raw data file and then edit the converted file.

  1. Make a back-up copy of your .hex data file before you begin.

  2. Run WordPad.

  3. In the File menu, select Open. The Open dialog box appears. For Files of type, select All Documents (*.*). Browse to the desired .hex data file and click Open.

  4. Edit the file as desired, inserting any new header lines after the System Upload Time line and before *END*. Note that all header lines must begin with an asterisk (*), and *END* indicates the end of the header. An example is shown below, with the added lines in bold:

* Sea-Bird SBE 21 Data File:

* FileName = C:\Odis\SAT2-ODIS\oct14-19\oc15_99.hex

* Software Version Seasave Win32 v1.10

* Temperature SN = 2366

* Conductivity SN = 2366

* System UpLoad Time = Oct 15 1999 10:57:19

* Testing adding header lines

* Must start with an asterisk

* Place anywhere between System Upload Time & END of header

* NMEA Latitude = 30 59.70 N

* NMEA Longitude = 081 37.93 W

* NMEA UTC (Time) = Oct 15 1999 10:57:19

* Store Lat/Lon Data = Append to Every Scan and Append to .NAV File When <Ctrl F7> is Pressed

** Ship: Sea-Bird

** Cruise: Sea-Bird Header Test

** Station:

** Latitude:

** Longitude:

*END*

  5. In the File menu, select Save (not Save As). If you are running Windows 2000, the following message displays:

You are about to save the document in a Text-Only format, which will remove all formatting. Are you sure you want to do this?

Ignore the message and click Yes.

  6. In the File menu, select Exit.

.dat Files

Sea-Bird is not aware of a technique for editing a .dat file that will not corrupt it. Opening a .dat file with any text editor corrupts the file by leaving behind invisible characters (for example, carriage returns, line feeds, etc.) when the file is closed. These characters, inserted semi-randomly through the file, corrupt the data format. Sea-Bird distributes a utility program, called Fixdat, which may repair a corrupted .dat file.
  • Fixdat.exe is installed with, and located in the same directory as, SBE Data Processing.


Command Line Options

Command Line Options can be used to assist in automating processing by overriding information in an existing program setup (.psa) file or designating a different .psa file.

NOTES
  • The default program setup (.psa) file is the last saved .psa file for the module. PostProcSuite.ini contains the location and file name of the last saved .psa file for each module. PostProcSuite.ini is in
    %USERPROFILE%\Local Settings\Apps\Sea-Bird\
    (example c:\Documents and Settings\dbresko\Local Settings\Apps\
    Sea-Bird\PostProcSuite.ini).
  • Previous versions (5.30a and earlier) of SBE Data Processing used program setup files with a .psu extension instead of a .psa extension. Program setup files with a .psa extension can be opened, viewed, and modified in any text editor or XML editor. SBE Data Processing can still use your existing .psu files. However, if you make any changes to the setup (for example, change output variables), SBE Data Processing will save the changes to a new .psa file.
Access the Command Line Options dialog box by selecting Command Line Options in the SBE Data Processing window’s Run menu:

The Command Line Options dialog box looks like this:

The option parameters are:

PARAMETER

DESCRIPTION

/cString

Use String as instrument configuration (.con or .xmlcon) file. String must include full path and file name.
Note: If using this parameter, you must also specify input file name (using /iString).

/iString

Use String as input data file name. String must include full path and file name.
The /iString option supports standard wildcard expansion:

  • ? matches any single character in specified position within file name or extension

  • * matches any set of characters starting at specified position within file name or extension and continuing until end of file name or extension or another specified character

/oString

Use String as output directory (not including file name).

/fString

Use String as output file name (not including directory).

/aString

Append String to output file name
(before extension).

/pString

Use String as Program Setup (.psa) file. String must include full path and file name.

/xModule:String

Use String to define an additional parameter to pass to Module. Not all modules have x parameters; see module descriptions. If specifying multiple x parameters, enclose in double quotes and separate with a space; do not specify x parameter more than once.
Example: Run Data Conversion, telling it to skip first 1000 scans and also run Window Filter, telling it to output difference between original and filtered value:
/x"datcnv:skip1000 wfilter:diff" Correct
/xdatcnv:skip1000 /xwfilter:diff Incorrect

If specifying multiple parameters, insert one or more spaces or tabs between each parameter in the list.

Example: You set up and saved .psa files for Filter, Loop Edit, Bin Average, and Derive within each module’s dialog box, and ran each module successively. The input and output file names in all the .psa files were the same c:\1st\test.cnv (this has the effect of overwriting the module input with the module output).
You now want to run each process again, using a different input and output file c:\2nd\test1.cnv. You enter the following SBE Data Processing’s Command Line Options dialog box:

/ic:\2nd\test1.cnv /ftest1.cnv /oc:\2nd

When you pull down on the Run menu and select Filter, you see in the Filter dialog box that the program substituted c:\2nd\test1.cnv for c:\1st\test.cnv as the input data and output data path and file. Similarly, test1.cnv is shown as the input and output data file in all the modules. You can run each process rapidly in succession, without needing to enter the new path and file name individually in each module.

Auto Start

Select this and then select the desired module to have SBE Data Processing automatically run the module with the last saved setup parameters (defined by the .psa file) and any entered Command Line Options.
  • If you select Auto Start, a Run Minimized selection box appears. If selected, SBE Data Processing minimizes its window while processing the data, allowing you to do other work on the computer. When processing is complete, the SBE Data Processing window reappears.

NOTE
If you do not select Auto Start, when you select a module the module dialog box appears, allowing you to review the selected input files and data setup before beginning processing.


Command Line Operation

The following modules can be run from the command line (default location for all files listed below is c:\Program Files\Sea-Bird\DataProcessing-Win32):
MODULE | EXECUTABLE FILE NAME
Align CTD | AlignCTDW.exe
ASCII In | ASCII_InW.exe
ASCII Out | ASCII_OutW.exe
Bin Average | BinAvgW.exe
Bottle Summary | BottleSumW.exe *
Buoyancy | BuoyancyW.exe
Cell Thermal Mass | CellTMW.exe
Data Conversion | DatCnvW.exe
Derive | DeriveW.exe
Filter | FilterW.exe
Loop Edit | LoopEditW.exe
Mark Scan | MarkScanW.exe
SeaCalc II | SeaCalcII.exe
Sea Plot | SeaplotW.exe
Section | SectionW.exe
Split | SplitW.exe
Strip | StripW.exe
Translate | TransW.exe
Wild Edit | WildEditW.exe
Window Filter | W_FilterW.exe
* Note: Bottle Summary’s executable file name was previously RosSumW.exe. BottleSumW.exe will run if BottleSumW.exe or RosSumW.exe is typed on the command line.

Command line parameters can be used to override existing information in the .psa file. The command line parameters are:

PARAMETER

DESCRIPTION

/cString

Use String as instrument configuration (.con or .xmlcon) file. String must include full path and file name.
Note: If using this parameter, you must also specify input file name (using /iString).

/iString

Use String as input file name. String must include full path and file name.
The /iString parameter supports standard wildcard expansion:

  • ? matches any single character in the specified position within the file name or extension

  • * matches any set of characters starting at the specified position within the file name or extension and continuing until the end of the file name or extension or another specified character

/oString

Use String as output directory (not including file name).

/fString

Use String as output file name (not including directory).

/aString

Append String to output file name (before file name extension).

/pString

Use String as Program Setup (.psa) file. String must include full path and file name.
NOTE: Previous versions (5.30a and earlier) of SBE Data Processing used program setup files with a .psu extension instead of a .psa extension. Program setup files with a .psa extension can be opened, viewed, and modified in any text editor or XML editor. SBE Data Processing can still use your existing .psu files. However, if you make any changes to the setup (for example, change output variables), SBE Data Processing will save the changes to a new .psa file.

/xModule:String

Use String to define an additional parameter to pass to Module. Not all modules have x parameters; see module descriptions. If specifying multiple x parameters, enclose in double quotes and separate with a space.
Example: Run Data Conversion from command line, telling it to skip first 1000 scans:
datcnvw.exe /xdatcnv:skip1000

/s

Start processing now.

NOTE
The default program setup (.psa) file, used when running a module from the command line, is the last saved .psa file for the module. PostProcSuite.ini contains a list of the location and file name of the last saved .psa file for each module. PostProcSuite.ini is in
%USERPROFILE%\Local Settings\Apps\Sea-Bird\
(example c:\Documents and Settings\dbresko\Local Settings\Apps\
Sea-Bird\PostProcSuite.ini).

If specifying multiple parameters, insert one or more spaces or tabs between each parameter in the list.

Example: The current directory contains test.dat, test1.dat, and test2.dat. Select Run in the Windows Start menu. The Run dialog box appears. Enter the following as the command line:

datcnvw.exe /itest*.dat /s

(If you have not modified your autoexec.bat file to put the .exe files in the path statement, specify the full path of datcnvw.exe in the Run dialog box.)
SBE Data Processing will process test.dat, test1.dat, and test2.dat using Data Conversion. If the ? wildcard symbol (datcnvw /itest?.dat) is used instead of the *, Data Conversion will process only test1.dat and test2.dat.


Batch File Processing

Traditional DOS batch file processing cannot be used with the 32-bit processing modules because Win 95/98/NT/2000/XP will start processing the second process before the first process is finished. The program SBEBatch.exe (default location c:\Program Files\Sea-Bird\SBEDataProcessing-Win32) or the Windows Scripting Host can be used to process a batch file to automate data processing tasks.

NOTE
A duplicate copy of SBEBatch.exe is placed in the Windows folder when SBE Data Processing is installed. This allows the user to run SBEBatch.exe from anywhere, without having to specify its path.

The format for SBEBatch is:

sbebatch filename parameters

The parameters are referenced in the batch file in the same way that the DOS batch file command line parameters are processed, using the percent sign (%) followed by numbers 1 through 9. %1 in the batch file is replaced by the first command line parameter, %2 in the batch file is replaced by the second command line parameter, and so on until %9.

Each line in the batch file contains the name of the process followed by command line arguments. The names of the processes are:
MODULE | PROCESS NAME
Align CTD | Alignctd
ASCII In | Asciiin
ASCII Out | Asciiout
Bin Average | Binavg
Bottle Summary | Bottlesum *
Buoyancy | Buoyancy
Cell Thermal Mass | Celltm
Data Conversion | Datcnv
Derive | Derive
Filter | Filter
Loop Edit | Loopedit
Mark Scan | Markscan
Sea Plot | Seaplot
Section | Section
Split | Split
Strip | Strip
Translate | Trans
Wild Edit | Wildedit
Window Filter | Wfilter
* Note: Bottle Summary’s process name was previously Rossum. Bottlesum will run if Bottlesum or Rossum is used in the batch file.

NOTE
SBEBatch can also launch system commands, such as copying or renaming a file, deleting a file from an intermediate step, etc. Additionally, it can launch non-Sea-Bird programs, such as Word Pad. If you call a program that does not run and then shut down automatically, such as Word Pad, you must manually close the program before batch processing will continue to the next step.

The batch file can also contain comment lines to document the file purpose. Any line beginning with @ is a comment line, and does not affect the results.

Parameters specified in the batch file can be used to override existing information in the .psa file. These parameters are:

PARAMETER

DESCRIPTION

/cString

Use String as instrument configuration (.con or .xmlcon) file. String must include full path and file name.
Note: If using this parameter, you must also specify input file name (using /iString).

/iString

Use String as input file name. String must include full path and file name.
This parameter supports standard wildcard expansion:

  • ? matches any single character in the specified position within the file name or extension

  • * matches any set of characters starting at the specified position within the file name or extension and continuing until the end of the file name or extension or another specified character

/oString

Use String as output directory (not including file name).

/fString

Use String as output file name (not including directory).

/aString

Append String to output file name (before file name extension).

/pString

Use String as Program Setup (.psa) file. String must include full path and file name.
NOTE: Previous versions (5.30a and earlier) of SBE Data Processing used program setup files with a .psu extension instead of a .psa extension. Program setup files with a .psa extension can be opened, viewed, and modified in any text editor or XML editor. SBE Data Processing can still use your existing .psu files. However, if you make any changes to the setup (for example, change output variables), SBE Data Processing will save the changes to a new .psa file.

/xModule:String

Use String to define an additional parameter to pass to Module. Not all modules have x parameters; see module descriptions. If specifying multiple x parameters, enclose in double quotes and separate with a space.
Example: Run Data Conversion, telling it to skip first 1000 scans: /xdatcnv:skip1000

/w

Wait for user input at start of Module, allowing user to review setup before processing data for a particular Module. After reviewing setup, user clicks Start Process in Module dialog box to continue.

/d

Pause processing data at end of Module, allowing user to review output from a particular Module before continuing with rest of processing.

If specifying multiple parameters, insert one or more spaces or tabs between each parameter in the list.

Parameters specified on the Run line can also be used to control the process:
#m | Minimize SBE Data Processing window while processing data, allowing you to do other work on computer.
#w | Wait for user input at start of each Module, allowing user to review setup before processing data for each Module. After reviewing setup, user clicks Start Process in Module dialog box to continue.
#d | Pause processing data at end of each Module, allowing user to review output from each Module before continuing with rest of processing.

NOTE
The default program setup (.psa) file is the last saved .psa file for the module. PostProcSuite.ini contains a list of the location and file name of the last saved .psa file for each module. PostProcSuite.ini is in
%USERPROFILE%\Local Settings\Apps\Sea-Bird\
(example c:\Documents and Settings\dbresko\Local Settings\Apps\
Sea-Bird\PostProcSuite.ini).

To process data using a batch file:
  1. Run each software module, entering the desired choices in the File Setup and Data Setup dialog boxes (for Sea Plot, enter the desired choices in the File Setup, Plot Setup, and Axis Setup tabs). Upon completing setup, press Save or Save As on the File Setup tab. The configuration is stored in the Program Setup File (.psa).
  2. Create a batch file to process the data.
Following are two examples of typical batch files.

Example 1 – Process Single File, and Save All Intermediate Files
The data file is c:\leg1\cast5.dat, and the .con file is c:\leg1\cast5.con.
  1. Set up each software module, entering desired choices in Setup dialog boxes. In the File Setup dialog boxes, delete the output file name (this allows program to base output file name on input file name and any appended text), and set the output file path as c:\leg1.
  2. Create a batch file named prcast.txt in c:\leg1, which contains the following:

@ Lines starting with @ are comment lines

@ Comment lines have no effect on the results

datcnv /ic:\leg1\%1.dat /cc:\leg1\%1.con /a%2

wildedit /ic:\leg1\%1%2.cnv /as1

filter /ic:\leg1\%1%2s1.cnv /as2

loopedit /ic:\leg1\%1%2s1s2.cnv /as3

derive /ic:\leg1\%1%2s1s2s3.cnv /c c:\leg1\%1.con /as4

seaplot /ic:\leg1\%1%2s1s2s3s4.cnv

Module names and options are separated by one or more spaces or tabs.

  3. Select Run in the Windows Start menu. The Run dialog box appears.
  4. Type in the program name and parameters as shown:

sbebatch c:\leg1\prcast.txt cast5 test1

(batch filename is c:\leg1\prcast.txt; parameter %1 is cast5; parameter %2 is test1)

The data is processed as follows (all input and output files are in c:\leg1):
Module | Input File(s) | Output File
Data Conversion (datcnv) | cast5.dat cast5.con | cast5test1.cnv
Wild Edit (wildedit) | cast5test1.cnv | cast5test1s1.cnv
Filter (filter) | cast5test1s1.cnv | cast5test1s1s2.cnv
Loop Edit (loopedit) | cast5test1s1s2.cnv | cast5test1s1s2s3.cnv
Derive (derive) | cast5test1s1s2s3.cnv cast5.con | cast5test1s1s2s3s4.cnv
Sea Plot (seaplot) | Cast5test1s1s2s3s4.cnv | Cast5test1s1s2s3s4.jpg (if File Setup tab was set to output to jpeg)

Example 2 – Process Several Files, and Overwrite All Intermediate Files
Process all data files in c:\leg1. The data files are c:\leg1\cast1.dat and c:\leg1\cast2.dat, and the .con file is c:\leg1\cast.con.
  1. Set up each software module, entering desired choices in Setup dialog boxes. In the File Setup dialog boxes, delete the output file name (this allows program to base output file name on input file name and any appended text). Set the output file path as c:\leg1.
  2. Create a batch file named prallcasts.txt in c:\leg1, which contains:

@ Lines starting with @ are comment lines

@ Comment lines have no effect on the results

datcnv /i%\1*.dat /c%1\cast.con /o%1

wildedit /i%\1*.cnv /o%1

filter /i%1\*.cnv /o%1

loopedit /i%1\*.cnv /o%1

binavg /i%1\*.cnv /aavg /o%1

derive /i%1\*avg.cnv /c%1\cast.con /o%1

seaplot /i%1\*.cnv

Module names and options are separated by one or more spaces or tabs.

  3. Select Run in the Windows Start menu. The Run dialog box appears.
  4. Type in the program name and parameters as shown:

sbebatch c:\leg1\prallcasts.txt c:\leg1

(batch filename is c:\leg1\prallcasts.txt; parameter %1 is c:\leg1)

The data is processed as follows (all input and output files are in c:\leg1):
Module | Input File(s) | Output File
Data Conversion (datcnv) | cast1.dat cast2.dat cast.con | cast1.cnv cast2.cnv
Wild Edit (wildedit) | cast1.cnv cast2.cnv | cast1.cnv cast2.cnv
Filter (filter) | cast1.cnv cast2.cnv | cast1.cnv cast2.cnv
Loop Edit (loopedit) | cast1.cnv cast2.cnv | cast1.cnv cast2.cnv
Bin Average (binavg) | cast1.cnv cast2.cnv | cast1avg.cnv cast2avg.cnv
Derive (derive) | cast1avg.cnv cast2avg.cnv cast.con | cast1.cnv cast2.cnv
Sea Plot (seaplot) | cast1.cnv cast2.cnv | cast1.jpg cast2.jpg


Generating .con or .xmlcon File Reports -- ConReport.exe

The configuration file report is an ASCII .txt file that shows all parameters in the .con or .xmlcon file in an easy-to-read form. The .txt report is for viewing only, and cannot be used to modify parameters in the configuration file for processing data. The .txt file is generated by:
  • Clicking Report in a Configuration dialog box (for example, see SBE 9plus Configuration), or
  • Using ConReport.exe
ConReport.exe is run from the command line or from a DOS prompt, and accepts wildcards for the file names, so multiple reports can be produced at one time, and reports can be placed into a specified directory. ConReport is automatically installed when you install SBE Data Processing
(default location c:\Program Files\Sea-Bird\SBEDataProcessing-Win32). The format for running ConReport is:

Conreport InputFilename OutputDirectory /S

PARAMETER

DESCRIPTION

InputFilename

InputFilename is .con or .xmlcon file for which you want to generate a report. Must include full path and file name.

This parameter supports standard wildcard expansion with *:

  • * matches any set of characters starting at the specified position within the file name or extension and continuing until the end of the file name or extension or another specified character

OutputDirectory

(optional) Full path to location to store output .txt file(s). If not specified, defaults to location of input .con or .xmlcon file(s).

/S

(optional) Do not echo messages to screen.

If specifying multiple parameters, insert one or more spaces or tabs between each parameter in the list.

Example – Generate Reports for All .con Files in Directory, and Save to Different Directory
The .con files test1.con, test2.con, and test3.con are in c:\leg1, and you want to generate the .txt reports and save them to c:\CruiseSummary.
At the DOS prompt, starting in the directory where ConReport is located (default c:\Program Files\Sea-Bird\SBEDataProcessing-Win32), type in the program name and parameters as shown.

conreport c:\leg1\*.con c:\CruiseSummary

The program responds:

c:\CruiseSummary\test1.txt

c:\CruiseSummary\test2.txt

c:\CruiseSummary\test3.txt

3 reports written to c:\CruiseSummary

NOTE: You can also run ConReport from a Run dialog (select Run in the WIndows Start menu). If you have not modified your autoexec.bat file to put the Conreport.exe file in the path statement, specify the full path of the .exe file in the Run dialog box.


Derived Parameter Formulas

For formulas for the calculation of conductivity, temperature, and pressure, see the calibration sheets for your instrument.

Formulas for the computation of salinity, density, potential temperature, specific volume anomaly, and sound velocity were obtained from "Algorithms for computation of fundamental properties of seawater", by N.P. Fofonoff and R.C Millard Jr.; Unesco technical papers in marine science #44, 1983.
  • Temperature used for calculating derived variables is IPTS-68. Following the recommendation of JPOTS, T68 is assumed to be 1.00024 * T90 (-2 to 35 °C).
  • Salinity is PSS-78, and by definition is valid only in the range of 2 to 42 psu. Sea-Bird uses the PSS-78 algorithm in our software, without regard to those limitations on the valid range. Unesco technical papers in marine science 62 "Salinity and density of seawater: Tables for high salinities (42 to 50)" provides a method for calculating salinity in the higher range (http://unesdoc.unesco.org/images/0009/000964/096451mb.pdf).
NOTES
  • Algorithms used for calculation of derived parameters in Data Conversion, Derive, Sea Plot, SeaCalc II, and Seasave are identical, except as noted.
  • Absolute Salinity (TEOS-10) is available in our seawater calculator, SeaCalc II. All other SBE Data Processing modules output only Practical Salinity, and all parameters derived from salinity in those modules (density, sound velocity, etc.) are based on Practical Salinity.

Equations are provided for the following oceanographic parameters:
  • density (density, sigma-theta, sigma-t, sigma-1, sigma-2, sigma-4)
  • thermosteric anomaly
  • specific volume
  • specific volume anomaly
  • geopotential anomaly
  • dynamic meters
  • depth (salt water, fresh water)
  • seafloor depth (salt water, fresh water)
  • practical salinity
  • sound velocity (Chen-Millero, DelGrosso, Wilson)
  • average sound velocity
  • potential temperature (reference pressure = 0.0 decibars)
  • potential temperature anomaly
  • plume anomaly
  • specific conductivity
  • oxygen (if input file contains pressure, temperature, and either conductivity or salinity, and has not been averaged into pressure or depth bins) -- also requires oxygen current and oxygen temperature (for SBE 13 or 23) or oxygen signal (for SBE 43)
  • oxygen saturation
  • oxygen percent saturation
  • nitrogen saturation
  • derivative variables (descent rate and acceleration) -- if input file has not been averaged into pressure or depth bins
  • corrected irradiance (CPAR)

Formulas

(density of seawater with salinity s, temperature t, and pressure p, based on the equation of state for seawater (EOS80))
Density calculation:
Using the following constants –
B0 = 8.24493e-1, B1 = -4.0899e-3, B2 = 7.6438e-5, B3 = -8.2467e-7, B4 = 5.3875e-9, C0 = -5.72466e-3, C1 = 1.0227e-4, C2 = -1.6546e-6, D0 = 4.8314e-4, A0 = 999.842594, A1 = 6.793952e-2, A2 = -9.095290e-3, A3 = 1.001685e-4, A4 = -1.120083e-6, A5 = 6.536332e-9, FQ0 = 54.6746, FQ1 = -0.603459, FQ2 = 1.09987e-2, FQ3 = -6.1670e-5, G0 = 7.944e-2, G1 = 1.6483e-2, G2 = -5.3009e-4, i0 = 2.2838e-3, i1 = -1.0981e-5, i2 = -1.6078e-6, J0 =1.91075e-4, M0 = -9.9348e-7, M1 = 2.0816e-8, M2 = 9.1697e-10, E0 = 19652.21, E1 = 148.4206, E2 = -2.327105, E3 = 1.360477e-2, E4 = -5.155288e-5, H0 = 3.239908, H1 = 1.43713e-3, H2 = 1.16092e-4, H3 = -5.77905e-7, K0 = 8.50935e-5, K1 =-6.12293e-6, K2 = 5.2787e-8
C Computer Code
double Density(double s, double t, double p)
// s = salinity PSU, t = temperature deg C ITPS-68, p = pressure in decibars
{
 double t2, t3, t4, t5, s32;
 double sigma, k, kw, aw, bw;
 double val;
 t2 = t*t;
 t3 = t*t2;
 t4 = t*t3;
 t5 = t*t4;
 if (s <= 0.0) s = 0.000001;
 s32 = pow(s, 1.5);
 p /= 10.0;   /* convert decibars to bars */
 sigma = A0 + A1*t + A2*t2 + A3*t3 + A4*t4 + A5*t5 + (B0 + B1*t + B2*t2 + B3*t3 + B4*t4)*s + (C0 + C1*t + C2*t2)*s32 + D0*s*s;
 kw = E0 + E1*t + E2*t2 + E3*t3 + E4*t4;
 aw = H0 + H1*t + H2*t2 + H3*t3;
 bw = K0 + K1*t + K2*t2;
 k = kw + (FQ0 + FQ1*t + FQ2*t2 + FQ3*t3)*s + (G0 + G1*t + G2*t2)*s32 + (aw + (i0 + i1*t + i2*t2)*s + (J0*s32))*p + (bw + (M0 + M1*t + M2*t2)*s)*p*p;
 val = 1 - p / k;
 if (val) sigma = sigma / val - 1000.0;
 return sigma;
}

depth = [m]
(When you select salt water depth as a derived variable, SBE Data Processing prompts you to input the latitude, which is needed to calculate local gravity. SBE Data Processing uses the user-input value, unless latitude is written in the input file header [from a NMEA navigation device]. If latitude is in the input data file header, SBE Data Processing uses the header value, and ignores the user-input latitude.
Note: You can also enter the user-input latitude on the Miscellaneous tab in Data Conversion or Derive, as applicable.)
Depth calculation:
C Computer Code –
// Depth
double Depth(int dtype, double p, double latitude)
// dtype = fresh water or salt water, p = pressure in decibars, latitude in degrees
{
 double x, d, gr;
 if (dtype == FRESH_WATER) /* fresh water */
  d = p * 1.019716;
 else {       /* salt water  */
  x = sin(latitude / 57.29578);
  x = x * x;
  gr = 9.780318 * (1.0 + (5.2788e-3 + 2.36e-5 * x) * x) + 1.092e-6 * p;
  d = (((-1.82e-15 * p + 2.279e-10) * p - 2.2512e-5) * p + 9.72659) * p;
  if (gr) d /= gr;
 }
 return(d);
}

seafloor depth = depth + altimeter reading [m]

practical salinity = [PSU]
(Salinity is PSS-78, valid from 2 to 42 psu.)
Note: Absolute Salinity (TEOS-10) is available in our seawater calculator, SeaCalc II. All other SBE Data Processing modules output only Practical Salinity, and all parameters derived from salinity in those modules (density, sound velocity, etc.) are based on Practical Salinity.
Salinity calculation:
Using the following constants
A1 = 2.070e-5, A2 = -6.370e-10, A3 = 3.989e-15, B1 = 3.426e-2, B2 = 4.464e-4, B3 = 4.215e-1, B4 = -3.107e-3, C0 = 6.766097e-1, C1 = 2.00564e-2, C2 = 1.104259e-4, C3 = -6.9698e-7, C4 = 1.0031e-9
C Computer Code –
static double a[6] = { /* constants for salinity calculation */
 0.0080, -0.1692, 25.3851, 14.0941, -7.0261, 2.7081
};
static double b[6]={ /* constants for salinity calculation */
 0.0005, -0.0056, -0.0066, -0.0375, 0.0636, -0.0144
};
double Salinity(double C, double T, double P)  /* compute salinity */
// C = conductivity S/m, T = temperature deg C ITPS-68, P = pressure in decibars
{
 double R, RT, RP, temp, sum1, sum2, result, val;
 int i;
 if (C <= 0.0)
  result = 0.0;
 else {
  C *= 10.0; /* convert Siemens/meter to mmhos/cm */
  R = C / 42.914;
  val = 1 + B1 * T + B2 * T * T + B3 * R + B4 * R * T;
  if (val) RP = 1 + (P * (A1 + P * (A2 + P * A3))) / val;
  val = RP * (C0 + (T * (C1 + T * (C2 + T * (C3 + T * C4)))));
  if (val) RT = R / val;
  if (RT <= 0.0) RT = 0.000001;
  sum1 = sum2 = 0.0;
  for (i = 0;i < 6;i++) {
   temp = pow(RT, (double)i/2.0);
   sum1 += a[i] * temp;
   sum2 += b[i] * temp;
  }
   val = 1.0 + 0.0162 * (T - 15.0);
  if (val)
   result = sum1 + sum2 * (T - 15.0) / val;
  else
   result = -99.;
 }
return result;
}

sound velocity = [m/sec]
(sound velocity can be calculated as Chen-Millero, DelGrosso, or Wilson)
Sound velocity calculation:
C Computer Code –
// Sound Velocity Chen and Millero
double SndVelC(double s, double t, double p0) /* sound velocity Chen and Millero 1977 */
      /* JASA,62,1129-1135 */
// s = salinity, t = temperature deg C ITPS-68, p = pressure in decibars
{
 double a, a0, a1, a2, a3;
 double b, b0, b1;
 double c, c0, c1, c2, c3;
 double p, sr, d, sv;
 p = p0 / 10.0;  /* scale pressure to bars */
 if (s < 0.0) s = 0.0;
 sr = sqrt(s);
 d = 1.727e-3 - 7.9836e-6 * p;
 b1 = 7.3637e-5 + 1.7945e-7 * t;
 b0 = -1.922e-2 - 4.42e-5 * t;
 b = b0 + b1 * p;
 a3 = (-3.389e-13 * t + 6.649e-12) * t + 1.100e-10;
 a2 = ((7.988e-12 * t - 1.6002e-10) * t + 9.1041e-9) * t - 3.9064e-7;
 a1 = (((-2.0122e-10 * t + 1.0507e-8) * t - 6.4885e-8) * t - 1.2580e-5) * t + 9.4742e-5;
 a0 = (((-3.21e-8 * t + 2.006e-6) * t + 7.164e-5) * t -1.262e-2) * t + 1.389;
 a = ((a3 * p + a2) * p + a1) * p + a0;
 c3 = (-2.3643e-12 * t + 3.8504e-10) * t - 9.7729e-9;
 c2 = (((1.0405e-12 * t -2.5335e-10) * t + 2.5974e-8) * t - 1.7107e-6) * t + 3.1260e-5;
 c1 = (((-6.1185e-10 * t + 1.3621e-7) * t - 8.1788e-6) * t + 6.8982e-4) * t + 0.153563;
 c0 = ((((3.1464e-9 * t - 1.47800e-6) * t + 3.3420e-4) * t - 5.80852e-2) * t + 5.03711) * t + 1402.388;
 c = ((c3 * p + c2) * p + c1) * p + c0;
 sv = c + (a + b * sr + d * s) * s;
 return sv;
}

// Sound Velocity Delgrosso
double SndVelD(double s, double t, double p) /* Delgrosso JASA, Oct. 1974, Vol 56, No 4 */
// s = salinity, t = temperature deg C ITPS-68, p = pressure in decibars
{
 double c000, dct, dcs, dcp, dcstp, sv;
 c000 = 1402.392;
 p = p / 9.80665;  /* convert pressure from decibars to KG / CM**2 */
 dct = (0.501109398873e1 - (0.550946843172e-1 - 0.22153596924e-3 * t) * t) * t;
 dcs = (0.132952290781e1 + 0.128955756844e-3 * s) * s;
 dcp = (0.156059257041e0 + (0.244998688441e-4 - 0.83392332513e-8 * p) * p) * p;
 dcstp = -0.127562783426e-1 * t * s + 0.635191613389e-2 * t * p + 0.265484716608e-7 * t * t * p * p - 0.159349479045e-5 * t * p * p + 0.522116437235e-9 * t * p * p * p - 0.438031096213e-6 * t * t * t * p - 0.161674495909e-8 * s * s * p * p + 0.968403156410e-4 * t * t * s + 0.485639620015e-5 * t * s * s * p - 0.340597039004e-3 * t * s * p;
 sv = c000 + dct + dcs + dcp + dcstp;
 return sv;
}

// sound velocity Wilson
double SndVelW(double s, double t, double p) /* wilson JASA, 1960, 32, 1357 */
// s = salinity, t = temperature deg C ITPS-68, p = pressure in decibars
{
 double pr, sd, a, v0, v1, sv;
 pr = 0.1019716 * (p + 10.1325);
 sd = s - 35.0;
 a = (((7.9851e-6 * t - 2.6045e-4) * t - 4.4532e-2) * t + 4.5721) * t + 1449.14;
 sv = (7.7711e-7 * t - 1.1244e-2) * t + 1.39799;
 v0 = (1.69202e-3 * sd + sv) * sd + a;
 a = ((4.5283e-8 * t + 7.4812e-6) * t - 1.8607e-4) * t + 0.16072;
 sv = (1.579e-9 * t + 3.158e-8) * t + 7.7016e-5;
 v1 = sv * sd + a;
 a = (1.8563e-9 * t - 2.5294e-7) * t + 1.0268e-5;
 sv = -1.2943e-7 * sd + a;
 a = -1.9646e-10 * t + 3.5216e-9;
 sv = (((-3.3603e-12 * pr + a) * pr + sv) * pr + v1) * pr + v0;
 return sv;
}

Average sound velocity is the harmonic mean (average) from the surface to the current CTD depth, and is calculated on the downcast only. The first window begins when pressure is greater than a user-input minimum specified pressure and salinity is greater than a user-input minimum specified salinity. Depth is calculated from pressure based on user-input latitude (regardless of whether latitude data from a NMEA navigation device is in the data file).
When you select average sound velocity as a derived variable, SBE Data Processing prompts you to enter the minimum pressure, minimum salinity, and if applicable, pressure window size and time window size.
(Note: You can also enter the parameters on the Miscellaneous tab in Data Conversion or Derive, as applicable.)
  • In Derive, the algorithm is based on the assumption that the data has been bin averaged already. Average sound velocity is computed scan-by-scan:
    d     i = depth of current scan – depth of previous scan [meters]
    v     i = sound velocity of this scan (bin) [m/sec]
  • In Seasave and Data Conversion, the algorithm also requires user input of a pressure window size and time window size. It then calculates:
    d     i = depth at end of window – depth at start of window [meters]
    v     i = (sound velocity at start of window + sound velocity at end of window) / 2 [m/sec]

(Potential temperature is the temperature an element of seawater would have if raised adiabatically with no change in salinity to reference pressure pr. Sea-Bird software uses a reference pressure of 0 decibars).
Potential Temperature [IPTS-68] calculation:
C Computer Code
// ATG (used in potential temperature calculation)
double ATG(double s, double t, double p) /* adiabatic temperature gradient deg C per decibar */
      /* ref broyden,h. Deep-Sea Res.,20,401-408 */
// s = salinity, t = temperature deg C ITPS-68, p = pressure in decibars
{
 double ds;
 ds = s - 35.0;
 return((((-2.1687e-16 * t + 1.8676e-14) * t - 4.6206e-13) * p + ((2.7759e-12 * t - 1.1351e-10) * ds + ((-5.4481e-14 * t + 8.733e-12) * t - 6.7795e-10) * t + 1.8741e-8)) * p + (-4.2393e-8 * t + 1.8932e-6) * ds + ((6.6228e-10 * t - 6.836e-8) * t + 8.5258e-6) * t + 3.5803e-5);
}
// potential temperature
double PoTemp(double s, double t0, double p0, double pr) /* local potential temperature at pr */
      /* using atg procedure for adiabadic lapse rate */
      /* Fofonoff,N.,Deep-Sea Res.,24,489-491 */
// s = salinity, t0 = local temperature deg C ITPS-68, p0 = local pressure in decibars, pr = reference pressure in decibars
{
 double p, t, h, xk, q, temp;
 p = p0;
 t = t0;
 h = pr - p;
 xk = h * ATG(s,t,p);
 t += 0.5 * xk;
 q = xk;
 p += 0.5 * h;
 xk = h * ATG(s,t,p);
 t += 0.29289322 * (xk-q);
 q = 0.58578644 * xk + 0.121320344 * q;
 xk = h * ATG(s,t,p);
 t += 1.707106781 * (xk-q);
 q = 3.414213562 * xk - 4.121320344 * q;
 p += 0.5 * h;
 xk = h * ATG(s,t,p);
 temp = t + (xk - 2.0 * q) / 6.0;
 return(temp);
}

potential temperature anomaly =
potential temperature - a0 - a1 x salinity
or
potential temperature - a0 - a1 x Sigma-theta
(When you select potential temperature anomaly as a derived variable, SBE Data Processing prompts you to enter a0, a1, and the selection of salinity or sigma-theta.
Note: You can also enter the parameters on the Miscellaneous tab in Data Conversion or Derive, as applicable.))

plume anomaly = potential temperature (s, t, p, Reference Pressure) – Theta-B – Theta-Z/Salinity-Z * (Salinity – Salinity-B)
(When you select plume anomaly as a derived variable, SBE Data Processing prompts you to enter Theta-B, Theta-Z/Salinity-Z, Salinity-B, and Reference Pressure.
Note: You can also enter the parameters on the Miscellaneous tab in Data Conversion; plume anomaly is not available as a derived variable in Derive.)

specific conductivity = (C * 10,000) / (1 + A * [T – 25]) [microS/cm]
(C = conductivity (S/m), T = temperature (° C),
A = thermal coefficient of conductivity for a natural salt solution
[0.019 - 0.020]; Sea-Bird software uses 0.020.)

oxygen [ml/l] = (As applicable, see Application Note 64: SBE 43 Dissolved Oxygen Sensor or Application Note 13-1: SBE 13, 23, 30 Dissolved Oxygen Sensor Calibration & Deployment).
When you select oxygen as a derived variable, there are two correction options available:
  • Tau correction -- The Tau correction ([tau(T,P) * dV/dt] in the SBE 43 or [tau * doc/dt] in the SBE 13 or 23) improves response of the measured signal in regions of large oxygen gradients. However, this term also amplifies residual noise in the signal (especially in deep water), and in some situations this negative consequence overshadows the gains in signal responsiveness.
    If the Tau correction is enabled, oxygen computed by Seasave and Data Conversion module are somewhat different from values computed by Derive. Both algorithms compute the derivative of the oxygen signal with respect to time (with a user-input window size for calculating the derivative), using a linear regression to determine the slope. Seasave and Data Conversion use a window looking backward in time, since they share common code and Seasave cannot use future values of oxygen while acquiring data in real time. Derive uses a centered window (equal number of points before and after the scan) to obtain a better estimate of the derivative. Use Seasave and Data Conversion to obtain a quick look at oxygen values; use Derive to obtain the most accurate values.
  • Hysteresis correction (SBE 43 only, when using Sea-Bird equation) -- Under extreme pressure, changes can occur in gas permeable Teflon membranes that affect their permeability characteristics. Some of these changes (plasticization and amorphous/crystalinity ratios) have long time constants and depend on the sensor’s time-pressure history. These slow processes result in hysteresis in long, deep casts. The hysteresis correction algorithm (using H1, H2, and H3 coefficients entered for the SBE 43 in the .con or .xmlcon file) operates through the entire data profile and corrects the oxygen voltage values for changes in membrane permeability as pressure varies. At each measurement, the correction to the membrane permeability is calculated based on the current pressure and how long the sensor spent at previous pressures.
    Hysteresis responses of membranes on individual SBE 43 sensors are very similar, and in most cases the default hysteresis parameters provide the accuracy specification of 2% of true value. For users requiring higher accuracy (±1 µmol/kg), the parameters can be fine-tuned, if a complete profile (descent and ascent) made preferably to greater than 3000 meters is available. H1, the effect’s amplitude, has a default of -0.033, but can range from -0.02 to -0.05 between sensors. H2, the effect’s non-linear component, has a default of 5000, and is a second-order parameter that does not require tuning between sensors. H3, the effect’s time constant, has a default of 1450 seconds, but can range from 1200 to 2000. Hysteresis can be eliminated by alternately adjusting H1 and H3 in the .con or .xmlcon file during analysis of the complete profile. Once established, these parameters should be stable, and can be used without adjustment on other casts with the same SBE 43.
(When you select oxygen as a derived variable, Data Conversion prompts you to enter the window size (seconds) and asks if you want to apply the Tau correction and the hysteresis correction; Derive prompts you to enter the window size (seconds) and asks if you want to apply the Tau correction.)
Note: You can also enter the window size and enable the correction(s) on the Miscellaneous tab in Data Conversion or Derive, as applicable.

oxygen [mmoles/kg] = 44660 * oxygen [ml/l] / (Sigma-theta + 1000)

Oxygen saturation is the theoretical saturation limit of the water at the local temperature and salinity value, but with local pressure reset to zero (1 atmosphere). This calculation represents what the local parcel of water could have absorbed from the atmosphere when it was last at the surface (p=0) but at the same (T,S) value. Oxygen saturation can be calculated as Garcia and Gordon, or Weiss --

Garcia and Gordon:
Oxsol(T,S) = exp {A0 + A1(Ts) + A2(Ts) 2 + A3(Ts) 3 + A4(Ts) 4 + A5(Ts) 5

+ S * [B0 + B1(Ts) + B2(Ts) 2 + B3(Ts) 3] + C0(S) 2}

where

    • Oxsol(T,S) = oxygen saturation value (ml/l)
    • S = salinity (psu)
    • T = water temperature (deg C)
    • Ts = ln [(298.15 – T) / (273.15 + T)]
    • A0 = 2.00907 A1 = 3.22014 A2 = 4.0501
      A3 = 4.94457 A4 = - 0.256847 A5 = 3.88767
    • B0 = -0.00624523 B1 = -0.00737614
      B2 = -0.010341 B3 = -0.00817083
    • C0 = -0.000000488682

Weiss:
Oxsat(T,S) = exp {[A1 + A2 * (100/Ta) + A3 * ln(Ta/100) + A4 * ( Ta/100)]

+ S * [B1 + B2 * (Ta/100) + B3 * (Ta/100)2 ]}

where

    • Oxsat(T,S) = oxygen saturation value (ml/l)
    • S = salinity (psu)
    • T = water temperature (deg C)
    • Ta = absolute water temperature (deg C + 273.15)
    • A1 = -173.4292 A2 = 249.6339 A3 = 143.3483 A4 = -21.8492
    • B1 = -0.033096 B2 = 0.014259 B3 = -0.00170
Notes:
- The oxygen saturation equation based on work from Garcia and Gordon (1992) reduces error in the Weiss (1970) parameterization at cold temperatures.
- As implemented in Sea-Bird software, the Garcia and Gordon equation is valid for -5 < T < 50 and 0 < S < 60. Outside of those ranges, the software returns a value of -99 for Oxsol.
- As implemented in Sea-Bird software, the Weiss equation is valid for -2 < T < 40 and 0 < S < 42. Outside of those ranges, the software returns a value of -99 for Oxsat.

Oxygen, percent saturation is the ratio of calculated oxygen to oxygen saturation, in percent:
(Oxygen / Oxygen saturation) * 100%.
The Oxygen Saturation value used in this calculation is the value that was used in the Oxygen calculation --
- SBE 43 -- if you selected the Sea-Bird equation in the .con or .xmlcon file, the software uses the Garcia and Gordon Oxsol in this ratio; if you selected the Owens-Millard equation in the .con or .xmlcon file, the software uses the Weiss Oxsat in this ratio.
- SBE 13, 23, or 30 -- the software uses the Weiss Oxsat in this ratio.

Nitrogen saturation is the theoretical saturation limit of the water at the local temperature and salinity value, but with local pressure reset to zero (1 atmosphere). This calculation represents what the local parcel of water could have absorbed from the atmosphere when it was last at the surface (p=0) but at the same (T,S) value.

N2Sat(T,S) = exp {[A1 + A2 * (100/Ta) + A3 * ln(Ta/100) + A4 * ( Ta/100)]

+ S * [B1 + B2 * (Ta/100) + B3 * (Ta/100)2 ]}

where

    • N2Sat(T,S) = nitrogen saturation value (ml/l)
    • S = salinity (psu)
    • T = water temperature (deg C)
    • Ta = absolute water temperature (deg C + 273.15)
    • A1 = -172.4965 A2 = 248.4262 A3 = 143.0738 A4 = -21.7120
    • B1 = -0.049781 B2 = 0.025018 B3 = -0.0034861
Note: The nitrogen saturation equation is based on work from Weiss (1970).

Descent rate and acceleration are computed by calculating the derivative of the pressure signal with respect to time (with a user-input window size for calculating the derivative), using a linear regression to determine the slope. Values computed by Seasave and Data Conversion are somewhat different from values computed by Derive. Seasave and Data Conversion compute the derivative looking backward in time (with a user-input window size), since they share common code and Seasave cannot use future values of pressure while acquiring data in real time. Derive uses a centered window (equal number of points before and after the scan; user-input window size) to obtain a better estimate of the derivative. Use Seasave and Data Conversion to obtain a quick look at descent rate and acceleration; use Derive to obtain the most accurate values.
(When you select descent rate or acceleration as a derived variable, SBE Data Processing prompts you to enter the window size (seconds).
Note: You can also enter the window size on the Miscellaneous tab in Data Conversion or Derive, as applicable.)

Corrected Irradiance [CPAR] = 100 * ratio multiplier * underwater PAR / surface PAR
(ratio multiplier = scaling factor used for comparing light fields of disparate intensity, input in .con or .xmlcon file entry for surface PAR sensor;
underwater PAR = underwater PAR data;
surface PAR = surface PAR data)
Note: For complete description of ratio multiplier, see Application Note 11S (11plus Deck Unit) or 47 (SBE 33 or 36 Deck Unit).


Configure Introduction

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients The .con or .xmlcon file is used in both SBE Data Processing and in Seasave. Configure is applicable to the 9plus (with SBE 11plus Deck Unit or SBE 17plus SEARAM; listed as the 911/917plus in the Configure menu), 16, 16plus (including 16plus-IM), 16plus V2 (including 16plus-IM V2), 19, 19plus, 19plus V2, 21, 25, 45, and 49.

Access Configure by selecting the desired instrument in the Configure menu in the SBE Data Processing window .
  • Before selecting the instrument, review the status of Confirm Configuration Change in the Configure menu. If Confirm Configuration Change is selected, the program provides a prompt to save the configuration (.con or .xmlcon) file if you make changes and then click the Exit button in the Configuration dialog box without clicking Save or Save As. If not selected, the program changes the Exit button to Save & Exit; to exit without saving changes, use the Cancel button.

The discussion of Configure is in several parts:
  • Instrument-specific configuration covers the Configuration dialog box number and type of sensors on the instrument, etc. for each of the instruments listed above (SBE 16, 16plus or 16plus-IM, 16plus V2 or 16plus-IM V2, 19, 19plus, 19plus V2, 21, 25, 45, 49, and 9plus ). Unless noted otherwise, SBE Data Processing supports only one of each brand and type of auxiliary sensor (for example, you cannot specify two Chelsea Minitracka fluorometers, but you can specify a Chelsea Minitracka and a Chelsea UV Aquatracka fluorometer). See the individual sensor descriptions in Calibration Coefficients - Voltage Sensors for those sensors that SBE Data Processing supports in a redundant configuration (two or more of the same sensor interfacing with the CTD).
  • For details on calculation of calibration coefficients, see:
    Calibration Coefficients - Frequency Sensors     for frequency sensors (temperature, conductivity, Digiquartz pressure, IOW sound velocity, etc.).
    Calibration Coefficients - A/D Count Sensors     for A/D count sensors (temperature and strain gauge pressure) used on the SBE 16plus (and -IM), 16plus V2 (and -IM), 19plus, 19plus V2, and 49.
    Calibration Coefficients - Voltage Sensors     for voltage sensors (strain gauge pressure, oxygen, pH, etc.).
    Calibration Coefficients - RS-232 Sensors     for RS-232 sensors (Aanderaa Optode).
  • Configuration (.con or .xmlcon) File Format contains a line-by-line description of the contents of the configuration file, which can be viewed in a text editor.
NOTES
  • Sea-Bird supplies a .con or .xmlcon file with each instrument. The file must match the existing instrument configuration and contain current sensor calibration information.
  • An existing .con or .xmlcon file can be modified in Configure, in Data Conversion, Derive, or Bottle Summary, or in Seasave. If accessing the file through SBE Data Processing’s Configure menu, exiting the Configure dialog box returns you to the SBE Data Processing window. If accessing the file through a processing module (Data Conversion, Derive, or Bottle Summary), exiting the Configure dialog box returns you to the processing module.
  • An SBE 37, 39, 39-IM, and 48 stores calibration coefficients internally, and does not have a .con or .xmlcon file.


SBE 9plus Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 911/917plus in the Configure menu. The dialog box looks like this:

The dialog box entries and buttons are:
  • Frequency channels to suppress: Channel/Sensor table reflects this choice. Typically:
    • 0 = SBE 3 or 4 plugged into JB5 on 9plus end cap (dual redundant sensor configuration)
    • 1 = SBE 3 or 4 plugged into JB4 on 9plus end cap and not using JB5 connector (single redundant sensor configuration)
    • 2 = no redundant T or C sensors
  • Voltage words to suppress: Channel/Sensor table reflects this choice. Voltage channel 0 in .con or .xmlcon file corresponds to sensor wired to channel 0 on end cap connector, voltage channel 1 to sensor wired to channel 1 on end cap connector, etc. Total number of voltage words is 4; each word contains data from two 12-bit A/D channels. Deck Unit and SEARAM suppress words above highest numbered voltage word used.
    Words to suppress = 4 - Words to Keep
    • External Voltage (not spare) | Connector | Words to Keep
0 or 1 | AUX1 | 1
2 or 3 | AUX2 | 2
4 or 5 | AUX3 | 3
6 or 7 | AUX4 | 4
  • Computer interface: IEEE-488 (GPIB) or RS-232C, based on how Deck Unit is connected to computer.
  • Scans to average: For full rate data, set to 1.
    Example    : CTD scan rate 24 Hz. If number of scans to average=24, Seasave averages 24 scans, saving data to the computer at rate of 1 scan/second.
  • NMEA: Select if NMEA navigation device used, and if NMEA depth data and NMEA time data were also appended. Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
    Note: Whether the NMEA device was connected to a deck unit or directly to the computer during data acquisition in Seasave has no effect on the data file used by SBE Data Processing and therefore has no effect on data processing.
  • Surface PAR voltage added: Select if Surface PAR sensor used; must agree with Deck Unit setup (AddSpar=). Selecting Surface PAR voltage adds 2 channels to Channel/Sensor table. Do not decrease Voltage words suppressed to reflect this; Voltage words suppressed reflects only external voltages going directly to 9plus from auxiliary sensors. See Application Note 11S on our website.
  • Scan time added: Select if Seasave appended time (seconds since January 1, 1970 GMT) to each data scan.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SBE 11plus V 5.1f
Number of scans to average = 1
(11plus reads this from .con or .xmlcon file in Seasave after Deck Unit is reset.)
pressure baud rate = 9600
NMEA baud rate = 4800
surface PAR voltage added to scan
(Enabling of surface PAR [AddSpar=] must match Surface PAR voltage added in .con or .xmlcon file.)
A/D offset = 0
GPIB address = 1
(GPIB address must be 1 [GPIB=1] to use Seasave, if Computer interface is IEEE-488 (GPIB) in .con or .xmlcon file.)
advance primary conductivity 0.073 seconds
advance secondary conductivity 0.073 seconds
autorun on power up is disabled

See Also


SBE 16 Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 16 in the Configure menu . The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Strain gauge, Digiquartz with or without temperature compensation, or no pressure sensor. If no pressure sensor or Digiquartz without Temp Comp is selected, the Data button accesses a dialog box to input additional parameter(s) needed to process data.
  • External voltage channels: Channel/Sensor table reflects this choice. Must agree with SBE 16 setup for SVn (n=0, 1, 2, 3, or 4); see reply from DS. Voltage channel 0 in .con or .xmlcon file corresponds to sensor wired to channel 0 on end cap connector, voltage channel 1 corresponds to sensor wired to channel 1 on end cap connector, etc.
  • Firmware version: See reply from DS. Used to determine strain gauge pressure sensor data format.
  • Sample interval seconds: Time between scans. Must agree with SBE 16 setup (SI); see reply from DS.
  • NMEA position data added: Select if using with a deck unit connected to a NMEA navigation device. If selected, Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
  • Scan time added: Select if Seasave appended time (seconds since January 1, 1970 GMT) to each data scan.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SEACAT V4.0h SERIAL NO. 1814 07/14/95 09:52:52.082
(If pressure sensor installed, pressure sensor information appears here in status response; must match Pressure sensor type in .con or .xmlcon file.)
clk = 32767.789, iop = 103, vmain = 8.9, vlith = 5.9
sample interval = 15 sec
(Sample interval [SI] must match Sample interval seconds in .con or .xmlcon file.)
delay before measuring volts = 4 seconds
samples = 0, free = 173880, lwait = 0 msec
SW1 = C2H, battery cutoff = 5.6 volts
no. of volts sampled = 2
(Number of auxiliary voltage sensors enabled [SVn] must match External voltage channels in .con or .xmlcon file.)
mode = normal
logdata = NO

See Also


SBE 16plus or 16plus-IM Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 16plus in the Configure menu . The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Strain gauge, Digiquartz with temperature compensation, or no pressure sensor. If no pressure sensor is selected, Data button accesses a dialog box to input additional parameter needed to process data. Must agree with 16 plus setup (PType=); see reply from DS. Note that the pressure sensor selection applies only to the 16plus internally mounted pressure sensor; if your instrument has no internally mounted pressure sensor but is interfacing with an SBE 50 pressure sensor, select No pressure sensor here and then select the SBE 50 in the Serial RS-232C sensor field. Note: Digiquartz without temperature compensation is not applicable.
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, or 4). Must agree with 16plus setup for VoltN= (N=0, 1, 2, and 3); see reply from DS. Voltage channel 0 in .con or .xmlcon file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Serial RS-232C sensor: None, 1 SBE 38 (secondary temperature), 1 SBE 50 Pressure Sensor, or up to 2 GTDs (dissolved oxygen or nitrogen). Must agree with 16plus setup; see reply from DS. Channel/Sensor table lists RS-232 sensors below voltage channels. Note that the 16plus can interface with these sensors through the 16plus optional RS-232 connector. Data from an SBE 50 pressure sensor is appended to the data stream, and does not replace the (optional) internally mounted pressure sensor data.
    Note:     16plus-IM with an optional RS-232 connector can interface with an SBE 38, but cannot interface with an SBE 50 or GTD.
  • Sample interval seconds: Time between scans. Must agree with 16plus setup (SampleInterval=); see reply from DS.
  • NMEA position data added: Select if using with a deck unit connected to a NMEA navigation device. If selected, Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors, A/D Count Sensors, and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
NOTE
All commands to a particular 16plus-IM are preceded by #ii, where ii = instrument ID (0-99). Therefore, commands mentioned in the dialog box description above (DS, PType=, VoltN=, and SampleInterval=) have a slightly different form for the 16plus-IM (#iiDS, #iiPType=, #iiVoltN=, and #iiSampleInterval=).

Shown below is an example status (DS) response in SEATERM for a 16plus with standard RS-232 interface that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SBE 16plus V 1.6e SERIAL NO. 4300 03 Mar 2005 14:11:48
vbatt = 10.3, vlith = 8.5, ioper = 62.5 ma, ipump = 21.6 ma, iext01 = 76.2 ma, iserial = 48.2 ma
status = not logging
sample interval = 10 seconds, number of measurements per sample = 2
(Sample interval [SampleInterval=] must match Sample interval seconds in .con or .xmlcon file.)
samples = 823, free = 465210
run pump during sample, delay before sampling = 2.0 seconds
transmit real-time = yes
(Real-time data transmission must be enabled [TXRealTime=Y] to acquire data in Seasave.)
battery cutoff = 7.5 volts
pressure sensor = strain gauge, range = 1000.0
(Internal pressure sensor [PType=] must match Pressure sensor type in .con or .xmlcon file.)
SBE 38 = yes, SBE 50 = no, Gas Tension Device = no
(Selection/enabling of RS-232 sensors [SBE38=, SBE50=, GTD=, DualGTD=] must match Serial RS-232C sensor in .con or .xmlcon file.)
Ext Volt 0 = yes, Ext Volt 1 = yes, Ext Volt 2 = no, Ext Volt 3 = no
(Number of external voltage sensors enabled [Volt0= through Volt3=] must match External voltage channels in .con or .xmlcon file.)
echo commands = yes
output format = raw HEX
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in Seasave.)
serial sync mode disabled
(Serial sync mode must be disabled [SyncMode=N] to acquire data in Seasave.)

See Also


SBE 16plus V2 or 16plus-IM V2 Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 16plus V2 in the Configure menu . The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Strain gauge, Digiquartz with temperature compensation, or no pressure sensor. If no pressure sensor is selected, Data button accesses a dialog box to input additional parameter needed to process data. Must agree with 16 plus V2 setup (PType=); see reply from GetCD or DS. Note that the pressure sensor selection applies only to the 16plus V2 internally mounted pressure sensor; if your instrument has no internally mounted pressure sensor but is interfacing with an SBE 50 pressure sensor, select No pressure sensor here and then select the SBE 50 in the Serial RS-232C sensor field. Note: Digiquartz without temperature compensation is not applicable.
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, 4, 5, or 6). Must agree with 16plus V2 setup for VoltN= (N=0, 1, 2, 3, 4, or 5); see reply from GetCD or DS. Voltage channel 0 in .con or .xmlcon file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Serial RS-232C sensor: None, SBE 38 (secondary temperature), SBE 50 Pressure Sensor, up to 2 GTDs (dissolved oxygen or nitrogen), or Optode. Must agree with 16plus V2 setup; see reply from GetCD or DS. Channel/Sensor table lists RS-232 sensors below voltage channels. Note that data from an SBE 50 pressure sensor is appended to the data stream, and does not replace the (optional) internally mounted pressure sensor data.
  • Sample interval seconds: Time between scans. Must agree with 16plus V2 setup (SampleInterval=); see reply from GetCD or DS.
  • NMEA position data added: Select if using with a deck unit connected to a NMEA navigation device. If selected, Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors, A/D Count Sensors, and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
NOTE
All commands to a particular 16plus-IM V2 are preceded by #ii, where ii = instrument ID (0-99). Therefore, commands mentioned in the dialog box description above (GetCD, DS, PType=, VoltN=, and SampleInterval=) have a slightly different form for the 16plus-IM V2 (#iiGetCD, #iiDS, #iiPType=, #iiVoltN=, and #iiSampleInterval=).

Shown below is an example status (DS) response in a terminal program for a 16plus V2 with standard RS-232 interface that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in the terminal program to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SBE 16plus V 2.0 SERIAL NO. 6001 24 Oct 2007 14:11:48
vbatt = 10.3, vlith = 8.5, ioper = 62.5 ma, ipump = 21.6 ma, iext01 = 76.2 ma, iserial = 48.2 ma
status = not logging
samples = 0, free = 3463060
sample interval = 10 seconds, number of measurements per sample = 1
(Sample interval [SampleInterval=] must match Sample interval seconds in .con or .xmlcon file.)
run pump during sample, delay before sampling = 2.0 seconds
transmit real-time = yes
(Real-time data transmission must be enabled [TxRealTime=Y] to acquire data in Seasave.)
battery cutoff = 7.5 volts
pressure sensor = strain gauge, range = 1000.0
(Internal pressure sensor [PType=] must match Pressure sensor type in .con or .xmlcon file.)
SBE 38 = yes, SBE 50 = no, OPTODE = no, Gas Tension Device = no
(Selection/enabling of RS-232 sensors [SBE38=, SBE50=, Optode=, GTD=, DualGTD=] must match Serial RS-232C sensor in .con or .xmlcon file.)
Ext Volt 0 = yes, Ext Volt 1 = yes,
Ext Volt 2 = no, Ext Volt 3 = no,
Ext Volt 4 = no, Ext Volt 5 = no
(Number of external voltage sensors enabled [Volt0= through Volt5=] must match External voltage channels in .con or .xmlcon file.)
echo characters = yes
output format = raw HEX
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in Seasave.)
serial sync mode disabled
(Serial sync mode must be disabled [SyncMode=N] to acquire data in Seasave.)

See Also


SBE 19 Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 19 in the Configure menu. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Strain gauge or Digiquartz with temperature compensation
  • External voltage channels: Channel/Sensor table reflects this choice. Must agree with SBE 19 setup for SVn (n=0, 2, or 4) command; see reply from DS. Voltage channel 0 in .con or .xmlcon file corresponds to sensor wired to channel 0 on end cap connector, voltage channel 1 corresponds to sensor wired to channel 1 on end cap connector, etc.
  • Firmware version: See reply from status command DS. Used to determine strain gauge pressure sensor data format.
  • 0.5 second intervals: Number of 0.5 second intervals between samples. Must agree with SBE 19 setup (SR); see reply from DS.
  • NMEA: Select if NMEA navigation device used, and if NMEA depth data and NMEA time data were also appended. Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
    Note: Whether the NMEA device was connected to a deck unit or directly to the computer during data acquisition in Seasave has no effect on the data file used by SBE Data Processing and therefore has no effect on data processing.
  • Surface PAR voltage added: Select if surface PAR voltage added by deck unit. Selecting Surface PAR voltage adds 2 channels to Channel/Sensor table. Do not increase External voltage channels to reflect this; External voltage channels reflects only external voltages going directly to SBE 19 from auxiliary sensors. See Application Note 47 on our website.
  • Scan time added: Select if Seasave appended time (seconds since January 1, 1970 GMT) to each data scan.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SEACAT PROFILER V3.1B SN 936 02/10/94 13:33:23.989
strain gauge pressure sensor: S/N = 12345, range = 1000 psia, tc = 240
(Pressure sensor (strain gauge or Digiquartz) must match Pressure sensor type in .con or .xmlcon file.)
clk = 32767.766 iop = 172 vmain = 8.1 vlith = 5.8
mode = PROFILE ncasts = 0
(Mode must be profile [MP] if setting up .con or .xmlcon file for SBE 19; create .con or .xmlcon file for SBE 16 for SBE 19 in moored mode [MM].)
sample rate = 1 scan every 0.5 seconds
(Sample rate [SR] must match 0.5 second intervals in .con or .xmlcon file.)
minimum raw conductivity frequency for pump turn on = 3206 hertz
pump delay = 40 seconds
samples = 0 free = 174126 lwait = 0 msec
battery cutoff = 7.2 volts
number of voltages sampled = 2
(Number of auxiliary voltage sensors enabled [SVn] must match External voltage channels in .con or .xmlcon file.)
logdata = NO

See Also


SBE 19plus Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 19plus in the Configure menu. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Strain gauge (other selections not applicable).
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, or 4). Must agree with 19plus setup for VoltN= (N=0, 1, 2, and 3); see reply from DS. Voltage channel 0 in .con or .xmlcon file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Mode: Must agree with 19plus setup (MP for Profiling mode, MM for Moored mode); see reply from DS.
  • Sample interval seconds: Interval between scans in Moored mode. Must agree with 19plus setup (SampleInterval=); see reply from DS.
  • Scans to average: Number of samples to average (samples at 4 Hz) in Profiling mode. Must agree with 19plus setup (NAvg=); see reply from DS.
  • NMEA: Select if NMEA navigation device used, and if NMEA depth data and NMEA time data were also appended. Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
    Note: Whether the NMEA device was connected to a deck unit or directly to the computer during data acquisition in Seasave has no effect on the data file used by SBE Data Processing and therefore has no effect on data processing.
  • Surface PAR voltage added: Select if surface PAR voltage added by deck unit. Selecting Surface PAR voltage adds 2 channels to Channel/Sensor table. Do not increase External voltage channels to reflect this; External voltage channels reflects only external voltages going directly to 19plus from auxiliary sensors. See Application Note 47 on our website.
  • Scan time added: Select if Seasave appended time (seconds since January 1, 1970 GMT) to each data scan.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors, A/D Count Sensors, and and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SeacatPlus V 1.5 SERIAL NO. 4000 22 May 2005 14:02:13
vbatt = 9.6, vlith = 8.6, ioper = 61.2 ma, ipump = 25.5 ma, iext01 = 76.2 ma, iext23 = 65.1 ma
status = not logging
number of scans to average = 1
(Scans to average [NAvg=] must match Scans to Average in .con or .xmlcon file.)
samples = 0, free = 381300, casts = 0
mode = profile, minimum cond freq = 3000, pump delay = 60 sec
(Mode [MP for profile or MM for moored] must match Mode in .con or .xmlcon file.)
autorun = no, ignore magnetic switch = no
battery type = ALKALINE, battery cutoff = 7.3 volts
pressure sensor = strain gauge, range = 1000.0
(Pressure sensor [PType=] must match Pressure sensor type in .con or .xmlcon file.)
SBE 38 = no, Gas Tension Device = no
(RS-232 sensors (which are used for custom applications only) must be disabled to use Seasave.)
Ext Volt 0 = yes, Ext Volt 1 = yes, Ext Volt 2 = yes, Ext Volt 3 = yes
(Number of external voltage sensors enabled [Volt0= through Volt3=] must match External voltage channels in .con or .xmlcon file.)
echo commands = yes
output format = raw Hex
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in Seasave.)

S ee Also


SBE 19plus V2 Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 19plus V2 in the Configure menu. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Strain gauge or Digiquartz with temperature compensation.
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, 4, 5, or 6). Must agree with 19plus V2 setup for VoltN= (N=0, 1, 2, 3, 4, and 5); see reply from GetCD or DS. Voltage channel 0 in .con or .xmlcon file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Mode: Must agree with 19plus V2 setup (MP for Profiling mode, MM for Moored mode); see reply from GetCD or DS.
  • Serial RS-232C sensor: None, SBE 38 (secondary temperature), up to 2 GTDs (dissolved oxygen or nitrogen), or Optode. Must agree with 19plus V2 setup; see reply from GetCD or DS. Channel/Sensor table lists RS-232 sensors below voltage channels.
  • Sample interval seconds: Interval between scans in Moored mode. Must agree with 19plus V2 setup (SampleInterval=); see reply from GetCD or DS.
  • Scans to average: Number of samples to average (samples at 4 Hz) in Profiling mode. Must agree with 19plus V2 setup (NAvg=); see reply from GetCD or DS.
  • NMEA: Select if NMEA navigation device used, and if NMEA depth data and NMEA time data were also appended. Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
    Note: Whether the NMEA device was connected to a deck unit or directly to the computer during data acquisition in Seasave has no effect on the data file used by SBE Data Processing and therefore has no effect on data processing.
  • Surface PAR voltage added: Select if surface PAR voltage added by deck unit. Selecting Surface PAR voltage adds 2 channels to Channel/Sensor table. Do not increase External voltage channels to reflect this; External voltage channels reflects only external voltages going directly to 19plus V2 from auxiliary sensors. See Application Note 47 on our website.
  • Scan time added: Select if Seasave appended time (seconds since January 1, 1970 GMT) to each data scan.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors, A/D Count Sensors, and and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in a terminal program that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in the terminal program to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SBE 19plus V 2.2 SERIAL NO. 4000 05 Jun 2009 14:02:13
vbatt = 9.6, vlith = 8.6, ioper = 61.2 ma, ipump = 25.5 ma, iext01 = 76.2 ma, iext2345 = 65.1 ma
status = not logging
number of scans to average = 1
(Scans to average [NAvg=] must match Scans to Average in .con or .xmlcon file.)
samples = 0, free = 4386532, casts = 0
mode = profile, minimum cond freq = 3000, pump delay = 60 sec
(Mode [MP for profile or MM for moored] must match Mode in .con or .xmlcon file.)
autorun = no, ignore magnetic switch = no
battery type = ALKALINE, battery cutoff = 7.5 volts
pressure sensor = strain gauge, range = 1000.0
(Pressure sensor [PType=] must match Pressure sensor type in .con or .xmlcon file.)
SBE 38 = no, OPTODE = no, Gas Tension Device = no
(Selection/enabling of RS-232 sensors [SBE38=, Optode=, GTD=, DualGTD=] must match Serial RS-232C sensor in .con or .xmlcon file)
Ext Volt 0 = yes, Ext Volt 1 = yes,
Ext Volt 2 = yes, Ext Volt 3 = yes,
Ext Volt 4 = no, Ext Volt 5 = no
(Number of external voltage sensors enabled [Volt0= through Volt5=] must match External voltage channels in .con or .xmlcon file.)
echo characters = yes
output format = raw Hex
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in Seasave.)

S ee Also


SBE 21 Configuration

NOTE
In July 2009, Sea-Bird updated the SBE 21 electronics and firmware. As a result, there were some changes in capabilities and commands:
  • Firmware version < 5.0 -- Depending on serial number, these SBE 21s may be integrated with an SBE 38 remote temperature sensor (if SBE 21 equipped with 4-pin remote temperature connector) or an SBE 3 remote temperature sensor (if SBE 21 equipped with 3-pin remote temperature connector).
  • Firmware version > 5.0 -- These SBE 21s are compatible with an SBE 38 remote temperature sensor, and are not compatible with an SBE 3 remote temperature sensor.
Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 21 in the Configure menu. The dialog box looks like this:

The dialog box entries and buttons are:
  • Remote temperature: Channel/Sensor table reflect this choice (shows RS-232 channel if SBE 38 selected, or additional frequency-based temperature channel if SBE 3 selected). Must agree with SBE 21 setup (SBE38= and SBE3=); see reply from DS. Note that if remote temperature is selected, Seasave, Data Conversion, and Derive use remote temperature data when calculating density and sound velocity.
  • External voltage channels: Channel/Sensor table reflects this choice. Must agree with SBE 21 setup for SV=x (firmware > 5.0) or SVx (firmware < 5.0) (x=0, 1, 2, 3, or 4); see reply from DS. Voltage channel 0 in .con or .xmlcon file corresponds to sensor wired to channel 0 on end cap connector, voltage channel 1 corresponds to sensor wired to channel 1 on end cap connector, etc.
  • Sample interval seconds: Time between scans. Must agree with SBE 21 setup (SI= for firmware > 5.0 or SI for firmware < 5.0); see reply from DS.
  • NMEA: Select if NMEA navigation device used, and if NMEA depth data and NMEA time data were also appended. Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
    Note: Whether the NMEA device was connected to a deck unit or directly to the computer during data acquisition in Seasave has no effect on the data file used by SBE Data Processing and therefore has no effect on data processing.
  • Scan time added: Select if Seasave appended time (seconds since January 1, 1970 GMT) to each data scan.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SEACAT THERMOSALINOGRAPH V5.0 SERIAL NO. 4300 07/15/2009 14:23:14
ioper = 50.7 ma, vmain = 11.4, vlith = 8.8
samples = 0, free = 5981649
sample interval = 5 seconds, no. of volts sampled = 1
(Sample interval [SI=] must match Sample interval seconds in .con or .xmlcon file.
Number of auxiliary voltage sensors enabled [SV=] must match External voltage channels in .con or .xmlcon file.)
sample external SBE 38 temperature sensor
(External temperature sensor [SBE38=] must match Remote temperature in .con or .xmlcon file; this line appears only if SBE 38 is enabled [SBE38=Y].)
output format = SBE21
(Output format must be set to SBE 21 [F1] to acquire data in Seasave.)
start sampling when power on = yes
average data during sample interval = yes
logging data = no
voltage cutoff = 7.5 volts

NOTE
The status response shown above is for an SBE 21 with firmware > 5.0. The response, and the commands used to change the sample interval and the number of auxiliary voltage sensors, differs for older firmware.

S ee Also


SBE 25 Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 25 in the Configure menu. The dialog box looks like this:

The dialog box entries and buttons are:
  • External voltage channels: Channel/Sensor table reflects this choice (0 - 7). Must agree with SBE 25 setup (CC); see reply from DS. Voltage channel 0 in .con or .xmlcon file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Firmware version: Used to determine strain gauge pressure sensor data format. See reply from DS.
  • Real time data output rate: 1, 2, 4, or 8 scans/second. Must agree with SBE 25 setup (CC); see reply from DS.
  • NMEA: Select if NMEA navigation device used, and if NMEA depth data and NMEA time data were also appended. Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
    Note: Whether the NMEA device was connected to a deck unit or directly to the computer during data acquisition in Seasave has no effect on the data file used by SBE Data Processing and therefore has no effect on data processing.
  • Surface PAR voltage added: Select if Surface PAR voltage added by deck unit. Selecting Surface PAR voltage adds 2 channels to Channel/Sensor table. Do not increase External voltage channels to reflect this; External voltage channels reflects only external voltages going directly to SBE 25 from auxiliary sensors. See Application Note 47 on our website.
  • Scan time added: Select if Seasave appended time (seconds since January 1, 1970 GMT) to each data scan.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
      Note      : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SBE 25 CTD V 4.1a SN 323 04/26/02 14:02:13
external pressure sensor, range = 5076 psia, tcval = -55
xtal=9437363 clk=32767.107 vmain=10.1 iop=175 vlith=5.6
ncasts=0 samples=0 free = 54980 lwait = 0 msec
stop upcast when CTD ascends 30 % of full scale pressure sensor range (2301 counts)
CTD configuration:
number of scans averaged=1, data stored at 8 scans per second
real time data transmitted at 1 scans per second
(real-time data transmission [CC] must match Real time data output rate in .con or .xmlcon file.)
minimum conductivity frequency for pump turn on = 2950
pump delay = 45 seconds
battery type = ALKALINE
2 external voltages sampled
(Number of auxiliary voltage sensors enabled [CC] must match External voltage channels in .con or .xmlcon file.)
stored voltage #0 = external voltage 0
stored voltage #1 = external voltage 1

S ee Also


SBE 45 Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 45 in the Configure menu. The dialog box looks like this:

The dialog box entries and buttons are:
  • Sample interval seconds: Time between scans. Must agree with SBE 45 setup (Interval=); see reply from DS.
  • Output conductivity: Output conductivity with each scan. Must agree with SBE 45 setup (OutputCond=); see reply from DS.
  • Output salinity: Output salinity with each scan. Must agree with SBE 45 setup (OutputSal=); see reply from DS.
  • Output sound velocity: Output sound velocity with each scan. Must agree with SBE 45 setup (OutputSV=); see reply from DS.
  • Use junction box: Select if SBE 45 data is transmitted to computer through optional 90402 – SBE 45 Interface Box. Interface Box can append data from an SBE 38 remote temperature sensor and/or a NMEA navigation device.
  • SBE 38 temperature added: Select if 90402 – SBE 45 Interface Box is connected to an SBE 38 remote temperature sensor. Seasave appends SBE 38 data to data stream.
    Seasave, Data Conversion, and Derive use remote temperature data when calculating density and sound velocity.
  • NMEA data added: Select if 90402 – SBE 45 Interface Box is connected to a NMEA navigation device. If selected, Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SBE45 V 1.1 SERIAL NO. 1258
logging data
sample interval = 1 seconds
(Sample interval [Interval=] must match Sample interval seconds in .con or .xmlcon file.)
output conductivity with each sample
(Enabling of conductivity output [OutputCond=] must match Output conductivity in .con or .xmlcon file.)
do not output salinity with each sample
(Enabling of salinity output [OutputSal=] must match Output salinity in .con or .xmlcon file.)
do not output sound velocity with each sample
(Enabling of sound velocity output [OutputSV=] must match Output sound velocity in .con or .xmlcon file.)
start sampling when power on
do not power off after taking a single sample
(Power off after taking a single sample must be disabled [SingleSample=N] to acquire data in Seasave.)
do not power off after two minutes of inactivity
A/D cycles to average = 2

NOTE
The SBE 45 transmits ASCII converted data in engineering units. It converts the raw data internally to engineering units, based on the programmed calibration coefficients.

See Also


SBE 49 Configuration

Configure creates or modifies a configuration (.con or .xmlcon) file to define the instrument configuration and sensor calibration coefficients. Access Configure by selecting the SBE 49 in the Configure menu. The dialog box looks like this:

The dialog box entries and buttons are:
  • Scans to average: Number of samples to average per scan. SBE 49 samples at 16 Hz (0.0625 seconds), averages data, and transmits averaged data real-time. Must agree with SBE 49 setup (NAvg=); see reply from DS.
  • NMEA: Select if NMEA navigation device used, and if NMEA depth data and NMEA time data were also appended. Seasave adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked.
    Note: Whether the NMEA device was connected to a deck unit or directly to the computer during data acquisition in Seasave has no effect on the data file used by SBE Data Processing and therefore has no effect on data processing.
  • Scan time added: Select if Seasave appended time (seconds since January 1, 1970 GMT) to each data scan.
  • Channel/Sensor table: Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients – A/D Count Sensors for temperature and pressure sensors; see Frequency Sensors for conductivity sensor).
    Note    : For details on using the Import and Export buttons in the sensor calibration coefficients dialog box, see Importing and Exporting Calibration Coefficients.
  • New: Click to create new .con or .xmlcon file for this CTD.
  • Open: Click to select different .con or .xmlcon file.
  • Save or Save As: Click to save current .con or .xmlcon file settings.
  • Report: Click to open a .txt file (for viewing only, cannot be modified) that shows all parameters in .con or .xmlcon file. For command line generation of report, see Generating .con or .xmlcon File Reports - ConReport.exe.
  • Exit or Save & Exit: Click to return to SBE Data Processing window.
    • If Confirm Configuration Change was selected in Configure menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Configuration Change was not selected in Configure menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with Seasave and processing of data with SBE Data Processing, as well as any explanatory information.
SBE 49 FastCAT V 1.2 SERIAL NO. 0055
number of scans to average = 1
(Scans to average [NAvg=] must match Scans to average in .con or .xmlcon file.)
pressure sensor = strain gauge, range = 1000.0
minimum cond freq = 3000, pump delay = 30 sec
start sampling on power up = yes
output format = raw HEX
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in Seasave.)
temperature advance = 0.0625 seconds
celltm alpha = 0.03
celltm tau = 7.0
real-time temperature and conductivity correction disabled

See Also


Calibration Coefficients - Frequency Sensors

Access Configure by selecting the instrument in the Configure menu. View and/or modify the sensor calibration coefficients by selecting the sensor and clicking the Modify button in the instrument Configuration dialog box.

For all calibration dialog boxes, enter the sensor serial number and calibration date. Many sensor calibration equations contain an offset term. Unless noted otherwise, use the offset (default = 0.0) to make small corrections for sensor drift between calibrations.

The following types of frequency sensors are available (not all frequency sensors are applicable to all instruments): temperature, conductivity, pressure (Paroscientific Digiquartz), bottles closed (IOW), and sound velocity (IOW).

Temperature Calibration Coefficients

Enter g, h, i, j, (or a, b, c, d), and f0 from the calibration sheet.
Enter values for slope (default = 1.0) and offset (default = 0.0) to make small corrections for temperature sensor drift between calibrations:
Corrected temperature = (slope * computed temperature) + offset
where
slope = true temperature span / instrument temperature span
offset = (true temperature – instrument reading) * slope; measured at 0 °C

Temperature Slope and Offset Correction Example
At true temperature = 0.0 °C, instrument reading = 0.0015 °C
At true temperature = 25.0 °C, instrument reading = 25.0005 °C
Calculating the slope and offset:
Slope = (25.0 – 0.0) / (25.0005 – 0.0015) = + 1.000040002
Offset = (0.0 – 0.0015) * 1.000040002 = - 0.001500060

NOTES
  • Coefficients g, h, i, j, and f0 provide ITS-90 (T90) temperature; a, b, c, d, and f0 provide IPTS-68 (T68) temperature. The relationship between them is:
    T68 = 1.00024 T90
  • See Application Note 31 on our website for computation of slope and offset correction coefficients from pre- and post-cruise calibrations supplied by Sea-Bird.
  • See Calibration Coefficients for A/D Count Sensors for information on temperature sensors used in the SBE 16plus (and -IM), 16plus (and -IM) V2, 19plus, 19plus V2, and 49.
Sea-Bird temperature sensors usually drift by changing offset, typically resulting in higher temperature readings over time for sensors with serial number less than 1050 and lower temperature readings over time for sensors with serial number greater than 1050. Sea-Bird’s data indicates that the drift is smooth and uniform with time, allowing users to make very accurate corrections based only on pre- and post-cruise laboratory calibrations. Calibration checks at sea are advisable to ensure against sensor malfunction; however, data from reversing thermometers is rarely accurate enough to make calibration corrections that are better than those possible from shore-based laboratory calibrations.

Sea-Bird temperature sensors rarely exhibit span errors larger than ± 0.005 °C over the range –5 to +35 °C (0.005 °C/(35 -[-5])C/year = 0.000125 °C/C/year), even after years of drift. A span error that increases more than ± 0.0002 °C/C/year may be a symptom of sensor malfunction.

Conductivity Calibration Coefficients

Enter g, h, i, j, and Ctcor (or a, b, c, d, and m) and Cpcor from the calibration sheet.

NOTE
Use coefficients g, h, i, j, Ctcor, and Cpcor (if available on calibration sheet) for most accurate results; conductivity for older sensors was calculated based on a, b, c, d, m, and Cpcor.

Cpcor makes a correction for the highly consistent change in dimensions of the conductivity cell under pressure. The default is the compressibility coefficient for borosilicate glass (-9.57e-08). Some sensors fabricated between 1992 and 1995 (serial numbers between 1100 and 1500) exhibit a compression that is slightly less than pure borosilicate glass. For these sensors, the (hermetic) epoxy jacket on the glass cell is unintentionally strong, creating a composite pressure effect of borosilicate and epoxy. For sensors tested to date, this composite pressure coefficient ranges from -9.57e-08 to -6.90e-08, with the latter value producing a correction to deep ocean salinity of 0.0057 PSU in 5000 dbars pressure (approximately 0.001 PSU per 1000 dbars).
Before modifying Cpcor from its default value, confirm that the sensor behaves differently from pure borosilicate glass. Sea-Bird can test your cell and calculate Cpcor. Alternatively, test the cell by comparing computed salinity to the salinity of water samples from a range of depths, calculated using an AutoSal.

Enter values for slope (default = 1.0) and offset (default = 0.0) to make small corrections for conductivity sensor drift between calibrations:
Corrected conductivity = (slope * computed conductivity) + offset
where
slope = true conductivity span / instrument conductivity span
offset = (true conductivity – instrument reading) * slope; measured at 0.0 S/m

Conductivity Slope and Offset Correction Example
At true conductivity = 0.0 S/m, instrument reading = -0.00007 S/m
At true conductivity = 3.5 S/m, instrument reading = 3.49965 S/m
Calculating the slope and offset:
Slope = (3.5 – 0.0) / (3.49965 - [- 0.00007]) = + 1.000080006
Offset = (0.0 - [-0.00007]) * 1.000080006 = + 0.000070006

NOTE
See Application Note 31 on our website for computation of slope and offset correction coefficients from pre- and post-cruise calibrations supplied by Sea-Bird or from salinity bottle samples taken at sea during profiling.

The sensor usually drifts by changing span (slope of the calibration curve), typically resulting in lower conductivity readings over time. Offset error (error at 0 S/m) is usually due to electronics drift, and is typically less than ± 0.0001 S/m per year. Because offsets greater than ± 0.0002 S/m are a symptom of sensor malfunction, Sea-Bird recommends that drift corrections be made by assuming no offset error, unless there is strong evidence to the contrary or a special need.

Wide Range Conductivity Sensors
A wide range conductivity sensor has been modified to provide conductivity readings to 15 Siemens/meter by inserting a precision resistor in series with the conductivity cell. Therefore, the equation used to fit the calibration data is different from the standard equation. The sensor’s High Range Conductivity Calibration sheet includes the equation as well as the cell constant and series resistance to be entered in the program.

If the conductivity sensor serial number includes a w (an indication that it is a wide range sensor):
  1. After you enter the calibration coefficients and click OK, the Wide Range Conductivity dialog box appears.
  2. Enter the cell constant and series resistance (from the High Range Conductivity Calibration sheet) in the dialog box, and click OK.

Pressure (Paroscientific Digiquartz) Calibration Coefficients

Enter the sets of C, D, and T coefficients from the calibration sheet. Enter zero for any higher-order coefficients that are not listed on the calibration sheet. Enter values for slope (default = 1.0; do not change unless sensor has been recalibrated) and offset (default = 0.0) to make small corrections for sensor drift.
For the SBE 9plus, also enter AD590M and AD590B coefficients from the configuration sheet.

NOTE
See Calibration Coefficients for A/D Count Sensors for information on strain gauge pressure sensors used in the SBE 16plus (and -IM), 16plus (and -IM) V2, 19plus, 19plus V2, and 49. See Calibration Coefficients for Voltage Sensors for information on strain gauge pressure sensors used in other instruments.

Bottles Closed (HB - IOW) Calibration Coefficients

No calibration coefficients are entered for this parameter. The number of bottles closed is calculated by Data Conversion based on frequency range.

Sound Velocity (IOW)Calibration Coefficients

Enter coefficients a0, a1, and a2.
Value = a0 + a1 * frequency + a2 * frequency * frequency

See Also


Calibration Coefficients - A/D Count Sensors

Access Configure by selecting the instrument in the Configure menu. View and/or modify the sensor calibration coefficients by selecting the sensor and clicking the Modify button in the instrument Configuration dialog box.

For all calibration dialog boxes, enter the sensor serial number and calibration date. Many sensor calibration equations contain an offset term. Unless noted otherwise, use the offset (default = 0.0) to make small corrections for sensor drift between calibrations.

The following types of A/D count sensors are used with the SBE 16plus (and -IM), 16plus (and -IM) V2, 19plus, 19plus V2, and 49: temperature and strain gauge pressure.

Temperature Calibration Coefficients

Enter a0, a1, a2, and a3 from the calibration sheet.
Enter values for slope (default = 1.0) and offset (default = 0.0) to make small corrections for temperature sensor drift between calibrations:
Corrected temperature = (slope * computed temperature) + offset
where
slope = true temperature span / instrument temperature span
offset = (true temperature – instrument reading) * slope; measured at 0 °C

Temperature Slope and Offset Correction Example
At true temperature = 0.0 °C, instrument reading = 0.0015 °C
At true temperature = 25.0 °C, instrument reading = 25.0005 °C
Calculating the slope and offset:
Slope = (25.0 – 0.0) / (25.0005 – 0.0015) = + 1.000040002
Offset = (0.0 – 0.0015) * 1.000040002 = - 0.001500060

NOTES
  • These coefficients provide ITS-90 (T90) temperature.
  • See Application Note 31 on our website for computation of slope and offset correction coefficients from pre- and post-cruise calibrations supplied by Sea-Bird.
  • See Calibration Coefficient for Frequency Sensors for information on temperature sensors used in other instruments.
Sea-Bird temperature sensors usually drift by changing offset, typically resulting in lower temperature readings over time. Sea-Bird’s data indicates that the drift is smooth and uniform with time, allowing users to make very accurate corrections based only on pre- and post-cruise laboratory calibrations. Calibration checks at sea are advisable to ensure against sensor malfunction; however, data from reversing thermometers is rarely accurate enough to make calibration corrections that are better than those possible from shore-based laboratory calibrations.

Sea-Bird temperature sensors rarely exhibit span errors larger than ± 0.005 °C over the range –5 to +35 °C (0.005 °C/(35 -[-5])C/year = 0.000125 °C/C/year), even after years of drift. A span error that increases more than ± 0.0002 °C/C/year may be a symptom of sensor malfunction.

Pressure (Strain Gauge) Calibration Coefficients

For SBE 16plus (and -IM), 16plus (and -IM) V2, 19plus, and 19plus V2 configured with a strain gauge pressure sensor, and for all SBE 49s: Enter pA0, pA1, pA2, ptempA0, ptempA1, ptempA2, pTCA0, pTCA1, pTCA2, pTCB0, pTCB1, and pTCB2 from the calibration sheet.
Offset is normally zero, but may be changed for non-zero sea-surface condition. For example, if the in-air pressure reading is negative, enter an equal positive value for offset.

NOTE
See Calibration Coefficients for Voltage Sensors for information on strain gauge pressure sensors used in other instruments. See Calibration Coefficient for Frequency Sensors for information on Paroscientific Digiquartz pressure sensors.

See Also


Calibration Coefficients - Voltage Sensors

Access Configure by selecting the instrument in the Configure menu. View and/or modify the sensor calibration coefficients by selecting the sensor and clicking the Modify button in the instrument Configuration dialog box.

For all calibration dialog boxes, enter the sensor serial number and calibration date. Many sensor calibration equations contain an offset term. Unless noted otherwise, use the offset (default = 0.0) to make small corrections for sensor drift between calibrations.

Unless noted otherwise, SBE Data Processing supports only one of each auxiliary sensor model (for example, you cannot specify two Chelsea Minitracka fluorometers, but you can specify a Chelsea Minitracka and a Chelsea UV Aquatracka fluorometer). See the individual sensor descriptions below for those sensors that SBE Data Processing supports in a redundant configuration (two or more of the same sensor interfacing with the CTD).

The following types of voltage sensors are available (not all voltage sensors are applicable to all instruments): pressure (strain gauge), altimeter, fluorometer, methane OBS/nephelometer, oxidation reduction potential, oxygen, PAR/irradiance, pH, pressure/FGP, suspended sediment, transmissometer, user polynomial, and zaps.

Pressure (Strain Gauge) Calibration Coefficients

Enter coefficients:
  • Pressure sensor without temperature compensation
    • Enter A0, A1, and A2 coefficients from the calibration sheet.
    • For older units with a linear fit pressure calibration, enter M (A1) and B (A0) from the calibration sheet, and set A2 to zero.
    • For all units, offset is normally zero, but may be changed for non-zero sea-surface condition. For example, if the in-air pressure reading is negative, enter an equal positive value.
  • Pressure sensor with temperature compensation
    Enter ptempA0, ptempA1, ptempA2, pTCA0, pTCA1, pTCA2, pTCB0, pTCB1, pTCB2, pA0, pA1, and pA2 from the calibration sheet.
NOTE
See Calibration Coefficients for A/D Count Sensors for information on strain gauge pressure sensors used in the SBE 16plus (and -IM), 16plus (and -IM) V2, 19plus, 19plus V2, and 49. See Calibration Coefficient for Frequency Sensors for information on Paroscientific Digiquartz pressure sensors.

Altimeter Calibration Coefficients

Enter the scale factor and offset.
altimeter height = [300 * voltage / scale factor] + offset
where
scale factor = full scale voltage * 300/full scale range
full scale range is dependent on the sensor (e.g., 50m, 100m, etc.)
full scale voltage is from calibration sheet (typically 5V)

NOTE
In Seasave, enter the altimeter alarm set point, alarm hysteresis, and minimum pressure to enable alarm.

Fluorometer Calibration Coefficients

Biospherical Natural Fluorometer
Enter Cfn (natural fluorescence calibration coefficient), A1, A2, and B from calibration sheet.
natural fluorescence Fn = Cfn * 10V
production = A1 * Fn / (A2 + PAR)
chlorophyll concentration Chl = Fn / (B * PAR)
where
V is voltage from natural fluorescence sensor

Chelsea Aqua 3
Enter VB, V1, Vacetone, slope, offset, and SF.
Concentration(µg/l)=slope*[(10.0(V/SF) - 10.0VB)/(10.0V1 - 10.0Vacetone)]+offset
where
VB, V1, and Vacetone are from calibration sheet
Slope (default 1.0) and offset (default 0.0) adjust readings to conform to measured concentrations
Scale factor SF = 1.0 if CTD gain is 1; SF = 2 if CTD gain is 2.0
V is output voltage measured by CTD

Chelsea Aqua 3 Example Calculation of Slope and Offset
Current slope = 1.0 and offset = 0.0
Two in-situ samples:
Sample 1
Concentration (from SBE Data Processing) = 0.390
Concentration (from water sample) = 0.450
Sample 2
Concentration (from SBE Data Processing) = 0.028
Concentration (from water sample) = 0.020
Linear regression to this data yields slope = 1.188 and
offset = - 0.013

See Application Note 39 on our website for complete description of calculation of calibration coefficients.
Note: SBE Data Processing can process data for an instrument interfacing with up to two Chelsea Aqua 3 fluorometers.

Chelsea UV Aquatracka
Enter A and B.
Concentration (µg/l) = A * 10.0 V B
where
A and B are from calibration sheet
V is output voltage measured by CTD

Chelsea Minitracka
Enter Vacetone, Vacetone100, and offset.
Concentration = (100 *[V - Vacetone]/[Vacetone100 - Vacetone]) + offset
where
Vacetone (voltage with 0 µg/l chlorophyll) and Vacetone100 (voltage with 100 µg/l chlorophyll) are from calibration sheet
See Application Note 61 on our website for complete description of calculation of calibration coefficients.

Dr Haardt Fluorometer Chlorophyll a, Phycoerythrin, or Yellow Substance
Enter A0, A1, B0, and B1.
These instruments may have automatic switching between high and low gains. Select the gain range switch:
  • Output Voltage Level if the instrument indicates gain by output voltage level (< 2.5 volts is low gain, > 2.5 volts is high gain)
    Low gain: value = A0 + (A1 * V)
    High gain: value = B0 + (B1 * V)
  • Modulo Bit if the instrument has control lines custom-wired to bits in the SBE 9plus modulo word
    Bit not set: value = A0 + (A1 * V)
    Bit set: value = B0 + (B1 * V)
  • None if the instrument does not change gain
    value = A0 + (A1 * V)
where
V = voltage from sensor

Dr Haardt Voltage Level Switching Examples -- Chlorophyll a
Low range scale = 10 mg/l and Gain = 10/2.5 = 4 mg/l/volt
A0 = 0.0 A1 = 4.0
High range scale = 100 mg/l and Gain = 100/2.5 = 40 mg/l/volt
B0 = -100 B1 = 40.0

Seapoint
Enter gain and offset.
Concentration = (V * 30/gain) + offset
where
Gain is dependent on cable used (see cable drawing, pins 5 and 6)
See Application Note 54 on our website for complete description of calculation of calibration coefficients.
Note: SBE Data Processing can process data for an instrument interfacing with up to two Seapoint fluorometers.

Seapoint Rhodamine
Enter gain and offset.
Concentration = (V * 30/gain) + offset
where
Gain is dependent on cable used (see cable drawing, pins 5 and 6)

Sea Tech and WET Labs Flash Lamp Fluorometer (FLF)
Enter scale factor and offset.
Concentration = (voltage * scale factor / 5) + offset
where
Scale factor is dependent on fluorometer range
Fluorometer | Switch Selectable Range (milligrams/m3 or micrograms/liter) | Scale Factor
Sea Tech | 0 - 3 | 3
 | 0 - 10 (default) | 10
 | 0 - 30 | 30
 | 0 - 100 | 100
 | 0 - 300 | 300
 | 0 - 1000 | 1000
WET Labs FLF | 0 - 300 (default) | 300
 | 0 - 1000 | 1000
Offset is calculated by measuring voltage output when the light sensor is completely blocked from the strobe light with an opaque substance such as heavy black rubber: offset = - (scale factor * voltage) / 5
See Application Note 9 on our website for complete description of calculation of calibration coefficients.
NOTE
Offset and scale factor may be adjusted to fit a linear regression of fluorometer responses to known chlorophyll a concentrations.

Turner 10-005
This sensor requires two channels: one for the fluorescence voltage and the other for the range voltage. Make sure to select both when configuring the instrument.
For the fluorescence voltage channel, enter scale factor and offset.
concentration = [fluorescence voltage * scale factor / (range * 5)] + offset
where
range is defined in the following table
Range Voltage | Range
< 0.2 volts | 1.0
> 0.2 volts and < 0.55 volts | 3.16
> 0.55 volts and < 0.85 volts | 10.0
> 0.85 volts | 31.0

Turner 10-AU-005
Enter full scale voltage, zero point concentration, and full scale concentration from the calibration sheet.
concentration = [(1.195 * voltage * (FSC ZPC)) / FSV] + ZPC
where
voltage = measured output voltage from fluorometer
FSV = full scale voltage; typically 5.0 volts
FSC = full scale concentration
ZPC = zero point concentration

Turner SCUFA
Enter scale factor, offset, units, mx, my, and b from the calibration sheet.
chlorophyll = (scale factor * voltage) + offset
corrected chlorophyll = (mx * chlorophyll) + (my * NTU) + b
where
NTU = results from optional turbidity channel in SCUFA (see Turner SCUFA in OBS equations below)
See Application Note 63 on our website for complete description of calculation of calibration coefficients.

NOTES
  • To enable entry of the mx, my, and b coefficients, you must first select the Turner SCUFA OBS/Nephelometer.
  • SBE Data Processing can process data for an instrument interfacing with up to two Turner SCUFA sensors.
WET Labs AC3
This sensor requires two channels one for fluorometer voltage (listed under fluorometers in the dialog box) and the other for transmissometer voltage (listed under transmissometers). Make sure to select both when configuring the instrument.
Enter kv, Vh2o, and AX.
concentration (mg/m3) = kv * (Vout - Vh20) / AX
where
Vout = measured output voltage
kv = absorption voltage scaling constant (inverse meters/volt)
Vh20 = measured voltage using pure water
AX = chlorophyll specific absorption coefficient

WET Labs WetStar, ECO-AFL, and ECO-FL
Enter Vblank and scale factor.
Concentration (µg/l) = (Vsample - V blank) * scale factor
where
Vsample = in situ voltage output
Vblank = clean water blank voltage output
Scale factor = multiplier (µg/l/Volt)
The calibration sheet lists either:
  • Vblank and scale factor, OR
  • Vblank and Vcopro (voltage output measured with known concentration of coproporphyrin tetramethyl ester). Determine an initial value for the scale factor by using the chlorophyll concentration corresponding to Vcopro:
    scale factor = chlorophyll concentration / (Vcopro - Vblank)
Perform calibrations using seawater with phytoplankton populations that are similar to what is expected in situ.
See Application Note 41 for WetStar and Application Note 62 for ECO-AFL, ECO-FL, and ECO-FL-NTU on our website for complete description of calculation of calibration coefficients.
Note: SBE Data Processing can process data for an instrument interfacing with up to two WET Labs WetStar sensors and up to two ECO-AFL (or ECO-FL) sensors.

NOTE
For ECO-FL-NTU, a second channel is required for turbidity. Set up the second channel as a User Polynomial, with:
a0 = - Vblank * scale factor
a1 = scale factor (NTU/volts)
a2 = a3 = 0
where scale factor and Vblank are for the turbidity measurement.

WET Labs CDOM (colored dissolved organic matter)
Enter Vblank and scale factor.
Concentration (µg/l) = (Vsample - V blank) * scale factor
where
Vsample = in situ voltage output
Vblank = clean water blank voltage output
Scale factor = multiplier (µg/l/Volt)
The calibration sheet lists Vblank and Vcdom (voltage output measured with known concentration of colored dissolved organic matter). Determine an initial value for the scale factor by using the colored dissolved organic matter concentration corresponding to Vcdom:
scale factor = cdom concentration / (Vcdom - Vblank)
Perform calibrations using seawater with cdom types that are similar to what is expected in situ.

Methane Sensor Calibration Coefficients

The Capsum METS sensor requires two channels one for the methane concentration and the other for the temperature measured by the sensor. Make sure to select both when configuring the instrument.
For the concentration channel, enter D, A0, A1, B0, B1, and B2.
Methane concentration
= exp {D ln [(B0 + B1 exp (- Vt / B2)) * ((1 / Vm) (1 / (A0 A1 * Vt))) ] } [mmol / l]
where
Vt = Capsum METS temperature voltage
Vm = Capsum METS methane concentration voltage

For the temperature channel, enter T1 and T2.
Gas temperature = (Vt * T1) + T2 [°C]

OBS/Nephelometer Calibration Coefficients

NOTE
In general, turbidity sensors are calibrated to a standard (formazin). However, particle size, shape, refraction, etc. in seawater varies. These variations affect the results unless field calibrations are performed on typical water samples.

Downing & Associates [D&A] OBS-3 Backscatterance
Enter gain and offset.
output = (volts * gain) + offset
where
gain = range/5; see calibration sheet for range
See Application Note 16 on our website for complete description of calculation of calibration coefficients.
NOTE: SBE Data Processing can process data for an instrument interfacing with up to two OBS-3 sensors.

Downing & Associates [D&A] OBS-3+
Enter A0, A1, and A2.
output = A0 + (A1 * V) + (A2 * V2)
where
V = voltage from sensor (milliVolts)
A0, A1, and A2 = calibration coefficients from D & A calibration sheet
See Application Note 81 on our website for complete description of calculation of calibration coefficients.
NOTE: SBE Data Processing can process data for an instrument interfacing with up to two OBS-3+ sensors, or to both the 1X and 4X ranges on one OBS-3+ sensor (providing two channels of OBS-3+ data).

Chelsea
Enter clear water value and scale factor.
turbidity [F.T.U.] = (10.0V C) / scale factor
where
V = voltage from sensor
See calibration sheet for C (clear water value) and scale factor

Dr. Haardt Turbidity
Enter A0, A1, B0, and B1. Select the gain range switch:
  • Output Voltage Level if the instrument indicates gain by output voltage level (< 2.5 volts is low gain, > 2.5 volts is high gain)
    Low gain: value = A0 + (A1 * V)
    High gain: value = B0 + (B1 * V)
  • Modulo Bit if the instrument has control lines custom-wired to bits in the SBE 9plus modulo word
    Bit not set: value = A0 + (A1 * V)
    Bit set: value = B0 + (B1 * V)
  • None if the instrument does not change gain
    value = A0 + (A1 * V)
    where
    V = voltage from sensor
IFREMER
This sensor requires two channels one for the direct voltage and the other for the measured voltage. Make sure to select both when configuring the instrument.
For the direct voltage channel, enter vm0, vd0, d0, and k.
diffusion = [k * (vm vm0) / (vd vd0)] d0
where
k = scale factor vm = measured voltage
vm0 = measured voltage offset vd = direct voltage
vd0 = direct voltage offset d0 = diffusion offset

Seapoint Turbidity
Enter gain setting and scale factor.
output = (volts * 500 * scale factor)/gain
where
Scale factor is from calibration sheet
Gain is dependent on cable used (see cable drawing)
See Application Note 48 on our website for complete description of calculation of calibration coefficients.
Note: SBE Data Processing can process data for an instrument interfacing with up to two Seapoint Turbidity sensors.

Seatech LS6000 and WET Labs LBSS
Enter gain setting, slope, and offset.
Output = [volts * (range / 5) * slope] + offset
where
Slope is from calibration sheet.
Range is based on sensor ordered (see calibration sheet) and cable-dependent gain (see cable drawing to determine if low or high gain):
Range for High Gain | Range for Low Gain
2.25 | 7.5
7.5 | 25
75 | 250
225 | 750
33 | 100
Note: SBE Data Processing can process data for an instrument interfacing with up to two Seatech LS6000 or WET Labs LBSS sensors.

Turner SCUFA
Enter scale factor and offset.
NTU = (scale factor * voltage) + offset
corrected chlorophyll = (mx * chlorophyll) + (my * NTU) + b
where
mx, my, and b = coefficients entered for Turner SCUFA fluorometer
chlorophyll = results from fluorometer channel in SCUFA (see Turner SCUFA in fluorometer equations above)
See Application Note 63 on our website for complete description of calculation of calibration coefficients.
Notes:
1. To enable entry of the mx, my, and b coefficients for the SCUFA fluorometer, you must first select the Turner SCUFA OBS/Nephelometer.
2. SBE Data Processing can process data for an instrument interfacing with up to two Turner SCUFA sensors.

Oxidation Reduction Potential Calibration Coefficients

Enter M, B, and offset (mV).
Oxidation reduction potential = [(M * voltage) + B] + offset
Enter M and B from calibration sheet.
See Application Note 19 on our website for complete description of calculation of calibration coefficients.

Oxygen Calibration Coefficients

NOTES
  • The Tau correction ([tau(T,P) * dV/dt] in the SBE 43 or [tau * doc/dt] in the SBE 13 or 23) improves response of the measured signal in regions of large oxygen gradients. However, this term also amplifies residual noise in the signal (especially in deep water), and in some situations this negative consequence overshadows the gains in signal responsiveness. To perform this correction, select Apply Tau correction on Data Conversions's or Derives Miscellaneous tab.
  • If the Tau correction is enabled, oxygen computed by Seasave and Data Conversion differ from values computed by Derive. Both algorithms use the derivative of the oxygen signal with respect to time, and require a user-input window (in SBE Data Processing, the window size is input on Data Conversions's or Derives Miscellaneous tab):
    - Quick estimate Seasave and Data Conversion compute the derivative looking back in time, because they share common code and Seasave cannot use future values while acquiring real-time data.
    - Most accurate results --- Derive uses a user-input centered window (equal number of points before and after scan) to compute the derivative.
  • See Calibration Coefficients - RS-232 Sensors for the Aanderaa Optode Oxygen Sensor.
Enter the coefficients, which vary depending on the type of oxygen sensor, from the calibration sheet:

Beckman- or YSI-type sensor (manufactured by Sea-Bird or other manufacturer) -- These sensors require two channels one for oxygen current (enter m, b, soc, boc, tcor, pcor, tau, and wt) and the other for oxygen temperature (enter k and c). Make sure to select both when configuring the instrument.
See Application Notes 13-1 and 13-3 on our website for complete description of calculation of calibration coefficients.
Note: SBE Data Processing can process data for an instrument interfacing with up to two Beckman- or YSI-type oxygen sensors.

IOW sensor -- These sensors require two channels one for oxygen current (enter b0 and b1) and the other for oxygen temperature (enter a0, a1, a2, and a3). Make sure to select both when configuring the instrument.
Value = b0 + [b1 * (a0 +a1 * T + a2 * T2 + a3 * T3) * C]
where
T is oxygen temperature voltage, C is oxygen current voltage

Sea-Bird sensor (SBE 43) -- This sensor requires only one channel.
In Spring of 2008, Sea-Bird began using a new equation, the Sea-Bird equation, for calibrating SBE 43 oxygen sensors. Calibration sheets for SBE 43s calibrated after this date will only include coefficients for the Sea-Bird equation, but our software (Seasave, Seasave V7, and SBE Data Processing) supports both equations. We recommend that you use the Sea-Bird equation for best results.
  • Sea-Bird: Enter Soc, Voffset, A, B, C, E, Tau20, D1, and D2.
    OX = Soc * [V + Voffset + tau(T,P) * dV/dt] * OxSOL(T,S) *
    (1.0 + A*T + B*T2 + C*T3) * e (E*P / K)
    where
    - OX = dissolved oxygen concentration (ml/l)
    - T, P = measured temperature (ºC) and pressure (decibars) from CTD
    - S = calculated salinity from CTD (PSU)
    - V = temperature-compensated oxygen signal (volts)
    - Soc = linear scaling calibration coefficient
    - Voffset = voltage at zero oxygen signal
    - tau(T,P) = sensor time constant at temperature and pressure
    - tau20 = sensor time constant tau(T,P) at 20 C, 1 atmosphere, 0 PSU; slope term in calculation of tau(T,P)
    - D1, D2 = calibration terms used in calculation of tau(T,P)
    - dV/dt = time derivative of oxygen signal (volts/sec)
    - H1, H2, H3 = calibration terms used for hysteresis correction
    - K = absolute temperature (Kelvin)
    - Oxsol(T,S) = oxygen saturation (ml/l); a parameterization from Garcia and Gordon (1992)

NOTE

A hysteresis correction can be applied in Data Conversion for the SBE 43. To perform this correction, select Apply hysteresis correction on Data Conversions Miscellaneous tab. H1, H2, and H3 coefficients for hysteresis correction (entered in the .con or .xmlcon file) are available on calibration sheets for SBE 43s calibrated after September 2008.

OR
  • Owens-Millard:
 Enter Soc, Boc, Voffset, tcor, pcor, and tau.
OX = [Soc*{(V+Voffset)+(tau*dV/dt)}+Boc*exp(-0.03T)] * exp(tcor*T+pcor*P)*Oxsat(T,S)
where
OX = dissolved oxygen concentration (ml/l)
T = measured temperature from CTD (ºC)
P = measured pressure from CTD (decibars)
S = calculated salinity from CTD (PSU)
V = temperature-compensated oxygen signal (volts)
dV/dt = derivative of oxygen signal (volts/sec)
Oxsat(T,S) = oxygen saturation (ml/l)
See Application Notes 64 and 64-2 on our website for complete description of calculation of calibration coefficients.
Note: SBE Data Processing can process data for an instrument interfacing with up to two SBE 43 oxygen sensors.

PAR/Irradiance Calibration Coefficients

Underwater PAR Sensor
Note: Selection of PAR / Irradiance, Biospherical / Licor as the voltage sensor is also applicable to the Chelsea PAR sensor.
Enter M, B, calibration constant, multiplier, and offset.
PAR = [multiplier * (109 * 10[(V-B) / M]) / calibration constant] + offset
Where
Calibration constant, M, and B are dependent on sensor type:
  • Biospherical PAR sensor
    -- PAR sensor with built-in log amplifier (QSP-200L, QSP-2300L, QCP-2300L, or MCP-2300)]:
    Typically, M = 1.0 and B = 0.0.
    Calibration constant
    = 105 / wet calibration factor from Biospherical calibration sheet
    -- PAR sensor without built-in log amplifier (QSP-200PD, QSP-2200 (PD), or QCP-2200 (PD):
    M and B are taken from Sea-Bird calibration sheet.
    Calibration constant
    = CS calibration coefficient from Sea-Bird calibration sheet
    = 109 /calibration coefficient from Biospherical calibration sheet
    See Application Notes 11 QSP-L (Biospherical sensor with built-in log amplifier) and 11-QSP-PD (Biospherical sensor without built-in log amplifier) on our website for complete description of calculation of calibration coefficients.
  • LI-COR PAR sensor
    Calibration constant is LI-COR in water calibration constant from calibration sheet. Enter calibration constant, M, and B from calibration sheet.
    See Application Note 11 LICOR on our website for complete description of calculation of calibration coefficients.
  • Chelsea PAR sensor (select PAR/Irradiance, Biospherical/Licor in .con or .xmlcon file)
    Calibration constant
    = 109 / 0.01 (for units of microEinsteins/secm2) or
    = 10    9 / 0.04234 (for units of quanta/secm2)
    M = 1.0 / (log e * A1 * 1000) = 1.0 / (0.43429448 * A1 * 1000)
    B = - M * log e * A0 = - M * 0.43429448 * A0
    where     A0 and A1 are constants from Chelsea calibration sheet with an equation of form:
    PAR = A0 + A1 * mV
Multiplier can be used to scale output, and is typically set to 1.0.
Note: SBE Data Processing can process data for an instrument interfacing with up to two PAR/irradiance sensors.
Surface PAR Sensor
A surface PAR sensor is selected by clicking Surface PAR voltage added in the Configure dialog box. Enter conversion factor and ratio multiplier.
See Application Note 11S (11plus Deck Unit) or 47 (SBE 33 or 36 Deck Unit) on our website for complete description of calculation of calibration coefficients for surface PAR.

pH Calibration Coefficients

NOTE
SEASOFT-DOS < version 4.008 ignored temperature compensation of a pH electrode. The relationship between the two methods is:
pH = pH old + (7 2087/°K)
For older sensors, run pHfit version 2.0 (included with SEASOFT-DOS) using Vout, pH, and temperature values from the original calibration sheet to compute the new values for offset and slope to enter in the configuration file.

Enter the slope and offset from the calibration sheet:
pH = 7 + (Vout offset) / (°K * 1.98416e-4 * slope)
where
°K = temperature in degrees Kelvin
See Application Notes 18-1, 18-2, and 18-4 on our website for complete description of calculation of calibration coefficients.

Pressure/FGP (voltage output) Calibration Coefficients

Enter scale factor and offset.
output [Kpa] = (volts * scale factor) + offset
where:
scale factor = 100 * pressure sensor range [bar] / voltage range [volts]
Note: SBE Data Processing can process data for an instrument interfacing with up to eight pressure/fgp sensors.

Suspended Sediment Calibration Coefficients

The Sequoia LISST-25 sensor requires two channels one for scattering output and the other for transmission output. Make sure to select both when configuring the instrument.
For the scattering channel, enter Total volume concentration constant (Cal), Sauter mean diameter calibration (a), Clean H2O scattering output (VS0), and Clean H2O transmission output (VT0) from the calibration sheet. For the transmission channel, no additional coefficients are required; they are all defined for the scattering channel.
Optical transmission = t = VT / VT0
Beam C = - ln (t) / 0.025 [1 / meters]
Total Volume Concentration = TV = Cal * [ ( VS / t ) - VS0 ] [m liters / liter]
Sauter Mean Diameter = SMD = a * [ TV / ( - ln (t ) ] [microns]
where
VT = transmission channel voltage output
VS = scattering channel voltage output
The calibration coefficients supplied by Sequoia are based on water containing spherical particles. Perform calibrations using seawater with particle shapes that are similar to what is expected in situ.

Transmissometer Calibration Coefficients

Sea Tech, Chelsea (Alphatracka), and WET Labs Cstar
Enter M, B, and path length (in meters)
Path length (distance between lenses) is based on sensor size (for example, 25 cm transmissometer = 0.25m path length, etc.).
light transmission (%) = M * volts + B
beam attenuation coefficient (c) = - (1/z) * ln (light transmission [decimal])
where
M = ( Tw / [ W0 Y0 ] ) ( A0 Y0 ) / ( A1 Y1 )
B = - M * Y1
and
A0 = factory voltage output in air (factory calibration from transmissometer manufacturer)
A1 = current (most recent) voltage output in air
Y0 = factory dark or zero (blocked path) voltage (factory calibration from transmissometer manufacturer)
Y1 = current (most recent) dark or zero (blocked path) voltage
W0 = factory voltage output in pure water (factory calibration from transmissometer manufacturer)
Tw = % transmission in pure water
(for transmission relative to water, Tw = 100%; or
for transmission relative to air, Tw is defined by table below.)
 | TW = % Transmission in Pure Water (relative to AIR)
Wavelength | 10 cm Path length | 25 cm Path Length
488 nm (blue) | 99.8% | 99.6%
532 nm (green) | 99.5% | 98.8%
660 nm (red) | 96.0 - 96.4% | 90.2% - 91.3%

Transmissometer Example

(from calibration sheet) A0 = 4.743 volts, Y0 = 0.002 volts, W0 = 4.565 volts

Tw = 100% (for transmission relative to water)
(from current calibration) A1 = 4.719 volts and Y1 = 0.006 volts
M = 22.046
B = - 0.132

See Application Note 7 on our website for complete description of computation of calibration coefficients.
Note: SBE Data Processing can process data for an instrument interfacing with up to two transmissometers in any combination of Sea Tech, Chelsea Alphatracka, and WET Labs Cstar

WET Labs AC3
This sensor requires two channels one for fluorometer voltage (listed under fluorometers in the dialog box) and the other for transmissometer voltage (listed under transmissometers). Make sure to select both when configuring the instrument.
Enter Ch2o, Vh2o, VDark, and X from calibration sheet.
Beam attenuation = {[log (Vh2o - VDark) - log (V - VDark)] /X} + Ch2o
Beam transmission (%) = exp ( -beam attenuation * X) * 100

User Polynomial Calibration Coefficients

The user polynomial allows you to define an equation to relate the sensor output voltage to calculated engineering units, if your sensor is not pre-defined in Sea-Bird software.
Enter a0, a1, a2, and a3.
Val = a0 + (a1 * V) + (a2 * V2) + (a3 * V3)
where:
V = voltage from sensor
a0, a1, a2, and a3 = user-defined sensor polynomial coefficients
If desired, enter the sensor name. This name will appear in the data file header.
Note: SBE Data Processing can process data for an instrument interfacing with up to three sensors defined with user polynomials.

Wet Labs ECO-FL-NTU Example

For the turbidity channel, NTU = (Vsample Vblank) * scale factor

Set this equal to user polynomial equation and calculate a0, a1, a2, and a3.

(Vsample Vblank) * scale factor = a0 + (a1 * V) + (a2 * V2) + (a3 * V3)

Expanding left side of equation and using consistent notation (Vsample = V):

scale factor*V scale factor*Vblank = a0 + (a1*V) + (a2*V2) + (a3*V3)

Left side of equation has no V2 or V3 terms, so a2 and a3 are 0; rearranging:

( scale factor*Vblank) + (scale factor*V) = a0 + (a1*V)

a0 = scale factor * Vblank a1 = scale factor a2 = a3 = 0

Zaps Calibration Coefficients

Enter M and B from calibration sheet.
z = (M * volts) + B [nmoles]

See Also


Calibration Coefficients - RS-232 Sensors

Seasave uses the sensor calibration coefficients to convert the raw data stream into engineering units for display during real-time data acquisition. The method for accessing the calibration coefficients to view or modify them is summarized below:
  • Click Configure Inputs, and click on the Instrument Configuration tab. Click Open and browse to the desired file. Click Modify. Double click on the desired sensor; the calibration coefficients dialog box for the sensor appears.
Unless noted otherwise, Seasave supports only one of each auxiliary sensor model (for example, you cannot specify two Aanderaa Optodes).

Aanderaa Oxygen Optode Calibration Coefficients

Enter the serial number, calibration date, and information required for salinity and depth corrections. The internal salinity must match the value you programmed into the Optode (the value is ignored if you do not enable the Salinity correction). If you enable Salinity correction, Seasave corrects the oxygen output from the Optode based on the actual salinity (calculated from the CTD data). If you enable Depth correction, Seasave corrects the oxygen output from the Optode based on the depth (calculated from the CTD data).

NOTES
  • Set up the Optode for RS-232 communications, and to output only model number, serial number, and oxygen concentration (micromoles/liter) in decimal format.
  • The Optode is compatible only with the SBE 16plus V2, 16plus-IM V2, and 19plus V2.
  • See Calibration Coefficients - Voltage Sensors for voltage-output Oxygen sensors, including the SBE 43.


Importing and Exporting Calibration Coefficients

Calibration coefficient dialog boxes contain Import and Export buttons, which can be used to simplify entering calibration coefficients. These buttons are particularly useful when swapping sensors from one instrument to another, allowing you to enter calibration coefficients without the need for typing or the resulting possibility of typographical errors. An example dialog box is shown for a pH sensor.

The Export button allows you to export coefficients for the selected sensor to an .XML file. If you move that sensor onto another instrument, you can then import the coefficients when setting up the .con or .xmlcon configuration file for that instrument.

The Import button allows you to import coefficients for the selected sensor from another .con or .xmlcon file or from an .XML file. When you click the Import button, a dialog box appears. Select the desired file type, and then browse to and select the file.
  • .con or .xmlcon configuration file – opens a .con or .xmlcon file, retrieves the calibration coefficients from the file for the type of sensor you selected, and enters the coefficients in the calibration coefficients dialog box. If the .con or .xmlcon file contains more than one of that type of sensor (for example, SBE Data Processing can process data for an instrument interfacing with up to two SBE 43 oxygen sensors, so the .con or .xmlcon file could contain coefficients for two SBE 43 sensors), a dialog box allows you to select the desired sensor by serial number. If the .con or .xmlcon file does not contain any of that type of sensor, SBE Data Processing responds with an error message.
  • .XML file – imports an .XML file that contains calibration coefficients for one sensor. If the .XML file you select is not compatible with the selected sensor type, SBE Data Processing responds with an error message.

NOTE
To access a calibration coefficients dialog box:
1. In the Configure menu, select the desired instrument.
2. In the Configuration dialog box, click Open. Browse to the desired .con or .xmlcon file and click Open.
3. In the Configuration dialog box, click a sensor and click modify to change the calibration coefficients for that sensor (or right click on the sensor and select Modify . . Calibration, or double click on the sensor); the calibration coefficients dialog box for the sensor appears.


Configuration (.con or .xmlcon) File Format

Modify a .con or .xmlcon configuration file by selecting the instrument in the Configure menu.

Configuration files (.con or .xmlcon) can also be opened, viewed, and modified with DisplayConFile.exe, a utility that is installed in the same folder as SBE Data Processing. Right click on the desired configuration file, select Open With, and select DisplayConFile. This utility is often used at Sea-Bird to quickly open and view a configuration file for troubleshooting purposes, without needing to go through the additional steps of selecting the file in SBE Data Processing or Seasave.

Note
For an easy-to-read report of .con or .xmlcon file contents, see Generating .con or .xmlcon File Reports - ConReport.exe.

.xmlcon Configuration File Format

.xmlcon configuration files, written in XML format, were introduced with SBE Data Processing and Seasave 7.19a. Versions 7.19a and later allow you to open a .con or a .xmlcon file, and to save the configuration to a .con or a .xmlcon file. A .xmlcon file uses XML tags to describe each line in the file.

We recommend that you do not open .xmlcon files with a text editor (i.e., Notepad, Wordpad, etc.).

.con Configuration File Format

Shown below is a line-by-line description of the .con configuration file contents, which can be viewed in a text editor (i.e., Notepad, Wordpad, etc.).

Line | Contents
1 | Conductivity sensor serial number
2 | Conductivity M, A, B, C, D, CPCOR
3 | Conductivity cell_const, series_r, slope, offset, use GHIJ coefficients?
4 | Temperature sensor serial number
5 | Temperature F0, A, B, C, D, slope, offset, use GHIJ coefficients?
6 | Secondary conductivity sensor serial number
7 | Secondary conductivity M, A, B, C, D, PCOR
8 | Secondary conductivity cell_const, series_r, slope, offset, use GHIJ coefficients?
9 | Secondary temperature sensor serial number
10 | Secondary temperature F0, A, B, C, D, slope, offset, use GHIJ coefficients?
11 | Pressure sensor serial number
12 | Pressure T1, T2, T3, T4, T5
13 | Pressure C1 (A1), C2 (A0), C3, C4 (A2) - parameters in parentheses for strain gauge sensor
14 | Pressure D1, D2, slope, offset, pressure sensor type, AD590_M, AD590_B
15 | Oxygen (Beckman/YSI type) sensor serial number
16 | Oxygen (Beckman/YSI type) M, B, K, C, SOC, TCOR
17 | Oxygen (Beckman/YSI type) WT, PCOR, TAU, BOC
18 | pH sensor serial number
19 | pH slope, offset, VREF
20 | PAR light sensor serial number
21 | PAR cal const, multiplier, M, B, surface_cc, surface_r, offset
22 | Transmissometer (SeaTech, Chelsea AlphaTracka, WET Labs Cstar) serial number
23 | Transmissometer (SeaTech, Chelsea AlphaTracka, WET Labs Cstar) M, B, path length
24 | Fluorometer SeaTech sensor serial number
25 | Fluorometer SeaTech scale factor, offset
26 | Tilt sensor serial number
27 | Tilt XM, XB, YM, YB
28 | ORP sensor serial number
29 | ORP M, B, offset
30 | Primary OBS/Nephelometer D&A Backscatterance sensor serial number
31 | Primary OBS/Nephelometer D&A Backscatterance gain, offset
32 | Altimeter scale factor, offset, hyst, min pressure, hysteresis
33 | Microstructure temperature sensor serial number
34 | Microstructure temperature pre_m, pre_b
35 | Microstructure temperature num, denom, A0, A1, A3
36 | Microstructure conductivity sensor serial number
37 | Microstructure conductivity A0, A1, A2
38 | Microstructure conductivity M, B, R
39 | Number of external frequencies, number of bytes, number of voltages, instrument type, computer interface, scan rate, interval, store system time?
40 | Data format channels 0 - 9
41 | Data format channels 10 - 19
42 | Data format channels 20 - 39
43 | SBE 16: use water temperature?, fixed pressure, fixed pressure temperature
44 | Firmware version
45 | Miscellaneous: number of frequencies from SBE 9, number of frequencies from SBE 9 to be suppressed, number of voltages from SBE 9 to be suppressed, voltage range, add surface PAR voltage?, add NMEA position data?, include IOW sensors? Add NMEA depth data?
46 | OBS/Nephelometer IFREMER sensor serial number
47 | OBS/Nephelometer IFREMER VM0, VD0, D0, K
48 | OBS/Nephelometer Chelsea sensor serial number
49 | OBS/Nephelometer Chelsea clear water voltage, scale factor
50 | ZAPS sensor serial number
51 | ZAPS m, b
52 | Conductivity sensor calibration date
53 | Temperature sensor calibration date
54 | Secondary conductivity sensor calibration date
55 | Secondary temperature sensor calibration date
56 | Pressure sensor calibration date
57 | Oxygen (Beckman/YSI type) sensor calibration date
58 | pH sensor calibration date
59 | PAR light sensor calibration date
60 | Transmissometer (SeaTech, Chelsea AlphaTracka, WET Labs Cstar) sensor calibration date
61 | Fluorometer (SeaTech) sensor calibration date
62 | Tilt sensor calibration date
63 | ORP sensor calibration date
64 | Primary OBS/Nephelometer D&A Backscatterance sensor calibration date
65 | Microstructure temperature sensor calibration date
66 | Microstructure conductivity sensor calibration date
67 | IFREMER OBS/nephelometer sensor calibration date
68 | Chelsea OBS/nephelometer sensor calibration date
69 | ZAPS sensor calibration date
70 | Secondary oxygen (Beckman/YSI type) sensor serial number
71 | Secondary oxygen (Beckman/YSI type) sensor calibration date
72 | Secondary oxygen (Beckman/YSI type) M, B, K, C, SOC, TCOR
73 | Secondary oxygen (Beckman/YSI type) WT, PCOR, TAU, BOC
74 | User polynomial 1 sensor serial number
75 | User polynomial 1 sensor calibration date
76 | User polynomial 1 A0, A1, A2, A3
77 | User polynomial 2 sensor serial number
78 | User polynomial 2 sensor calibration date
79 | User polynomial 2 A0, A1, A2, A3
80 | User polynomial 3 sensor serial number
81 | User polynomial 3 sensor calibration date
82 | User polynomial 3 A0, A1, A2, A3
83 | Dr. Haardt Chlorophyll fluorometer sensor serial number
84 | Dr. Haardt Chlorophyll fluorometer sensor calibration date
85 | Dr. Haardt Chlorophyll fluorometer A0, A1, B0, B1, which modulo bit, gain range switching
86 | Dr. Haardt Phycoerythrin fluorometer sensor serial number
87 | Dr. Haardt Phycoerythrin fluorometer sensor calibration date
88 | Dr. Haardt Phycoerythrin A0, A1, B0, B1, which modulo bit, gain range switching
89 | Dr. Haardt Turbidity OBS/Nephelometer sensor serial number
90 | Dr. Haardt Turbidity OBS/Nephelometer sensor calibration date
91 | Dr. Haardt Turbidity OBS/Nephelometer A0, A1, B0, B1, which modulo bit, gain range switching
92 | IOW oxygen sensor serial number
93 | IOW oxygen sensor calibration date
94 | IOW oxygen A0, A1, A2, A3, B0, B1
95 | IOW sound velocity sensor serial number
96 | IOW sound velocity sensor calibration date
97 | IOW sound velocity A0, A1, A2
98 | Biospherical natural fluorometer sensor serial number
99 | Biospherical natural fluorometer sensor calibration date
100 | Biospherical natural fluorometer Cfn, A1, A2, B
101 | Sea tech ls6000 OBS/Nephelometer sensor serial number
102 | Sea tech ls6000 OBS/Nephelometer sensor calibration date
103 | Sea tech ls6000 OBS/Nephelometer gain, slope, offset
104 | Fluorometer Chelsea Aqua 3 sensor serial number
105 | Fluorometer Chelsea Aqua 3 sensor calibration date
106 | Fluorometer Chelsea Aqua 3 scale factor, slope, offset, Vacetone, VB (static), V1ug/l
107 | Fluorometer Turner sensor serial number
108 | Fluorometer Turner sensor calibration date
109 | Fluorometer Turner scale factor, offset; or Turner-10au-005 full scale concentration, full scale voltage, zero point concentration
110 | Conductivity G, H, I, J, CTCOR, CPCOR
111 | Temperature F0, G, H, I, J
112 | Secondary conductivity G, H, I, J, CTCOR, CPCOR
113 | Secondary temperature F0, G, H, I, J
114 | WET Labs AC3 beam transmission transmissometer sensor serial number
115 | WET Labs AC3 beam transmission transmissometer sensor calibration date
116 | WET Labs AC3 beam transmission transmissometer Ch2o, Vh2o, Vdark, x, chlorophyll absorption Kv, Vh2o, a^x
117 | WET Labs WETStar fluorometer sensor serial number
118 | WET Labs WETStar fluorometer sensor calibration date
119 | WET Labs WETStar Vblank, scale factor
120 | Primary conductivity sensor using g, h, i, j coefficients calibration date
121 | Primary temperature sensor using g, h, i, j coefficients calibration date
122 | Secondary conductivity sensor using g, h, i, j coefficients calibration date
123 | Secondary temperature sensor using g, h, i, j coefficients calibration date
124 | FGP pressure sensor #0 serial number
125 | FGP pressure sensor #0 calibration date
126 | FGP pressure sensor #0 scale factor, offset
127 | FGP pressure sensor #1 serial number
128 | FGP pressure sensor #1 calibration date
129 | FGP pressure sensor #1 scale factor, offset
130 | FGP pressure sensor #2 serial number
131 | FGP pressure sensor #2 calibration date
132 | FGP pressure sensor #2 scale factor, offset
133 | FGP pressure sensor #3 serial number
134 | FGP pressure sensor #3 calibration date
135 | FGP pressure sensor #3 scale factor, offset
136 | FGP pressure sensor #4 serial number
137 | FGP pressure sensor #4 calibration date
138 | FGP pressure sensor #4 scale factor, offset
139 | FGP pressure sensor #5 serial number
140 | FGP pressure sensor #5 calibration date
141 | FGP pressure sensor #5 scale factor, offset
142 | FGP pressure sensor #6 serial number
143 | FGP pressure sensor #6 calibration date
144 | FGP pressure sensor #6 scale factor, offset
145 | FGP pressure sensor #7 serial number
146 | FGP pressure sensor #7 calibration date
147 | FGP pressure sensor #7 scale factor, offset
148 | Primary Seapoint OBS/Nephelometer turbidity meter sensor serial number
149 | Primary Seapoint OBS/Nephelometer turbidity meter sensor calibration date
150 | Primary Seapoint OBS/Nephelometer turbidity meter gain, scale
151 | Secondary OBS/Nephelometer Seapoint turbidity meter sensor serial number
152 | Secondary OBS/Nephelometer Seapoint turbidity meter sensor calibration date
153 | Secondary OBS/Nephelometer Seapoint turbidity meter gain, scale
154 | Fluorometer Dr. Haardt Yellow Substance sensor serial number
155 | Fluorometer Dr. Haardt Yellow Substance sensor calibration date
156 | Fluorometer Dr. Haardt Yellow Substance A0, A1, B0, B1, which modulo bit, gain range switching
157 | Fluorometer Chelsea Minitraka serial number
158 | Fluorometer Chelsea Minitraka calibration date
159 | Fluorometer Chelsea Minitraka vacetone, vacetone100, offset
160 | Seapoint fluorometer serial number
161 | Seapoint fluorometer calibration date
162 | Seapoint fluorometer gain, offset
163 | Primary Oxygen (SBE 43) serial number
164 | Primary Oxygen (SBE 43) calibration date
165 | Primary Oxygen (SBE 43) Soc, Tcor, offset
166 | Primary Oxygen (SBE 43) Pcor, Tau, Boc
167 | Secondary Oxygen (SBE 43) serial number
168 | Secondary Oxygen (SBE 43) calibration date
169 | Secondary Oxygen (SBE 43) Soc, Tcor, offset
170 | Secondary Oxygen (SBE 43) Pcor, Tau, Boc
171 | Secondary sea tech ls6000 OBS/nephelometer sensor serial number
172 | Secondary sea tech ls6000 OBS/nephelometer sensor calibration date
173 | Secondary sea tech ls6000 OBS/nephelometer gain, slope, offset
174 | Secondary Chelsea Transmissometer sensor serial number
175 | Secondary Chelsea Transmissometer calibration date
176 | Secondary Chelsea Transmissometer M, B, path length
177 | Altimeter serial number
178 | Altimeter calibration date
179 | WET Labs AC3 serial number
180 | WET Labs AC3 calibration date
181 | Surface PAR serial number
182 | Surface PAR calibration date
183 | SEACATplus temperature sensor serial number
184 | SEACATplus temperature sensor calibration date
185 | SEACATplus temperature sensor A0, A1, A2, A3, slope, offset
186 | SEACATplus serial sensor, scans to average, mode
187 | Pressure (strain gauge with span TC) serial number
188 | Pressure (strain gauge with span TC) calibration date
189 | Pressure (strain gauge with span TC) ptempA0, ptempA1, ptempA2, pTCA0, pTCA1, PTCA2
190 | Pressure (strain gauge with span TC) pTCB0, pTCB1, pTCB2, pA0, pA1, pA2, offset
191 | SBE 38 temperature sensor serial number
192 | SBE 38 temperature sensor calibration date
193 | Turner SCUFA fluorometer serial number
194 | Turner SCUFA fluorometer calibration date
195 | Turner SCUFA fluorometer scale factor, offset, units, mx, my, b
196 | Turner SCUFA OBS serial number
197 | Turner SCUFA OBS calibration date
198 | Turner SCUFA OBS scale factor, offset
199 | WET Labs ECO-AFL fluorometer serial number
200 | WET Labs ECO-AFL fluorometer calibration date
201 | WET Labs ECO-AFL fluorometer vblank, scale factor
202 | Userpoly 0 name
203 | Userpoly 1 name
204 | Userpoly 2 name
205 | CAPSUM METS serial number
206 | CAPSUM METS calibration date
207 | CAPSUM METS D, A0, A1, B0, B1, B2, T1, T2
208 | Secondary PAR sensor serial number
209 | Secondary PAR sensor calibration date
210 | Secondary PAR sensor cal const, multiplier, M, B, offset
211 | Secondary WET Labs WETStar Fluorometer sensor serial number
212 | Secondary WET Labs WETStar Fluorometer sensor calibration date
213 | Secondary WET Labs WETStar Fluorometer Vblank, scale factor
214 | Secondary Seapoint Fluorometer sensor serial number
215 | Secondary Seapoint Fluorometer sensor calibration date
216 | Secondary Seapoint Fluorometer gain, offset
217 | Secondary Turner SCUFA Fluorometer sensor serial number
218 | Secondary Turner SCUFA Fluorometer sensor calibration date
219 | Secondary Turner SCUFA Fluorometer scale factor, offset, units, mx, my, b
220 | WET Labs WETStar CDOM sensor serial number
221 | WET Labs WETStar CDOM sensor calibration date
222 | WET Labs WETStar CDOM Vblank, scale factor
223 | Seapoint Rhodamine Fluorometer sensor serial number
224 | Seapoint Rhodamine Fluorometer sensor calibration date
225 | Seapoint Rhodamine Fluorometer gain, offset
226 | Primary Gas Tension Device sensor serial number
227 | Primary Gas Tension Device sensor calibration date
228 | Primary Gas Tension Device type
229 | Secondary Gas Tension Device sensor serial number
230 | Secondary Gas Tension Device sensor calibration date
231 | Secondary Gas Tension Device type
232 | Sequoia LISST-25A sensor serial number
233 | Sequoia LISST-25A sensor calibration date
234 | Sequoia LISST-25A Total Volume Conc Const, Sauter Mean Diameter Cal, Clean Water Scattering, Clean Water Trans
235 | SBE 45 output conductivity? Output salinity? Output sound velocity? Use 90402 junction box? SBE 38 remote temperature?
236 | SBE 21 remote temperature type
237 | SBE 50 serial number
238 | SBE 50 calibration date
239 | Secondary Chelsea Aqua 3 fluorometer serial number
240 | Secondary Chelsea Aqua 3 fluorometer calibration date
241 | Secondary Chelsea Aqua 3 fluorometer scale factor, slope, offset, vacetone, vb, v1
242 | Chelsea UV Aquatracka serial number
243 | Chelsea UV Aquatracka calibration date
244 | Chelsea UV Aquatracka a, b
245 | SE 49 temperature sensor serial number
246 | SBE 49 temperature sensor calibration date
247 | SBE 49 temperature sensor A0, A1, A2, A3, slope, and offset
248 | Secondary Turner SCUFA OBS serial number
249 | Secondary Turner SCUFA OBS calibration date
250 | Secondary Turner SCUFA OBS scale factor, offset
251 | OBS D&A 3+ serial number
252 | OBS D&A 3+ calibration date
253 | OBS D&A 3+ a0, a1, a2
254 | Secondary OBS D&A 3+ serial number
255 | Secondary OBS D&A 3+ calibration date
256 | Secondary OBS D&A 3+ a0, a1, a2
257 | SBE 16, 19, 19plus, 21, 25, or 49 scan time added? NMEA time added? NMEA device connected to PC?
258 | SBE 43 Oxygen sensor: use Sea-Bird equation, Soc2007, A, B, C, E, Voffset, Tau20, D0, D1, D2, H1, H2, H3
259 | Secondary SBE 43 Oxygen sensor: use Sea-Bird equation, Soc2007, A, B, C, E, Voffset, Tau20, D0, D1, D2H1, H2, H3
260 | File version of SB ConfigCTD.dll which saved the .con file
261 | IFREMER OBS/nephelometer sensor serial number
262 | Primary Beckman Oxygen Temperature sensor – calibration date
263 | Primary Beckman Oxygen Temperature sensor -- serial number
264 | Secondary Beckman Oxygen Temperature sensor – calibration date
265 | Secondary Beckman Oxygen Temperature sensor -- serial number
266 | IOW Oxygen Temperature sensor – calibration date
267 | IOW Oxygen Temperature sensor -- serial number
268 | Methane Gas Tension, Capsum METS sensor – calibration date
269 | Methane Gas Tension, Capsum METS sensor – serial number
270 | Secondary WET Labs ECO-AFL fluorometer serial number
271 | Secondary WET Labs ECO-AFL fluorometer calibration date
272 | Secondary WET Labs ECO-AFL fluorometer vblank, scale factor
273 | Secondary OBS/Nephelometer D&A Backscatterance sensor serial number
274 | Secondary OBS/Nephelometer D&A Backscatterance gain, offset
275 | Secondary OBS/Nephelometer D&A Backscatterance sensor calibration date
276 | Aanderaa Oxygen Optode serial number
277 | Aanderaa Oxygen Optode calibration date
278 | Aanderaa Oxygen Optode: do salinity correction? do depth correction? internal salinity value

See Also


Conversion of Raw Data Introduction

SBE Data Processing includes the following conversion modules:

Module Name | Module Description
Data Conversion | Convert raw data from CTD (.hex or .dat file) to engineering units, storing the converted data in .cnv file (all data) and/or .ros file (water bottle data).
Bottle Summary | Summarize data from water sampler bottle .ros file, storing the results in .btl file.
Mark Scan | Create .bsr bottle scan range file from .mrk data file.


Data Conversion

Data Conversion:
  1. Converts raw data to engineering units from:
    - .dat file from an SBE 911plus, acquired with Seasave version < 6.0
    or
    - .hex file from other CTDs (acquired with any version of Seasave) or from an SBE 911plus (acquired with Seasave version > 7.0).
  2. Stores the converted data in a .cnv file and (optional) .ros file.
The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

This topic covers:
  • Data Setup tab for Data Conversion
  • Miscellaneous tab for Data Conversion
  • Creating Water Bottle (.ros) files
  • Notes and General Information
NOTE
Algorithms used for calculation of derived parameters in Data Conversion, Derive, Sea Plot, SeaCalc II, and Seasave are identical, except as noted. See Derived Parameter Formulas.

Data Setup Tab

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Process scans to end of file: If selected, process all remaining scans (upcast and downcast if upcast and downcast selected; downcast scans only if downcast selected) after Scans to skip over. If not selected, process next Scans to process.
  • Output format: Select binary (smaller file, processed faster than ASCII file by other SBE Data Processing modules) or ASCII (larger file, can be viewed with a text editor). Note that Translate can translate converted data file from binary to ASCII or vice versa.
  • Convert data from: Select downcast or upcast and downcast.
  • Create file types: Select create converted data file only, bottle file only (for subsequent processing by Bottle Summary), or both.
  • Source of scan range data (for creating bottle file):
    • In same directory as input data file, with same file name - auto fire module or ECO .afm file, bottle log .bl file, or bottle scan range .bsr file, or
    • scans marked with bottle confirm bit in input data file

See Creating Water Bottle (.ros) Files.

  • Scan range offset and Scan range duration: Define scans from CTD data file to be included in bottle file for each bottle. See Creating Water Bottle (.ros) Files.
  • Merge separate header file: Select to replace existing header in input file with header in .hdr file. Program looks for a file with a matching name (but .hdr extension) in same directory as input file.
  • Select Output Variables: Select which variables to convert and output. See discussion below.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
The Select Output Variables dialog box (which appears when you click Select Output Variables on the Data Setup tab) looks like this:

The list on the right includes all variables that can be converted from the input data file or derived from variables in the input data file.
Add, change, and insert variables in the variable-to-output list:
  • Add a variable to bottom of list: click blank field in Variable Name column, click desired variable in list, click Add.
  • Change a variable from one to another: click existing variable in Variable Name column, click desired variable in list, click Change.
  • Insert a variable in list: click existing variable below desired sequence # in Variable Name column, click desired variable in list, click Insert.
NOTE: If Data Conversion requires additional information to compute a variable, a dialog box appears after variable is selected, with fields for required user-input parameters. Some variables share a user-input parameter, so changing a user-input parameter for one variable automatically changes it for other variable: Depth and average sound velocity use the same latitude (if NMEA data not available); descent rate and acceleration use same time window size; all oxygen sensors use same time window size, Tau correction, and (SBE 43 only) hysteresis correction.

Click the Data button to view / modify user-input parameters for the selected variable (if applicable).
Note: An alternate method of entering these parameters is on the Miscellaneous tab in the Data Conversion dialog box.

Miscellaneous Tab

The Miscellaneous tab in the Data Conversion dialog box looks like this:

The Miscellaneous tab defines parameters required for output of specific variables (depth, average sound velocity, plume anomaly, potential temperature anomaly, oxygen, descent rate, and acceleration). Entries on this tab are used only if you are calculating and outputting the associated variable to the .cnv file. For example, if you do not select data from a voltage Oxygen sensor in the Select Output Variables dialog box, Data Conversion ignores the value entered for Oxygen window size and the enabling of hysteresis and Tau corrections on the Miscellaneous tab.
Note: Values for these parameters can be changed on the Miscellaneous tab or using the Data button in the Select Output Variables dialog box; changes made in one location are automatically made in the other location.

NOTE
Oxygen selections on the Miscellaneous tab apply to voltage oxygen sensors (SBE 43, or Beckman/YSI). They do not apply to RS-232 Aanderaa Oxygen Optode.

Creating Water Bottle (.ros) Files

A .ros water bottle file contains:
  • data for each scan associated with a bottle firing, and
  • data for user-selected range of scans before and after each bottle firing
Scan range data for creation of a water bottle file can come from:
  • Scans marked with bottle confirm bit in input data file if used
    - SBE 9    plus with SBE 11plus Deck Unit and G.O. 1015 Rosette or
    - SBE 9    plus with SBE 17plus SEARAM and SBE 32 Carousel Water Sampler.
    For these systems, the bottle confirm bit in the input (.hex or .dat) data file is set for all scans within a 1.5-second duration after a bottle firing confirmation is received from the water sampler.
  • Bottle log (.bl) file if used Seasave to interface with
    - SBE 9    plus with SBE 11plus Deck Unit and G.O. 1016 Rosette or SBE 32 Carousel Water Sampler, or
    - SBE 19, 19    plus, 19plus V2, 25, or 49 with SBE 33 Deck Unit and SBE 32 Carousel Water Sampler, or
    - SBE 19, 19    plus, 19plus V2, 25, or 49 with SBE 33 Deck Unit and SBE 55 ECO Water Sampler.
    For these systems, Seasave creates the .bl file. Each time a bottle fire confirmation is received, the bottle sequence number, position, date, time, and beginning and ending scan numbers (1.5-second duration for each bottle) are written to the .bl file.
  • Auto Fire Module or ECO (.afm) file if used
    - Carousel Auto Fire Module (AFM) with SBE 19, 19    plus, 19plus V2, 25, or 50 and SBE 32 Carousel Water Sampler, or
    - SBE 55 ECO Water Sampler (autonomous operation) with SBE 19, 19    plus, 19plus V2, 25, or 50.
    For these systems, the .afm file contains five scans of data recorded by the AFM or SBE 55 ECO Water Sampler for each bottle firing.
  • Bottle scan range (.bsr) file if used Mark Scan feature in Seasave during data acquisition to create a .mrk file; use Mark Scan to convert the .mrk file to a .bsr file before running Data Conversion. The format for the .bsr file is:
    beginning scan # for bottle #1, ending scan # for bottle #1
    …
    beginning scan # for last bottle, ending scan # for last bottle
    Example    : test.bsr contains
    1000, 1020
    2000, 2020
    4000, 4020
    The .ros file created using test.bsr would contain scans 1000 - 1020 for bottle #1, 2000 - 2020 for bottle #2, and 4000 - 4020 for bottle #3.
NOTES
  • You may have more than one source of scan range data available. For example, if Seasave is used with an SBE 911plus and SBE 32 Carousel Water Sampler, a bottle log (.bl) file is created. Additionally, if you used the Mark Scan feature in Seasave, a .mrk file is created.
  • If scan range data is defined by a .afm file, Data Conversion creates a .bl file (same name as input data file, with .bl extension). The .bl file is used when processing the water bottle data in Bottle Summary.
  • You can create a .bsr file in a text editor if scan range data is not available in any of these forms.
The amount of data written to the .ros file is based on:
  • Scan range offset determines the first scan output to the .ros file for each bottle, relative to the first scan with a confirmation bit set or written to a .afm, .bsr, or .bl file.
  • Scan range duration determines the number of scans output to the .ros file for each bottle.
Example: A bottle confirmation for an SBE 911plus is received at scan 10,000 (scan 10,000 and subsequent scans for 1.5 seconds have confirmation bit set). In Data Conversion, Scan range offset is set to -2 seconds, and Scan range duration is set to 5 seconds. If the scan rate is 24 scans/second,
10,000 - 2 second offset (24 scans/second) = 9,952
9,952 + 5 second duration (24 scans/second) = 10,072
Therefore, scans 9,952 through 10,072 will be written to the .ros file.

Notes and General Information

Data Conversion was written to accommodate most sensors that have been installed on Sea-Bird products. See the configuration page at the beginning of your instrument manual for the sensors that were installed on your system.
  • If you plan to process the data with other modules, select only the primary variables to be converted, and then use Derive to compute derived parameters such as salinity, density, sound velocity, and oxygen.
    If you choose to compute derived parameters in Data Conversion, note that the algorithms are the same as used in Derive (with the exception of the oxygen, descent rate, and acceleration calculations); see Derived Parameter Formulas for algorithms for derived variables.
  • If desired, you can select the same variable multiple times for the output .cnv file. If you do, data processing operations on that variable in other modules will use the last occurrence of the variable in the file.
    Example    : Select Primary Conductivity, Primary Temperature, Pressure, and Primary Conductivity (again) for output variables (columns 1, 2, 3, and 4 respectively). Then, if you run Cell Thermal Mass, it will correct the conductivity in column 4 only, leaving column 1 uncorrected; you could plot the corrected and uncorrected conductivity to see the changes. If you then run Derive to calculate salinity, it will use the corrected conductivity in column 4 in the salinity calculation.
  • If you will use Derive to compute:
    • Salinity, density, or other parameters that depend on salinity -- include pressure, temperature, and conductivity in the output file. For a moored instrument without optional pressure sensor (SBE 16, 16plus, 16plus-IM, 16plus V2, 16plus-IM V2), if you select pressure as an output variable, Data Conversion inserts a column with the moored pressure (entered in the configuration file Data dialog) in the output .cnv file. For a thermosalinograph (SBE 21 or 45), if you select pressure as an output variable, Data Conversion inserts a column of 0’s for the pressure in the output .cnv file. The pressure column is needed for Derive to calculate salinity, density, etc.
    • Oxygen -- include in the output file (along with pressure, temperature, and conductivity):
      For SBE 13 or 23: oxygen current and oxygen temperature
      For SBE 43: oxygen value
  • If you will use Bin Average:
    • With depth bins -- include depth in the output file
    • With pressure bins -- include pressure in the output file
  • Pressure temperature is computed using a backward-looking, 30-second running average, to prevent bit transitions in pressure temperature from causing small jumps in computed pressure. Because the heavily insulated pressure sensor has a thermal time constant on the order of one hour, the 30-second average does not significantly alter the computed pressure temperature.
  • Oxygen, descent rate, and acceleration computed by Seasave and Data Conversion is somewhat different from values computed by Derive, because the algorithms use the derivative of the signal (oxygen signal for oxygen, pressure signal for descent rate and acceleration) with respect to time, using a linear regression to determine the slope. Seasave and Data Conversion compute the derivative looking backward in time, since they share common code and Seasave cannot use future values of oxygen while acquiring data in real time. Derive uses a centered window (equal number of points before and after the scan; time window size is user input) to obtain a better estimate of the derivative. Use Seasave and Data Conversion to obtain a quick look at oxygen, descent rate, and acceleration; use Derive to obtain the most accurate values.
  • For an SBE 21 or 45 with a remote temperature sensor, Seasave, Data Conversion, and Derive all use the remote temperature data when calculating density and sound velocity.
Data Conversion has the following /x parameters when running from the Command Line Options dialog box, from the command line, or with batch file processing:
LABEL | DESCRIPTION
/xdatcnv:skipN | N = number of scans to skip in Data Conversion
/xdatcnv:pump | For SBE 911plus, do not output scans if pump status = off.
/xdatcnv:nomatch | Disable matching of header information to .con or .xmlcon file -- program will continue to run even if there is a discrepancy in header information.
See Command Line Options, Command Line Operation, and Batch File Processing for details on using parameter.

Data Conversion adds the following to the data file header for a .cnv converted data file:
LABEL | DESCRIPTION
Nquan | Number of columns (fields) of converted data. NOTE: Data Conversion automatically adds 1 field to the number selected by the user (i.e., if the user selects 3 variables to convert, then nquan=4). This added field, initially set to 0, is used by Loop Edit to mark bad scans.
Nvalues | Number of scans converted.
Units | Specified (indicates units are specified separately for each variable).
Name n | Sensor (and units) associated with data in column n.
Span n | Span (highest - lowest value) of data in column n.
Interval | Scan rate (seconds).
Start_time | Data start time.
Bad_flag | Provided for information only; value that Loop Edit will use to mark bad scans and Wild Edit will use to mark bad data values.
Sensors | Sensor description, serial number, and calibration date and coefficients, all in XML format.
Datcnv_date | Date and time that module was run.
Datcnv_in | Input .hex (or .dat) data file and .con or .xmlcon configuration file.
Datcnv_skipover | Number of scans to skip over in processing.
File type | Selected output file type ascii or binary.

NOTES
  • Each SBE Data Processing module that modifies a .cnv file adds information to the header and updates nquan, nvalues, name n, span n, interval, and file_type, as applicable.
  • Calibration coefficients were added to the file header for a .cnv file and for a .ros water bottle file in SBE Data Processing version 7.19.
Data Conversion adds the following to the data file header for a .ros water bottle file:
LABEL | DESCRIPTION
Nquan | Number of columns (fields) of converted data. NOTE: Data Conversion automatically adds 1 field to the number selected by the user (i.e., if the user selects 3 variables to convert, then nquan=4). This added field, initially set to 0, is used by Loop Edit to mark bad scans.
Nvalues | Number of scans converted.
Units | Specified (indicates units are specified separately for each variable).
Name n | Sensor (and units) associated with data in column n.
Interval | Scan rate (seconds).
Start_time | Data start time.
Sensor | Sensor description, serial number, and calibration date and coefficients, all in XML format.
Datcnv_date | Date and time that module was run.
Datcnv_in | Input .hex (or .dat) data file and .con or .xmlcon configuration file.
Datcnv_bottle_ scan_range_ source | Source of data for creating bottle file, and scan range offset and duration.

See Also


Bottle Summary

Bottle Summary reads a .ros file created by Data Conversion and writes a bottle data summary to a .btl file. The .ros file must contain (as a minimum) temperature, pressure, and conductivity (or salinity). The output .btl file includes:
  • Bottle position, optional bottle serial number, and date/time
  • User-selected derived variables computed for each bottle from mean values of input variables (temperature, pressure, conductivity, etc.)
  • User-selected averaged variables computed for each bottle from input variables
The maximum number of scans processed per bottle is 1440.

In addition to the .ros input file:
  • If a .bl file is found in the input file directory, Bottle Summary uses bottle position data from the .bl file. The bottle position data defines the bottle firing sequence the .bl file contains the bottle firing sequence number, bottle position, date and time, and beginning and ending scan number for each bottle.
  • If a .sn file (same name as input data file, with .sn extension) is found in the input file directory, bottle serial numbers are inserted between the bottle position and date/time columns in the .btl file output. The format for the .sn file is:
    Bottle position, serial number (with a comma separating the two fields)
NOTES
  • A .bl file is created by:
    - Seasave, during real-time data acquisition, or
    - Data Conversion, if the source of scan range data was a .afm file.
  • You can create a .sn file in a text editor.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Output min/max values for averaged variables: If selected, minimum and maximum values of chosen variables will be output for each bottle (as well as mean and standard deviation).
  • Select Averaged Variables: Select input variables to be averaged. Mean and standard deviation will be calculated and output for each bottle.
  • Select Derived Variables: Select variables to derive from input data. Derived variables are computed from mean values of input variables (temperature, pressure, conductivity, etc.) for each bottle.
    • Oxygen can be derived if oxygen data (oxygen current and oxygen temperature for SBE 13 or 23; oxygen signal for SBE 43) is in the .ros file. Bottle Summary calculates the derivative of the oxygen current (or signal), using a least squares fit to all the oxygen data for each bottle. Oxygen is calculated using the mean values for temperature, pressure, and salinity, the derivative, and the scan-by-scan values of oxygen current and oxygen temperature (or signal).
  • Oxygen -- Apply Tau correction: (ignored if not computing oxygen in derived variables) Tau correction ([tau(T,P) * dV/dt] in SBE 43 or [tau * doc/dt] in SBE 13 or 23) improves response of measured signal in regions of large oxygen gradients. However, this term also amplifies residual noise in signal (especially in deep water), and in some situations this negative consequence overshadows gains in signal responsiveness.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.

Bottle Summary adds the following to the data file header:
LABEL* | DESCRIPTION
Bottlesum_date | Date and time that module was run.
Bottlesumsum_in | Input .ros bottle data file and .con or .xmlcon configuration file.
Bottlesum_ox_ tau_correction | Tau correction applied to oxygen data? Only appears if oxygen is derived.
*Labels were previously rossum_date and rossum_in.

See Also


Mark Scan

Mark Scan creates a bottle scan range (.bsr) file from a .mrk data file created in Seasave. The data in the .bsr file can be used by Data Conversion to create a .ros file, and the .ros file can be used by Bottle Summary to create a bottle data summary .btl file.

The input .mrk file contains one scan with the mark number, system time, and scan number for each time Mark Scan was clicked while in Seasave’s Mark Scan Control dialog box (accessed by selecting Mark Scan Control in Seasave’s View menu). Mark Scan’s output .bsr file points to a user-defined range of adjacent scans for each marked scan. Note that the output .bsr file only contains the pointers to the scans, and does not contain the data.

The File Setup tabs in the dialog box for all the modules are similar. See File Setup Tab. Mark Scan does not have a Header View tab, because the input .mrk file does not have a header.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Offset (scans): number of scans before (-) or after (+) scan in .bsr file for starter pointer.
  • Duration (scans): number of scans to include in .bsr file for each scan in .mrk file.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.

Example:
Offset is -5 scans and duration is 10 scans. If .mrk file contains scans 16 and 128, .bsr file will look like this:

11, 21 (16 - 5 = 11; 11 + 10 = 21)

123, 133 (128 – 5 = 123; 123 + 10 = 133)

NOTE
Alternatively, an ASCII text editor can be used to create the .bsr file. The format for the output .bsr file is:

Beginning scan for bottle 1, ending scan for bottle 1

Beginning scan for bottle 2, ending scan for bottle 2

.

Beginning scan for last bottle, ending scan for last bottle

Note that a comma must separate the beginning and ending scan numbers.

Mark Scan’s output .bsr file does not have a header.

See Also


Data Processing Introduction

All data processing is performed on converted data from a .cnv file. SBE Data Processing includes the following data processing modules:

Module Name | Module Description
Align CTD | Align data relative to pressure (typically used for conductivity, temperature, and oxygen).
Bin Average | Average data, basing bins on pressure, depth, scan number, or time range.
Buoyancy | Compute Brunt Väisälä buoyancy and stability frequency.
Cell Thermal Mass | Perform conductivity thermal mass correction.
Derive | Calculate salinity, density, sound velocity, oxygen, potential temperature, dynamic height, etc.
Filter | Low-pass filter columns of data.
Loop Edit | Mark a scan with badflag if scan fails pressure reversal or minimum velocity tests.
Wild Edit | Mark a data value with badflag to eliminate wild points.
Window Filter | Filter data with triangle, cosine, boxcar, gaussian, or median window.


Align CTD

Align CTD aligns parameter data in time, relative to pressure. This ensures that calculations of salinity, dissolved oxygen concentration, and other parameters are made using measurements from the same parcel of water. Typically, Align CTD is used to align temperature, conductivity, and oxygen measurements relative to pressure.

NOTE
Align CTD cannot be run on files that have been averaged into pressure or depth bins in Bin Average. If alignment is necessary, run Align CTD before running Bin Average.

There are three principal causes of misalignment of CTD measurements:
  • physical misalignment of the sensors in depth
  • inherent time delay (time constants) of the sensor responses
  • water transit time delay in the pumped plumbing line the time it takes the parcel of water to go through the plumbing to each sensor (or, for free-flushing sensors, the corresponding flushing delay, which depends on profiling speed)
When measurements are properly aligned, salinity spiking (and density) errors are minimized, and oxygen data corresponds to the proper pressure (e.g., temperature vs. oxygen plots agree between down and up profiles).

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Enter Advance Values: Define alignment advance times for all data.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.

The Enter Advance Values dialog box looks like this:

The diagram below shows the sign convention for defining Advance times. If 0 seconds is entered, alignment relative to pressure (and time) remains unchanged for that variable. See discussion below to determine appropriate alignment times for conductivity, temperature, and oxygen.

Conductivity and Temperature

Temperature and conductivity are often misaligned with respect to pressure. Shifting temperature and conductivity relative to pressure can compensate. As shown in the figures, indications of misalignment include:
  • Depth mismatch between downcast and upcast data
  • Spikes in the calculated salinity (which is dependent on temperature, conductivity, and pressure) - caused by misalignment of temperature and conductivity with each other
The best diagnostic of proper alignment is the elimination of salinity spikes that coincide with very sharp temperature steps. To determine the best alignment, plot 10 meters of temperature and salinity data at a depth that contains a very sharp temperature step. For the downcast, when temperature and salinity decrease with increasing pressure:
  • A negative salinity spike at the conductivity step means that conductivity leads temperature (conductivity sensor sees step before temperature sensor does). Advance conductivity relative to temperature a negative number of seconds.
  • Conversely, if the salinity spike is positive, advance conductivity relative to temperature a positive number of seconds.

The best alignment of conductivity with respect to temperature is obtained when the salinity spikes are minimized. Some experimentation with different advances is required to find the best alignment.

Typical Temperature Alignment
The SBE 19 and 19plus use a temperature sensor with a relatively slow time response, while the SBE 9plus, 25, and 49 use a temperature sensor with a fast time response. Typical advances are:
Instrument | Advance of Temperature Relative to Pressure (seconds)
9plus | 0
19, 19plus, or 19plus V2 | +0.5
25 | 0
49 * | +0.0625
* The SBE 49 can be programmed to advance temperature relative to pressure in real-time, eliminating the need to run Align CTD. See the SBE 49 manual for details.

Typical Conductivity Alignment
  • SBE 9plus - For an SBE 9plus with TC-ducted temperature and conductivity sensors and a 3000-rpm pump, the typical lag of conductivity relative to temperature is 0.073 seconds. The Deck Unit can be programmed to advance conductivity relative to pressure, eliminating the need to run Align CTD.
    Following is an example of determining the value to enter in Align CTD:
    Example    : The SBE 11plus is factory-set to advance the primary conductivity +1.75 scans (at 24 Hz, this is 1.75/24 = 0.073 seconds). Advance conductivity relative to temperature in Align CTD:
    0.073 - 1.75/24 = 0.0 seconds (enter 0 seconds for conductivity).

NOTE

All SBE 11 series deck units can advance primary conductivity, which may eliminate the need to use Align CTD. The SBE 11plus does not advance secondary conductivity. The SBE 11plus V2 can advance secondary conductivity and all voltage channels; the advance time is user-programmable.

  • SBE 19plus or 19plus V2 – For an SBE 19plus or 19plus V2 with a standard 2000-rpm pump, do not advance conductivity.
  • SBE 19 (not plus) -- For an unpumped SBE 19, the conductivity measurement may lead or lag that of temperature, because the flushing rate of the conductivity cell depends on drop speed. If the SBE 19 is lowered very slowly (<20 cm/second, typically from a fixed platform or ice), conductivity lags temperature. If the SBE 19 is lowered fast, conductivity leads temperature. Typical advances of conductivity relative to temperature range from 0 seconds at a lowering rate of 0.75 meters/second to -0.6 seconds for 2 meters/second (if temperature was advanced +0.5 seconds, these correspond to conductivity advances of +0.5 seconds and -0.1 seconds respectively).
  • SBE 25 -- For an SBE 25 with a standard 2000-rpm pump, a typical advance of conductivity relative to temperature is +0.1 seconds.
  • SBE 49 – For a typical SBE 49 with TC duct and 3000 rpm pump, do not advance conductivity.
If temperature is advanced relative to pressure and you do not want to change the relative timing of temperature and conductivity, you must add the same advance to conductivity.

Example (typical of an unpumped SBE 19):
Advance temperature relative to pressure +0.5 seconds to compensate for slow response time of sensor.
  • If the CTD is lowered at 0.75 m/s, advance conductivity relative to temperature 0 seconds. Calculate advance of conductivity relative to pressure to enter in Align CTD: +0.5 + 0 = +0.5 seconds
  • If the CTD is lowered at 2 m/s, advance conductivity relative to temperature -0.6 seconds. Calculate advance of conductivity relative to pressure to enter in Align CTD: +0.5 + (-0.6) = -0.1 seconds

Oxygen

Oxygen data is also systematically delayed with respect to pressure. The two primary causes are the long time constant of the oxygen sensor (for the SBE 43, ranging from 2 seconds at 25 ºC to approximately 5 seconds at 0 ºC) and an additional delay from the transit time of water in the pumped plumbing line. As with temperature and conductivity, you can compensate for this delay by shifting oxygen data relative to pressure. Typical advances for the SBE 43, 13, or 23 are:
Instrument | Advance of Oxygen Relative to Pressure (seconds)
9plus | +2 to +5
19plus or 19plus V2 | +3 to +7 seconds
19 (not plus) | +3 to +7 seconds (pumped), +1 to +5 seconds (unpumped)
25 | +3 to +7 seconds (pumped)

Align CTD adds the following to the data file header:

Label | Description
Alignctd_date | Date and time that module was run.
Alignctd_in | Input .cnv converted data file.
Alignctd_adv | Variables aligned and their respective alignment times.

See Also


Bin Average

Bin Average averages data, using averaging intervals based on:
  • Pressure range,
  • Depth range,
  • Scan number range, or
  • Time range
The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Bin type: Average by pressure (with or without interpolation), depth (with or without interpolation), scan number, or time (seconds or hours). If pressure (or depth) is not included in input file, it will not appear on list of bin types.
  • Bin size: Range of data for each bin (i.e., pressure range, scans number range, etc.)
  • Include number of scans per bin: If selected, a column containing number of scans in each bin will be added to output data.
  • Exclude scans marked bad: If selected, data from scans marked with badflag in Loop Edit will not be used in calculating average. Note that values marked with badflag by Wild Edit are never included in calculating average.
  • Scans to skip over: Skip first n scans of data before beginning processing.
  • Cast to process: Process downcast, upcast, or both.
  • Include surface bin: If selected, include surface bin (applicable only if averaging by pressure or depth). Input -
    • Surface bin minimum and maximum values - minimum and maximum (pressure or depth, as applicable) to be used in calculating surface bin
    • Surface bin value - target value (pressure or depth) to be associated with averages

Note that surface bin minimum, maximum, and value do not affect minimum, maximum, and center of first or subsequent bins.

  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
NOTE
Align CTD, which aligns parameter data in time, relative to pressure, cannot be run on files that have been averaged into pressure or depth bins in Bin Average. If alignment is necessary, run Align CTD before running Bin Average.

Formulas

The center value of the first (not surface) bin is set equal to the bin size.

Example (pressure bin, surface bin not included):
Bin size is 10 db. The first bin is defined as follows:

Example (pressure bin, surface bin included)
Bin size is 10 db. Surface bin is included, and surface bin parameters are 0 db minimum, 3 db maximum, and 0 db value. The bins are defined as follows:

The algorithms used for each type of averaging follow.

Pressure Bins (no interpolation)
For each bin:
BinMin = center value - (bin size / 2)
BinMax = center value + (bin size / 2)
  1. Add together valid data for scans with BinMin < pressure < BinMax.
  2. Divide the sum by the number of valid data points to obtain the average, and write the average to the output file.
  3. Repeat Steps 1 through 2 for each variable.
  4. For the next bin, compute the center value and repeat Steps 1 through 3.
Pressure Bins (with interpolation)
For each bin:
BinMin = center value - (bin size / 2)
BinMax = center value + (bin size / 2)
  1. Add together valid data for scans with BinMin < pressure < BinMax.
  2. Divide the sum by the number of valid data points to obtain the average.
  3. Interpolate as follows and write the interpolated value to the output file:
    Pp =average pressure of previous bin
    Xp =average value of variable in previous bin
    Pc =average pressure of current bin
    Xc =average value of variable in current bin
    Pi = center value for pressure in current bin
    Xi =interpolated value of variable (value at center pressure Pi )
    = ( (Xc - Xp) * (Pi - Pp) / (Pc - Pp) ) + Xp
  4. Repeat Steps 1 through 3 for each variable.
  5. Compute the center value and Repeat Steps 1 through 4 for the next bin.
Values for the first bin are interpolated after averages for the second bin are calculated; values from the next (second) bin instead of the previous bin are used in the equations.

Depth Bins (with or without interpolation)
Depth bin processing is similar to processing pressure bins, but bin size and center values are based on depth.

Scan Number Bins
Scan number bin processing is similar to processing pressure bins without interpolation. If exclude scans marked bad is selected, Bin Average averages bin size good scans (not marked with badflag in Loop Edit).

Example: Bin size is 100. First bin should include scans 50 - 149. However, scans 93, 94, and 126 are marked with badflag in Loop Edit, and the user selected exclude scans marked bad. To include 100 valid scans in the average, Bin Average includes scans 50 - 152 in the first bin.

Time Bins
Time bin processing is similar to processing pressure bins without interpolation. Bin Average determines the number of scans to include based on the input bin size and the data sampling interval:

Number of scans = bin size [seconds] / interval
or
Number of scans = (bin size [hours] x 3600 seconds/hour) / interval

Bin Average has the following /x parameter when running from the Command Line Options dialog box, from the command line, or with batch file processing:
LABEL | DESCRIPTION
/xbinavg:cN | N = center value for first bin.
See Command Line Options, Command Line Operation, and Batch File Processing for details on using parameters.

Bin Average adds the following to the data file header:
LABEL | DESCRIPTION
Binavg_date | Date and time that module was run.
Binavg_in | Input .cnv converted data file.
Binavg_bintype | Bin type (pressure, depth, scan time in seconds or hours).
Binavg_binsize | Bin size.
Binavg_excl_bad_scans | If yes, values from scans marked with badflag in Loop Edit are not included in average.
Binavg_skipover | Number of scans skipped over.
Binavg_surface_bin | Surface bin included? Minimum and maximum values for surface bin.

See Also


Buoyancy

Buoyancy calculates buoyancy (Brunt-Väisälä) frequency (N) and stability (E) using the Fofonoff adiabatic leveling method (Bray N. A. and N. P. Fofonoff (1981) Available potential energy for MODE eddies. Journal of Physical Oceanography, 11, 30-46.).

NOTE
The input .cnv file for Buoyancy must have been processed with Bin Average on pressure bins (with or without interpolation) and must contain pressure, temperature, and either salinity or conductivity.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Buoyancy variable: Select variable used in buoyancy computation, and enter value:
    • Latitude -- Buoyancy uses algorithm in UNESCO Technical Papers in Marine Science 44 to estimate local gravity from user-input latitude
    • Gravity
  • Window size (decibars): Calculate buoyancy variables for pressure values centered in window. Buoyancy converts window size from decibars to scans based on pressure interval between scans in input file. If window size is less than three scans, Buoyancy sets it to three scans. If window size is an even number of scans, Buoyancy adds one scan to window size. (see example below)}
    Note    : As used here, a scan is one row of output data from Bin Average, which is an average of many scans of original data.
  • Stability and/or Buoyancy frequency: Select buoyancy variables to be computed and added to .cnv file 1, 2, 3, or 4 variables can be computed.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.

Example: For an interval of 10 db between scans, buoyancy window sizes of 5, 10, or 20 db result in a window size of three scans. Window sizes of 30 or 40 db result in a window size of five scans.

Formulas

The relationship between frequency N and stability E is:

Buoyancy adds the following to the data file header:
LABEL | DESCRIPTION
Buoyancy_date | Date and time that module was run.
Buoyancy_in | Input .cnv converted data file.
Buoyancy_vars | Gravity value (input value or value based on input latitude) and buoyancy window size (adjusted to provide a minimum of three scans and an odd number of scans).

See Also


Cell Thermal Mass

Cell Thermal Mass uses a recursive filter to remove conductivity cell thermal mass effects from the measured conductivity. In areas with steep temperature gradients, the thermal mass correction is on the order of 0.005 PSU. In other areas the correction is negligible.

Typical values for alpha and 1/beta are:
Instrument | alpha | 1/beta
SBE 9plus with TC duct and 3000 rpm pump | 0.03 | 7.0
SBE 19plus or 19plus V2 with TC duct and 2000 rpm pump | 0.04 | 8.0
SBE 19 (not plus) with TC duct and 2000 rpm pump | 0.04 | 8.0
SBE 19 (not plus) with no pump, moving at 1 m/sec | 0.042 | 10.0
SBE 25 with TC duct and 2000 rpm pump | 0.04 | 8.0
SBE 49 with TC duct and 3000 rpm pump * | 0.03 | 7.0
* The SBE 49 can be programmed to correct for conductivity cell thermal mass effects in real-time, eliminating the need to run Cell Thermal Mass. See the SBE 49 manual for details.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Correct primary conductivity values or Correct secondary conductivity values: Select to filter primary and/or secondary conductivity values.
  • Temperature sensor to use: Use primary or secondary temperature sensor data for filtering conductivity data.
  • Thermal anomaly amplitude (alpha) and Thermal anomaly time constant (1/beta): See typical values in table above and equation in Formulas below.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.

Formulas

The algorithm used is:
a = 2 * alpha / (sample interval * beta + 2)
b = 1 - (2 * a / alpha)
dc/dT = 0.1 * (1 + 0.006 * [temperature - 20])
dT = temperature - previous temperature
ctm [S/m] = -1.0 * b * previous ctm + a * (dc/dT) * dT
where
sample interval is measured in seconds and temperature in °C, and ctm is calculated in S/m.

If the input file contains conductivity in units other than S/m, Cell Thermal Mass applies the following scale factors to the calculated ctm:
ctm [mS/cm] = ctm [S/m] * 10.0
ctm [µS/cm] = ctm [S/m] * 10000.0

corrected conductivity = c + ctm

To determine the values for alpha and beta, see: Lueck, R.G., 1990: Thermal Inertia of Conductivity Cells: Theory., American Meteorological Society Oct 1990, 741-755.

Cell Thermal Mass adds the following to the data file header:
LABEL | DESCRIPTION
Celltm_date | Date and time that module was run.
Celltm_in | Input .cnv converted data file.
Celltm_alpha | Value used for alpha.
Celltm_tau | Value used for 1/beta.
Celltm_temp_sensor_ use_for_cond | Temperature sensor for primary conductivity filter, temperature sensor for secondary conductivity filter.

See Also


Derive

Derive uses pressure, temperature, and conductivity from the input .cnv file to compute the following oceanographic parameters:
  • density (density, sigma-theta, sigma-t, sigma-1, sigma-2, sigma-4)
  • thermosteric anomaly
  • specific volume
  • specific volume anomaly
  • geopotential anomaly
  • dynamic meters
  • depth (salt water, fresh water)
  • salinity
  • sound velocity (Chen-Millero, DelGrosso, Wilson)
  • average sound velocity
  • potential temperature (reference pressure = 0.0 decibars)
  • potential temperature anomaly
  • plume anomaly
  • specific conductivity
  • derivative variables (descent rate and acceleration) -- if input file has not been averaged into pressure or depth bins
  • oxygen (if input file contains pressure, temperature, and either conductivity or salinity, and has not been averaged into pressure or depth bins) -- also requires oxygen current and oxygen temperature (for SBE 13 or 23) or oxygen signal (for SBE 43)
  • corrected irradiance (CPAR)
NOTE
Algorithms used for calculation of derived parameters in Data Conversion, Derive, Sea Plot, SeaCalc II, and Seasave are identical, except as noted. See Derived Parameter Formulas.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

This topic covers:
  • Data Setup tab for Derive
  • Miscellaneous tab for Derive
NOTES
  • The File Setup tab for Derive requires selection of both an input data file and an instrument configuration (.con or .xmlcon) file before it will process data. However, an SBE 37 stores calibration coefficients internally, and does not have a .con or .xmlcon file. You can use a .con or .xmlcon file from any other Sea-Bird instrument; the contents of the file will not affect the results. If you do not have a .con or .xmlcon file for another Sea-Bird instrument, create one in SBE Data Processing’s Configure menu (select any instrument in the Configure menu, then click Save As in the Configuration dialog box).
  • Derive is not compatible with a .cnv file from an SBE 39, 39-IM, or 48.
  • For an SBE 21 or 45 with a remote temperature sensor, Seasave, Data Conversion, and Derive all use the remote temperature data when calculating density and sound velocity.

Data Setup Tab

The Data Setup tab in the dialog box looks like this:

  • Select Derived Variables: Select variables to be calculated.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
The Select Derived Variables dialog box looks like this:

The list on the right includes all variables that can be derived from variables the input data file.
Add, change, and insert variables in the variable-to-convert list:
  • Add a variable to bottom of list: click blank field in Variable Name column, click desired variable in list, click Add.
  • Change a variable from one to another: click existing variable in Variable Name column, click desired variable in list, click Change.
  • Insert a variable in list: click existing variable below desired sequence # in Variable Name column, click desired variable in list, click Insert.
NOTE: If Derive requires additional information to compute a variable, a dialog box appears after variable is selected, with fields for required user-input parameters. Some variables share a user-input parameter, so changing a user-input parameter for one variable automatically changes it for other variable: Depth and average sound velocity use the same latitude (if NMEA data not available); descent rate and acceleration use same time window size; all oxygen sensors use same time window size and Tau correction.

Click the Data button to view / modify user-input parameters for the selected variable (if applicable).
Note: An alternate method of entering these parameters is on the Miscellaneous tab in the Derive dialog box.

Miscellaneous Tab

The Miscellaneous tab in the Derive dialog box looks like this:

The Miscellaneous tab defines parameters required for output of specific variables (depth, average sound velocity, potential temperature anomaly, oxygen, descent rate, and acceleration). Entries on this tab are used only if you are calculating and outputting the associated variable to the .cnv file. For example, if you do not select data from a voltage Oxygen sensor in the Select Derived Variables dialog box, Derive ignores the value entered for Oxygen window size and the enabling of the Tau correction on the Miscellaneous tab.
Note: Values for these parameters can be changed on the Miscellaneous tab or using the Data button in the Select Derived Variables dialog box; changes made in one location are automatically made in the other location.

NOTE
Oxygen selections on the Miscellaneous tab apply to voltage oxygen sensors (SBE 43, or Beckman/YSI). They do not apply to RS-232 Aanderaa Oxygen Optode.

In Derive, derivative variables (oxygen, descent rate, and acceleration) are computed by looking at data centered around the current data point with a time span equal to the user-input time window size and using a linear regression to determine the slope. This differs from how the calculation is done in Seasave and Data Conversion, which compute the derivative looking backward in time, since they share common code and Seasave cannot use future values while acquiring data in real-time.

Derive has the following /x parameter when running from the Command Line Options dialog box, from the command line, or with batch file processing:
LABEL | DESCRIPTION
/xderive:pump | For SBE 911plus, do not output scans if pump status = off.
See Command Line Options, Command Line Operation, and Batch File Processing for details on using parameters.

Derive adds the following to the data file header:
LABEL | DESCRIPTION
Derive_date | Date and time that module was run.
Derive_in | Input .cnv converted data file and .con or .xmlcon configuration file.
Derive_time_window_docdt | Window size for oxygen derivative calculation (seconds).
Derive_time_window_dzdt | Window size for descent rate and acceleration calculation (seconds).

See Also


Filter

Filter runs a low-pass filter on one or more columns of data. A low-pass filter smoothes high frequency (rapidly changing) data. To produce zero phase (no time shift), the filter is first run forward through the data and then run backward through the data. This removes any delays caused by the filter.

Pressure data is typically filtered with a time constant equal to four times the CTD scan rate. Conductivity and temperature are typically filtered for some CTDs. Two time constants can be specified, so different parameters can be filtered with different time constants in one run of Filter. Typical time constants are:

Instrument | Temperature (seconds) | Conductivity (seconds) | Pressure (seconds)
SBE 9plus | -- | -- | 0.15
SBE 19plus or 19plus V2 | 0.5 | 0.5 | 1.0
SBE 19 (not plus) with or without TC duct and pump | 0.5 | 0.5 | 2.0
SBE 25 | 0.1 | 0.1 | 0.5
SBE 49 * | 0.085 | 0.085 | 0.25
* The SBE 49 can be programmed to filter the data in real-time with a cosine window filter (see Window Filter), eliminating the need to run Filter on temperature and conductivity data. See the SBE 49 manual for details.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Low pass filter A (and B) time constant: Desired filter time constants
  • Specify Filters: Select which variables to apply filter to, and which time constant to use for each variable.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
The Specify Filters dialog box looks like this:

Select None, Filter A, or Filter B for each variable.

Formulas

Filter adds the following to the data file header:
LABEL | DESCRIPTION
Filter_date | Date and time that module was run.
Filter_in | Input .cnv converted data file.
Filter_low_pass_tc_A | Time constant for filter A.
Filter_low-Pass_tc_B | Time constant for filter B.
Filter_low_pass_A_vars | List of variables filtered with time constant A.
Filter_low_pass_B_vars | List of variables filtered with time constant B.

See Also


Loop Edit

Loop Edit marks scans bad by setting the flag value associated with the scan to badflag in input .cnv files that have pressure slowdowns or reversals (typically caused by ship heave). Optionally, Loop Edit can also mark scans assocated with an initial surface soak with badflag. The badflag value is documented in the input .cnv header.

Loop Edit operates on three successive scans to determine velocity. This is such a fine scale that noise in the pressure channel from counting jitter or other unknown sources can cause Loop Edit to mark scans with the badflag in error. Therefore, before you run Loop Edit, you must run Filter on the pressure data to reduce noise in the pressure data. Sea-Bird recommends using a pressure time constant in Filter equal to approximately the time required for four scans. For example, for an SBE 25 sampling at 8 Hz, use a time constant of 0.5 seconds (time required for 4 scans). See Filter for recommendations for each instrument.

NOTE
Data Conversion calculates velocity with a 2-second window (e.g., 48 scans for an SBE 9plus), giving a much smoother measure of velocity.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Minimum velocity type:
    • Fixed minimum velocity If CTD velocity is less than specified Minimum CTD velocity or pressure is not greater than previous maximum pressure, scan is marked with badflag.
    • Percent of mean speed For each scan, mean speed over last Window Size seconds is computed. If CTD velocity is less than specified Percent of mean speed, or if pressure is not greater than previous maximum pressure, scan is marked with badflag. Minimum CTD velocity is used to evaluate data points in first time window.
  • Remove surface soak: If selected, scans related to surface soak are marked with badflag, based on input Minimum soak depth and Maximum soak depth (note that Surface soak depth is not actually used in calculation of surface soak scans). If Use deck pressure as pressure offset selected, pressure from first scan in file is used as a pressure offset in determining scans related to surface soak (this affects only marking of surface soak scans, and has no effect on pressure data in file). Drawing below illustrates algorithm for removal of surface soak data.
  • Exclude scans marked bad: If selected, scans previously marked with badflag (for example, in a previous run of Loop Edit) will not be evaluated. If not selected, scans previously marked with badflag will be reevaluated, and scan’s flag will be reset accordingly.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Loop Edit adds the following to the data file header:
LABEL | DESCRIPTION
Loopedit_date | Date and time that module was run.
Loopedit_in | Input .cnv converted data file.
Loopedit_minVelocity | If Fixed Minimum Velocity was selected - minimum CTD velocity for good scans; scans with velocity less than this are marked with badflag.
Loopedit_percentMeanSpeed | If Percent of Mean Speed was selected - minimum CTD velocity for first time window, window size, and percent of mean speed for good scans; scans that do not meet this criteria are marked with badflag.
Loopedit_surfaceSoak | If Remove surface soak was selected – minimum soak depth, maximum soak depth, and whether to use deck pressure as a pressure offset (1 = yes, 0 = no).
Loopedit_excl_bad_scans | If yes, do not evaluate scans marked with badflag in a previous run of Loop Edit.

See Also


Wild Edit

Wild Edit marks wild points in the data by replacing the data value with badflag. The badflag value is documented in the input .cnv header. Wild Edit’s algorithm requires two passes through the data: the first pass obtains an accurate estimate of the data’s true standard deviation, while the second pass replaces the appropriate data with badflag.

NOTE
Wild Edit marks individual data (for example, a conductivity value) with badflag, but does not mark the entire scan (which may include other data that is valid, such as temperature, pressure, etc.).

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Standard deviations for pass one and pass two, and Scans per block: Wild Edit operates as follows:
    1. Compute mean and standard deviation of data in block (specified by Scans per Block) for each selected variable. Temporarily flag values that differ from mean by more than standard deviations specified for pass 1.
    2. Recompute mean and standard deviation, excluding temporarily flagged values. Mark values that differ from mean by more than standard deviations specified for pass 2 by replacing data value with badflag.
    3. Repeat Steps 1 and 2 for next block of scans.

If last block of data in input file has less than specified number of scans, use data from previous block to fill in block.

  • Keep data within this distance of mean: Do not flag data within this distance of mean, even if it falls outside specified standard deviation. Set to a value where difference between data and mean would indicate a wild point. May need to use if data is very quiet (for example, a single bit change in voltage may cause data to fall outside specified standard deviation and be marked bad). A typical sequence for using parameter follows:
    1. Run Wild Edit for all desired variables, with parameter set to 0.
    2. Compare output to input data. If a variable’s data points that are very close to mean were set to badflag:
      1. Rerun Wild Edit for all other variables, leaving parameter at 0 and overwriting output file from Step 1.
      2. Rerun Wild Edit for quiet variable only, setting parameter to desired value to prevent flagging of data close to mean.
  • Exclude scans marked bad: If selected, data from scans marked with badflag in Loop Edit will not be used in calculating mean and standard deviation.
  • Select Wild Edit Variables: Select which variables to run Wild Edit on.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
If the data file is particularly corrupted, you may need to run Wild Edit more than once, with different block sizes and number of standard deviations.

If the input file has some variables with large values and some with relatively smaller values, it may be necessary to run Wild Edit more than once, varying the value for Keep data within this distance of mean so that it is meaningful for each variable. Better results may also be obtained by increasing Scans per block from 100 to around 500.

Example: Sensor A’s range is approximately 1000 and Sensor B’s range is approximately 10. Run Wild Edit on Sensor A, using Keep data within this distance of mean = 10. Then run Wild Edit on Sensor B, using Keep data within this distance of mean = 0.1

Wild Edit adds the following to the data file header:
LABEL | DESCRIPTION
Wildedit_date | Date and time that module was run.
Wildedit_in | Input .cnv converted data file.
Wildedit_pass1_nstd | Number of standard deviations for pass 1 test.
Wildedit_pass2_nstd | Number of standard deviations for pass 2 test.
Wildedit_pass2_mindelta | Keep data within this distance of mean.
Wildedit_npoint | Number of points to include in each test.
Wildedit_vars | List of the variables tested for wild points.
Wildedit_excl_bad_scans | If yes, values in scans marked with badflag (in Loop Edit) will not be used to determine standard deviation.

See Also


Window Filter

Window Filter provides four types of window filters and a median filter for data smoothing of .cnv files:
  • Window filters calculate a weighted average of data values about a center point and replace the data value at the center point with this average.
  • The median filter calculates a median for data values about a center point and replaces the data value at the center point with the median.
The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Exclude scans marked bad: If selected, data from scans marked with badflag in Loop Edit will not be used.
  • Specify Window Filters: Select which variables to run Window Filter on, and specify the filters.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
The Specify Window Filters dialog box looks like this:

For each variable select the filter type: none, boxcar, cosine, gaussian, median, or triangle filter. A dialog box appears to enter applicable filter parameters, which then display in Parameters column.

Descriptions and Formulas

Shape and length define filter windows:
Window Filter provides four window shapes: boxcar, cosine, triangle, and gaussian.
The minimum window length is 1 scan, and the maximum is 511 scans. Window length must be an odd number, so that the window has a center point. If a window length is specified as an even number, Window Filter automatically adds 1 to make the length odd.

Window Filters
The window filter calculates a weighted average of data values about a center point, using the following transfer function:

The figure below shows the impulse response of each of the four filter types for a filter of length 17 scans. The impulse response of a filter is obtained by filtering a data set that has zeros everywhere except one data value that is set to 1.

The window filtering process is similar for all filter types:
  1. Filter weights are calculated (see the equations below).
  2. Filter weights are normalized to sum to 1.
    • When a bad data point (scan marked with badflag if exclude scans marked bad was selected or data value marked with badflag) is encountered, the weights are renormalized, excluding the filter element that would operate on the bad data point.
NOTE
In the window filter equations:
  • L = window length in scans, (always an odd number)
  • n = window index, -L/2 to +L/2, with 0 the center point of the window
  • w(n) = set of window weights

The gaussian window has parameters of halfwidth (in scans) and offset (in time), in addition to window length (in scans). These extra parameters allow data to be filtered and shifted in time in one operation. Halfwidth determines the width of the gaussian curve. A window length of 9 and halfwidth of 4 produces a set of filter weights that fills the window. A window length of 17 and halfwidth of 4 produces a set of filter weights that fills only half the window. If the filter weights do not fill the window, the offset parameter may be used to shift the weights within the window without clipping the edge of the gaussian curve.

Example: Window length is 33 scans and halfwidth is 4 scans. Offset is -3 seconds in the left curve, 0 in the middle curve, and +3 seconds in the right curve.

Note that the window length in the example is larger than the halfwidth. This allows the complete gaussian curve to be expressed in the window when the offset parameter shifts the curve forward or backward in time. If the halfwidth was larger, the trailing edge of the -3 second offset curve would be truncated and the leading edge of the +3 second curve would be truncated. The offset parameter moves the gaussian shape of the window weights forward or backward in time. Since the weighted average is calculated for a data value in the center of the window, this has the effect of shifting the data that the filter is operating on forward or backward in time relative to the other data in the file. This capability allows filtering and time shifting to be done in one step.

Median Filter: Description
The median filter is not a smoothing filter in the same sense as the window filters described above. Median filtering is most useful in spike removal. A median value is determined for a specified window, and the data value at the window’s center point is replaced by the median value.

Window Filter has the following /x parameter when running from the Command Line Options dialog box, from the command line, or with batch file processing:
LABEL | DESCRIPTION
/xwfilter:diff | Output difference between original and filtered value instead of outputting filtered value
See Command Line Options, Command Line Operation, and Batch File Processing for details on using parameters.

Window Filter adds the following to the data file header:
LABEL | DESCRIPTION
Wfilter_date | Date and time that module was run.
Wfilter_in | Input .cnv converted data file.
Wfilter_excl_bad_scans | If yes, values in scans marked with badflag in Loop Edit will not be used.
Wfilter_action | Data channel identifier, filter type, filter parameters.

See Also


File Manipulation Introduction

SBE Data Processing includes the following file manipulation modules:

Module Name | Module Description
ASCII In | Add header information to a .asc file containing rows and columns of ASCII data.
ASCII Out | Output data portion and/or header portion from .cnv converted data file to an ASCII file (.asc for data, .hdr for header). Useful for exporting converted data for processing by other (non-Sea-Bird) software.
Section | Extract rows of data from .cnv converted data file.
Split | Split data in .cnv converted data file into upcast and downcast files.
Strip | Extract columns of data from .cnv converted data file.
Translate | Convert data format in .cnv converted data file from ASCII to binary, or vice versa.


ASCII In

ASCII In adds a header to a .asc file that contains rows of ASCII data. The data can be separated by spaces, commas, or tabs (or any combination of spaces, commas, and tabs). The output file, which contains both the header and the data, is a .cnv file. ASCII In can be used to add a header to data that was generated by a non-SEASOFT program.

The File Setup tab in the dialog box for all the modules is similar. See File Setup Tab. ASCII In does not have a Header View tab, because the input .asc file does not have a header.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Scan interval variable: Select whether interval between scans is based on time, pressure, or depth. This information is put in header.
  • Scan interval value: Select interval value (time, pressure, or depth between scans). This information is put in header.
  • Select Column Names: Select variable name associated with each column of data, to be put in header. Selection list includes all variables that can be output by Data Conversion and Derive, as well as user-defined variable names.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
ASCII In creates a data file header containing the following information:
LABEL | DESCRIPTION
Nquan | Number of columns (fields) of data. NOTE: ASCII In automatically adds 1 field to the number of fields in the input .asc file (i.e., if the .asc file contains 3 columns of data, then nquan=4). This field, initially set to 0, is used by Loop Edit to mark bad scans.
Nvalues | Number of scans converted.
Units | Specified (indicates units are specified separately for each variable).
Name n | Sensor (and units) associated with data in column n.
Span n | Span (highest - lowest value) of data in column n.
Interval | Scan rate (seconds).
Start_time | Start time for when ASCII In was run.
Bad_flag | Provided for information only; value that Loop Edit will use to mark bad scans and Wild Edit will use to mark bad data values.
Asciiin_in | Input .asc data file.
File type | Selected output file type ascii data.

See Also


ASCII Out

ASCII Out outputs the header portion and/or the data portion of a converted data file (.cnv).
  • The data portion is written in ASCII engineering units to a .asc file, and may be useful if you are planning to export converted data for processing by other (non-Sea-Bird) software.
  • The header portion is written to a .hdr file.
The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Output header file: If selected, the header portion of the input file is written to a .hdr file.
  • Output data file: If selected, the data portion of the input file is written to a .asc file.
  • Lines per page: If columns are labeled at top of each page in output data file, form feed character is inserted after selected number of lines/page.
  • Exclude scans marked bad: If selected, scans marked with badflag in Loop Edit will not be output in data file.
  • Label columns: Label columns for output data file at top of file, top of each page, or with no column labels.
  • Column separator: Separate columns for output data file with a space, tab, semi-colon, or colon.
  • Julian days conversion format: Date format for output data file (applicable if date selected as output variable).
  • Convert elapsed and system time to mm/dd/yyyy hh:mm:ss: If selected, elapsed and/or system time is converted to this format – for example, 04/10/2005 13:43:56 (applicable if elapsed time and/or system time selected as output variable).
  • Add first column: If selected, a column is inserted in the output data file before the first column of data, with specified First column name and First column value (data value).
  • Replace bad flag: If selected, all occurrences of badflag in input file (occurrences in flag column as well as in data columns) are replaced with specified value in output data file. This may be useful for plotting purposes, as SBE Data Processing uses a very small number (-9.990e-29) for badflag, which looks like 0 in a plot.
  • Select Output Variables: Select which variables to include in output data file.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
ASCII OUT has the following /x parameters when run from the Command Line Options dialog box, from the command line, or with batch file processing:
LABEL | DESCRIPTION
/xascii_out:first_column_ value=string | String = value (maximum of 11 characters) placed in each row of column inserted before first column of data.
/xascii_out:label_format= mon/day/yr_hh:mm | mon/day/yr is heading for date column; hh:mm is heading for time column.
See Command Line Options, Command Line Operation, and Batch File Processing for details on using parameters.

ASCII Out does not add anything to the data file header. The output header (.hdr) file contains the header from the input (.cnv) file.

See Also


Section

Section extracts rows of data from the input .cnv file, based on a pressure range or scan number range, and writes the rows to an output .cnv file.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Section based on: pressure range or scan range
  • Pressure section cast: select Upcast or Downcast (applicable if section is based on pressure)
  • Minimum value and Maximum value: Section writes to the output file all rows of data that fall within this range of pressure or scan number.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Section adds the following to the data file header:
LABEL | DESCRIPTION
Section_date | Date and time that module was run.
Section_in | Input .cnv converted data file.
Section_type | Evaluate data based on pressure or scan range.
Section_range | Range of (pressure or scan count) data to keep.

See Also


Split

Split separates the data from an input .cnv file into upcast (pressure decreasing) and downcast (pressure increasing) files. Split writes the data to an output .cnv file(s). The upcast output file name is the input file name prefixed by u. The downcast output file name is the input file name prefixed by d.

NOTE
Bin Average provides the option of processing upcast, downcast, or both, possibly removing the need to run Split.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Output files: Output an upcast file (prefix u) and downcast (prefix d) file, or just a downcast (prefix d) file.
  • Exclude scans marked bad: If selected, scans marked with badflag (in Loop Edit) will not be used to identify maximum pressure. Maximum pressure defines when downcast ends and upcast begins. Note that pressure values marked with badflag in Wild Edit are never used to determine maximum pressure.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Split adds the following to the data file header:
LABEL | DESCRIPTION
Split_date | Date and time that module was run.
Split_in | Input .cnv converted data file.
Split_excl_bad_scans | If Yes, pressure from scans marked with badflag (in Loop Edit) were not used to determine maximum pressure (for determining when downcast ends and upcast begins).

See Also


Strip

Strip outputs selected columns of data from the input .cnv file. Strip writes the data to an output .cnv file.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Select Included Variables: Select which variables (columns of data) to output. A dialog box appears with a list of possible variables.
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Strip adds the following to the data file header:
LABEL | DESCRIPTION
Strip_date | Date and time that module was run.
Strip_in | Input .cnv converted data file.

See Also


Translate

Translate changes the converted data file format from binary to ASCII or vice versa, and writes the data to an output .cnv file.

The File Setup and Header View tabs in the dialog box for all the modules are similar. See File Setup Tab and Header View Tab.

The Data Setup tab in the dialog box looks like this:

The dialog box entries and buttons are:
  • Translation: Switch from:
    • Binary to ASCII,
    • ASCII to binary,
    • Binary to ASCII or ASCII to binary, as applicable
  • Start Process: Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.
Translate adds the following to the data file header:
LABEL | DESCRIPTION
File_type | File type changes to ascii or binary, as applicable.

See Also


Sea Plot Introduction

Sea Plot can be used to plot C, T, and P, as well as derived variables and data from auxiliary sensors, from any converted .cnv data file. Sea Plot can:
  • Plot up to 5 variables on one plot, with a single X axis and up to 4 Y axes or a single Y axis and up to 4 X axes.
  • Plot any variable on a linear or logarithmic scale (logarithmic scale not applicable to TS plots).
  • Derive and plot derived salinity and/or derived density, if conductivity, temperature, and pressure data are in the input file. This allows you to skip running Derive if salinity and density are the only derived parameters you are interested in. Alternatively, you can calculate and plot derived salinity and/or derived density even if salinity and density are already in the input file; the values may differ because of processing steps performed on C, T, or P after Derive was run.
  • Plot time series data; the time scale selections include Julian Days, elapsed time in hours, minutes, or seconds, or date and time.
  • Create contour plots, generating density (sigma-t or sigma-theta) or thermosteric anomaly contours on temperature-salinity (TS) plots.
  • Process and plot multiple input files that contain the same variables and with the same setup parameters, each on their own plot, allowing the user to quickly switch the view from one file to the next.
  • Process and plot multiple input files that contain the same variables on an overlay plot, allowing the user to view multiple sets of data at the same time. If desired, the user can offset each file on the plot to create a waterfall plot.
  • Zoom in on plot features.
  • Send plots to a printer, save plots to the clipboard for insertion in another program (such as Microsoft Word), or save plots as graphic files in bitmap, metafile, or JPEG format.
  • Run in batch processing mode.
NOTES
  • Algorithms used for calculation of derived parameters in Data Conversion, Derive, Sea Plot, SeaCalc II, and Seasave are identical, except as noted. See Derived Parameter Formulas.
  • Converted data (.cnv) files are typically created in Data Conversion and manipulated in other SBE Data Processing modules. Sea Plot can plot data at any point after Data Conversion has been run.
    - For SBE 37 (firmware < 3.0), 39, 39-IM, and 48, a converted (.cnv) data file is created from an uploaded .asc file using the Convert toolbar button in SEATERM.
    - For SBE 37 with firmware version 3.0 and later, a converted (.cnv) data file is created from an uploaded .xml file using Convert .XML data file in the Tools menu in SeatermV2, Seaterm232, Seaterm485, or SeatermIM.
  • When plotting date and time, the following restrictions apply:
    • On the Plot Setup tab, select Single X – Multiple Y or Single X – Multiple Y, Overlay for plot type.
    • On the X Axis tab, select Julian days or Elapsed time for the variable, and select Show as Date/Time.
    • On the X-Axis tab, do not select Reverse scale direction.
The Sea Plot dialog box looks like this:

The Sea Plot window contains the following tabs:
  • File Setup tab -- defines Program Setup file; input data file(s); output type, orientation, and (if applicable) file name
  • Plot Setup tab -- defines plot type, scans to be included, and plot layout (title, color, font, grid lines, etc.)
  • Axis Setup tabs -- defines plot variable, scale, and line type
  • Header View tab -- views the existing header in the input data file(s)
The window’s menus are described below:
  • File
    • Start Process -- begin to process and plot data
    • Open -- select a different program setup (.psa) file. The .psa file contains all the information entered in the File to store all information input in the File Setup, Plot Setup, and Axis tabs -- input and output file names and all plot parameters.
      NOTE:       Previous versions (5.30a and earlier) of SBE Data Processing used program setup files with a .psu extension instead of a .psa extension. Program setup files with a .psa extension can be opened, viewed, and modified in any text editor or XML editor. SBE Data Processing can still use your existing .psu files. However, if you make any changes to the setup (for example, change output variables), SBE Data Processing will save the changes to a new .psa file.
    • Save or Save As -- save all current settings to a .psa file
    • Restore -- restore all settings to match last saved .psa file
    • Default File Setup -- reset all settings on File Setup tab to defaults
    • Default Data Setup -- reset all settings on Plot Setup and Axis tabs to defaults
    • Exit or Save & Exit -- return to SBE Data Processing window.
  • Options
    • Confirm Program Setup Change -- If selected, Sea Plot provides a prompt to save the program setup (.psa) file if you make changes and click the Exit button or select Exit in the File menu without clicking or selecting Save or Save As. If not selected, Sea Plot changes Exit to Save & Exit; to exit without saving changes, use the Cancel button.
    • Overwrite Output File Warning - If selected, Sea Plot provides a warning if a program setup (.psa) or graphics file will overwrite an existing file. If not selected, Sea Plot automatically overwrites an existing file with the same file name.
    • Sort Input Files –
      If selected, Sea Plot sorts the input files in alphabetical order.
      If not selected, Sea Plot maintains the order of the files as you selected them using the Ctrl key; use this feature if there is a particular data set you want to use as the       base on a waterfall overlay plot. Note that using the Shift key to select files will not maintain the selected order.


Sea Plot File Setup Tab

The File Setup tab defines the Program Setup file; input data file(s); and output type, orientation, and (if applicable) file name. The File Setup tab looks like this:

The dialog box entries and buttons are:
  • Program setup file:
    File to store all information input in File Setup, Plot Setup, and Axis tabs.     Open to select a different .psa file, Save or Save As to save current settings, or Restore to reset all settings to match last saved version.
    NOTE:     Previous versions (5.30a and earlier) of SBE Data Processing used program setup files with a .psu extension instead of a .psa extension. Program setup files with a .psa extension can be opened, viewed, and modified in any text editor or XML editor. SBE Data Processing can still use your existing .psu files. However, if you make any changes to the setup (for example, change output variables), SBE Data Processing will save the changes to a new .psa file.
  • Input directory and input files:
    Directory and file names for input (.cnv) data.     Select to pick a different file. To process multiple data files from same directory:
    1. Click Select.
    2. In Select dialog box, hold down Ctrl key while clicking on each desired file.

If multiple files are selected, header in each file must contain same set of sensors and variables.

For overlay plots:

    • If Sort Input Files selected in Options menu: Sea Plot sorts input files in alphabetical order.
    • If Sort Input Files not selected in Options menu: Sea Plot maintains order of files as you selected them using the Ctrl key. Use this feature if there is a particular data set you want to use as the base on a waterfall overlay plot. Note that using the Shift key to select files will not maintain the selected order.
  • Output Information:
    Information entered here is default information, and is only used automatically for batch processing or when running with the     Auto start command line option. For all other cases, Sea Plot does not automatically print or output the plot to a file when you click Start Process. You can choose to print or output the plot to a file while viewing a plot; the output destination and parameters (size, file name, etc.) can be easily changed at that time.
    • Output to:
      Printer, Metafile (.wmf), JPEG (.jpg), or Bitmap (.bmp). Note that when viewing a plot, you can also select to output the plot to the clipboard; from the clipboard, you can paste the plot into another application (such as Microsoft Word).
    • Orientation:
      Applicable only for outputting to a printer. Driver default, Landscape, or Portrait. If Driver default is selected, orientation will be determined by the default for the printer you select.
    • Print full page:
      Applicable only for outputting to a printer. If selected, Sea Plot sizes the output plot to fit on an 8 1/2 x 11 inch page (standard U.S. paper size). If not selected, input the desired plot size (      Units, Width, and Height).
    • Units, Width, and Height:
      Plot size. Applicable when outputting to the printer (if       Print full page was not selected), or to a graphics file.
    • Output directory, Name append, and Output file:
      Default directory and file name (can be easily changed while viewing plot) for outputting .wmf, .jpg, or .bmp graphic file.
      If more than 1 data file is to be processed,       Output file field disappears and output file names are set to match input file names. For example, if processing test.cnv and test1.cnv, and outputting .jpg files, output files will be test.jpg and test1.jpg.
      Sea Plot adds       Name append to (each) output file name, before the extension. For example, if processing test.cnv and test1.cnv with a Name append of CTDpH, and outputting .jpg files, output files will be testCTDpH.jpg and test1CTDpH.jpg.
  • Start Process:
    Begin processing data. Status field shows     Processing complete when done.
  • Exit or Save & Exit:
    Return to SBE Data Processing window:
    • If Confirm Program Setup Change selected in Options menu -- Button says Exit. If you made changes on any dialog box tab and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change not selected in Options menu -- Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.


Sea Plot Plot Setup Tab

The Plot Setup tab defines the plot type, scans to be included, and plot layout (title, color, font, grid lines, etc.). The Plot Setup tab looks like this:

The dialog box entries and buttons are:
  • Plot type:
    Sea Plot can plot up to 5 variables on one plot:
    • Single X - Multiple Y (1 X-axis and up to 4 Y-axes)
    • Single X - Multiple Y, Overlay (1 X-axis and up to 4 Y-axes, overlaying data from multiple files on 1 plot)
    • Single Y - Multiple X (1 Y-axis and up to 4 X-axes)
    • Single Y - Multiple X, Overlay (1 Y-axis and up to 4 X-axes, overlaying data from multiple files on 1 plot)
    • TS Plot (temperature vs salinity, with density or thermosteric anomaly contours)
    • TS Plot, Overlay (TS plot, overlaying data from multiple files on 1 plot)
  • Overlay Setup:
    Enabled if an overlay plot type is selected. See Sea Plot Overlay Setup.
  • TS Plot Setup:
    Enabled if a TS plot type is selected. See Sea Plot TS Plot Setup.
  • Plot title:
    Enter the desired     Title and Title color for the plot. Select Add file name to title to add the input data (.cnv) file name to the title. For example, if you enter the title as P vs T, select Add file name to title, and the data file name is October1.cnv, the title will be P vs T, October1.cnv.
  • Font:
    Select the     Font type and Font size (small, medium, or large) for all the text. Sea Plot displays an example of the font type to the right of the font selection. Note that the list of available fonts is dependent on what fonts are installed on your computer.
  • Grid:
    Select the desired     Grid Lines (none, Horizontal and Vertical, Horizontal, or Vertical), Grid style (thin or thick solid line, dotted line, or dashed line), and whether to place the Grid in front of the plotted data.
  • Background Color:
    Select the desired background color(s).     Inside Background Color defines the color within the plot axes. Outside Background Color defines the color outside the plot axes.
  • Symbol size:
    If     Monochrome plot or Plot symbols only is selected, this sets the size (small, medium, or large) of the symbol for each variable.
  • Symbol frequency:
    If     Monochrome plot is selected, this sets the frequency for plotting the symbols (0 = least frequent; 9 = most frequent). If symbols are plotted too frequently, they will create the illusion of a very thick line, making the line details difficult to see.
  • Monochrome plot:
    If selected, Sea Plot substitutes black lines with symbols for the colors you select for each axis (Colors and symbols are defined on Axis setup tabs for non-overlay plots. For overlay plots, click Overlay Setup button to define). Monochrome plot enables you to set up the axes with colors for viewing on screen, and then quickly switch to black lines with symbols for printing to a black and white printer.
  • Plot symbols only:
    If selected, Sea Plot marks each individual data point with a symbol, and does not connect the symbols with a line. (Symbols are defined on Axis setup tabs for non-overlay plots. For overlay plots, click Overlay Setup button to define).
  • Show line legends:
    If selected, Sea Plot shows the line legends below the plot title. The legend indicates the line color and type (for color plots) or line symbol and type (for monochrome plots). For overlay plots, the legend indicates the line color / symbol and type only for the first file.
  • Mark data points:
    If selected, Sea Plot marks each individual data point with a dot, and connects the dots. If not selected, Sea Plot just draws a continuous line between data points.
  • Black test axes:
    If selected, create labels for all axes in black.
    If     not selected:
    - Axis label color matches selected plot color for each variable.
    - For overlay files, colors match colors for variables in     first file.
  • Show plot shadow:
    If selected, Sea Plot creates a shadow effect to the bottom and right of the axes.
  • Auto range padding % (0 - 20% range):
    Applicable only if     Auto range is selected on the Axis setup tab.
    This defines how much space is between the axes and the maximum and minimum plotted values. For 0%, the maximum and minimum values will plot on the axes.
  • Process options: See Process Options.
  • Start Process:
    Begin processing data. Status field on File Setup tab shows     Processing complete when done.
  • Exit or Save & Exit:
    Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu - Button says Exit. If you made changes on any dialog box tab and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu - Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.


Sea Plot Process Options

If the Process Options button on Sea Plot’s Plot Setup tab is clicked, the following dialog box appears:
  • Process scans to end of file -- If selected, Sea Plot plots all scans in the file. If not selected, Sea Plot plots Scans to process.
  • Scans to process -- Total number of scans to process.
  • Scans to skip at start -- Sea Plot skips these scans at the beginning of the cast. It then plots the remaining scans, or the number of scans designated by Scans to process.
    Example: If Scans to process is 100 and Scans to skip at start is 10, Sea Plot processes scans 10 through 109.
  • Scans to skip between points -- Sea Plot skips this number of scans between each scan to plot.
    Example: If Scans to process is 10 and Scans to skip at start is 2, Sea Plot plots every other scan (scans 0, 2, 4, 6, and 8).
  • Plot scans marked bad by loop edit -- If selected, Sea Plot plots scans that were marked with a bad flag in Loop Edit. If not selected, Sea Plot omits those data points from the plot. See illustration below.
  • Lift pen over bad data -- If selected, Sea Plot creates a discontinuous line:
    Lifts the pen over data that was marked with a bad flag in Wild Edit, and
    Lifts the pen over scans that were marked with a bad flag in Loop Edit (if Plot scans marked bad by loop edit was not selected). See illustration below.


Sea Plot Overlay Setup

If an overlay plot type is selected on Sea Plot’s Plot Setup tab, the Overlay Setup button is enabled. If clicked, the following dialog box appears:
  • Axis offsets -- Define the distance to separate the plot from each file, for each axis. Offset units match axis units. For example, if Axis 1 is temperature in °C, a 0.2 offset means that file 1 plots at the actual data points, file 2 plots at 0.2 °C more than the actual data points, file 3 plots at 0.4 °C more than the actual data points, etc. This creates a waterfall effect and allows the user to see changes in shape that would be difficult to see if plots were not offset from each other.
    Note:     Axis offsets are not applicable for TS plots.
  • Line Colors -- Select line colors for each axis, for each file. See Overlay Line Colors.
  • Line Symbols -- Select line symbols for each axis, for each file. Applicable if Monochrome Plot or Plot symbols was selected on the Plot Setup tab. See Overlay Line Symbols.
  • Line Types -- Select line types for each axis, for each file. See Overlay Line Types.


Sea Plot Overlay Line Colors

If the Line Colors button is clicked in Sea Plot’s Overlay Setup dialog box, the following dialog box appears:
  • Axis 1, 2, etc. -- Double click on an axis column heading to select a range of colors for that axis, for all files. The color wheel dialog box appears.
  • Set 1, 2, etc. -- Double click on a file (Set) row heading to select a range of colors for that file, for all axes. The color wheel dialog box appears.
  • Specific Box -- Double click on a box to pick a color for the selected axis in the selected file. The color dialog box appears; select the desired color and click OK.
NOTE
If more than 10 files were selected on the File Setup tab, Sea Plot repeats the colors defined for files 1-10. For example, if 20 files were selected, files 1 and 11 have the same color, 2 and 12 have the same color, etc.


Sea Plot Overlay Color Wheel

If an axis column heading or file (Set) row heading is double clicked in Sea Plot’s Line Colors dialog box, the following dialog box appears:
  • Select Starting Color, Select Ending Color – Click Select Starting Color and click the desired starting color in the color wheel. Then click Select Ending Color and click the desired ending color in the color wheel. Sea Plot calculates evenly spaced colors (10 evenly spaced colors if you selected an axis or 4 evenly spaced colors if you selected a file).
  • Brightness – Selected the desired color brightness (1 = least bright; 15 = brightest).
  • Advance clockwise
    If     not selected, Sea Plot calculates colors moving counterclockwise around the circle from the starting to the ending color.
    If     selected, Sea Plot calculates colors moving clockwise around the circle from the starting to the ending color.
To set 1 color for all selected lines, click Select Starting Color and enter the desired color value in the box; then tab to the Select Ending Color box and enter the same value again.


Sea Plot Overlay Line Symbols

If the Line Symbols button is clicked in Sea Plot’s Overlay Setup dialog box, the following dialog box appears:
  • Axis 1, 2, etc. --Double click on an axis column heading to select the same line symbol for that axis, for all files. The line symbol dialog box appears; make the desired selection and click OK.
  • Set 1, 2, etc. -- Double click on a file (Set) row heading to select the same line symbol for that file, for all axes. The line symbol dialog box appears; make the desired selection and click OK.
  • Specific Box -- Pull down on a box to pick a line symbol for the selected axis in the selected file.
NOTE
If more than 10 files were selected on the File Setup tab, Sea Plot repeats the line symbols defined for files 1-10. For example, if 20 files were selected, files 1 and 11 have the same line symbol, 2 and 12 have the same line symbol, etc.


Sea Plot Overlay Line Types

If the Line Types button is clicked in Sea Plot’s Overlay Setup dialog box, the following dialog box appears:
  • Axis 1, 2, etc. -- Double click on an axis column heading to select the same line type for that axis, for all files. The line type dialog box appears; make the desired selection and click OK.
  • Set 1, 2, etc. -- Double click on a file (Set) row heading to select the same line type for that file, for all axes. The line type dialog box appears; make the desired selection and click OK.
  • Specific Box -- Pull down on a box to pick a line type for the selected axis in the selected file.
NOTE
If more than 10 files were selected on the File Setup tab, Sea Plot repeats the line types defined for files 1-10. For example, if 20 files were selected, files 1 and 11 have the same line type, 2 and 12 have the same line type, etc.


Sea Plot TS Plot Setup

If a TS plot type is selected on Sea Plot’s Plot Setup tab, the TS Plot Setup button is enabled. The TS Plot Setup defines the contour lines for the plot; the user selects from the following contour types:
  • Density contours – Sea Plot calculates and plots sigma-t contours if temperature is plotted, or sigma-theta contours if potential temperature is plotted (see Sea Plot Axis Setup Tabs for selection of temperature parameter).
  • Thermosteric anomaly contours
The units for the parameters in the input file do not affect the contour calculations. For example, temperature could be in °C of °F, ITS-90 or ITS-68; Sea Plot performs the required conversions to calculate the contours.

The following table defines the required input parameters for various combinations of temperature, salinity, and contours:
To plot: | Input .cnv file must include:
temperature, salinity, density sigma-t or temperature, salinity, thermosteric anomaly | temperature, salinity
temperature, derived salinity, density sigma-t or temperature, derived salinity, thermosteric anomaly | temperature, conductivity, pressure
potential temperature, salinity, density sigma-t or potential temperature, salinity, thermosteric anomaly | potential temperature, salinity
potential temperature, derived salinity, density sigma-t or potential temperature, derived salinity, thermosteric anomaly | potential temperature, temperature *, conductivity, pressure
* Derived salinity requires actual temperature in the input file. Potential temperature cannot be used in calculation of derived salinity.

If the TS Plot Setup button is clicked, the following dialog box appears:
  • Contour variable – Variable to be calculated and plotted on contour lines -- density (sigma-t or sigma-theta) or thermosteric anomaly. These variables are calculated by Sea Plot from the data in the input .cnv file, and do not need to be in the input file.
  • Starting contour value is the lowest value of the contour variable to be plotted. The first contour line is plotted at this value; subsequent lines are plotted at every Contour interval.
  • Significant digits – Number of significant digits to the right of the decimal point for contour line labels.
  • Points per line – Defines contour line smoothness (10 = least smooth; 200 = smoothest).
  • Label position – Distance of the contour line labels from the Y axis as a % of the X axis size (0% = label contour lines on the Y axis; 100% = label contour lines at the far right of the plot).
  • Label size –Type size of the contour line values (1 = smallest; 10 = largest).
  • Contour line type – Select contour line thickness.
  • Contour line color – Select contour line color for color plots. Button is not enabled if monochrome plot was selected on Plot Setup tab.


Sea Plot Axis Setup Tabs

Each Axis Setup tab defines a plot variable, scale, and line type. Detailed below are the following types of axis setup tabs:
  • Tabs labeled X Axis and Y Axis if an X-Y plot was selected on the Plot Setup tab.
  • Tabs labeled Temperature and Salinity if a TS plot was selected on the Plot Setup tab.

X-Y Axis Setup Tabs

An Axis Setup tab looks like this for X-Y plots (X Axis 2 tab shown; other axis tabs are similar):

The dialog box entries and buttons are:
  • Include axis:
    If selected, Sea Plot includes this axis in the plot. Sea Plot can plot up to five variables (one Y and four X, or one X and four Y). At least one X and one Y variable is required, so this selection is available only on the Axis Setup tab for the third, fourth, and fifth axis.
    If you deselect an axis, all axes numbered above that axis are automatically deselected. Example: You selected Single Y - Multiple X for the Plot type on the Plot Setup tab. The Axis tabs are then labeled Y Axis, X Axis 1, X Axis 2, X Axis 3, and X Axis 4. Initially, you select Include axis on each of the Axis setup tabs. If you then deselect Include axis on the X Axis 2 tab, it is deselected on the X Axis 3 and X Axis 4 tabs.
  • Variable:
    Drop down list includes all variables in the selected data (.cnv) file. Sea Plot indicates the range of data for the selected variable, to assist you in setup of the plot scale.
    The range is the full range of data in the input file(s),     and does not reflect your selection of Scans to process, Scans to skip at start, Scans to skip between points, etc. in the Process Options dialog box. If the file contains data collected while the instrument was in the air, the range reflects these values. If multiple files were selected on the File Setup tab, the range is the lowest value in all the files to the highest value in all the files. If the selected variable is derived salinity or derived density, the variable range shown is 0 to 0, because Sea Plot does not know the derived salinity or density values until you click Start Process and it begins to calculate the derived values.
    The order in the drop-down list     reflects the order of the variables in the file. If the file contains multiple occurrences of a variable (for example, you calculated salinity in Data Conversion and then again in Derive, after aligning and filtering the data), the list adds a suffix (1st, 2nd, 3rd, etc.) to the variable name; do not confuse this with labeling for data from duplicate sensors (for example, Salinity, 2[PSU] 1st is the first occurrence in the file of salinity calculated from secondary temperature and conductivity sensor data). Make sure to select the desired variable for plotting.
  • Variable label:
    Select Label axis with variable name to use the variable name as listed in the drop down Variable list, or enter a Custom label for the axis.
  • Line:
    Select the desired Line type, Line color, and Line symbol.
    • The selection of color or monochrome plot, and the inclusion of symbols in the plot, is made on the Plot Setup tab, and applies to all axes.
    • If an overlay plot type was selected on the Plot Setup tab, line type, color, and symbol are grayed out – select these for all files using the Overlay Setup button on the Plot Setup tab.
  • Scale type:
    Select linear or logarithmic scale.
  • Scale range:
    • If neither Auto range or Auto divisions is selected, the user can totally customize the plot, selecting Minimum and Maximum values for the axis, the number of Major divisions on the axis, and the number of Minor divisions between major divisions.
    • If Auto range is selected, Sea Plot selects the axis minimum and maximum values, number of major divisions on the axis, and number of minor divisions between major divisions.
    • If Auto divisions is selected, Sea Plot selects the number of major divisions on the axis, and number of minor divisions between major divisions. The user selects the axis Minimum and Maximum values.

NOTE

Any values that fall outside the user-selected Minimum to Maximum range will plot at the minimum or maximum, as applicable.

  • Reverse scale direction:
    If selected, Sea Plot plots the axis from highest to lowest value. This is typically used when pressure or depth is plotted on the Y axis, so the pressure / depth starts at 0 at the top of the plot and increases as you move down vertically.
  • Start Process:
    Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit:
    Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu - Button says Exit. If you made changes on any dialog box tab and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu - Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.

TS Plot Axis Setup Tabs

An Axis Setup tab looks like this for TS plots (Temperature axis tab shown; Salinity axis tab is similar):

The dialog box entries and buttons are:
  • Variable:
    Drop down list includes all applicable variables in the data (.cnv) file – temperature and potential temperature (for Temperature tab) and salinity (for Salinity tab), as well as derived salinity (for Salinity tab). Sea Plot indicates the range of data for the selected variable, to assist you in setup of the plot scale. The range is the full range of data in the input .cnv file(s), and does not reflect your selection of Scans to process, Scans to skip at start, Scans to skip between points, etc. in the Process Options dialog box. If the file contains data collected while the instrument was in the air, the range reflects these values. If multiple files were selected on the File Setup tab, the range is the lowest value in all the files to the highest value in all the files.
    If the selected variable (on Salinity tab) is derived salinity, the variable range shown is 0 to 0, because Sea Plot does not know the derived salinity values until you click Start Process and it begins to calculate the derived values.
    The order in the drop-down list     reflects the order of the variables in the file. If the file contains multiple occurrences of a variable (for example, you calculated salinity in Data Conversion and then again in Derive, after aligning and filtering the data), the list adds a suffix (1st, 2nd, 3rd, etc.) to the variable name; do not confuse this with labeling for data from duplicate sensors (for example, Salinity, 2[PSU] 1st is the first occurrence in the file of salinity calculated from secondary temperature and conductivity sensor data). Make sure to select the desired variable for plotting.
  • Variable label:
    Select Label axis with variable name to use the variable name as listed in the drop down Variable list, or enter a Custom label for the axis.
  • Line:
    Select the desired Line type, Line color, and Line symbol.
    • The selection of color or monochrome plot, and the inclusion of symbols in the plot, is made on the Plot Setup tab, and applies to all axes.
    • If an overlay plot type was selected on the Plot Setup tab, line type, color, and symbol are grayed out – select these for all files using the Overlay Setup button on the Plot Setup tab.
  • Scale range:
    • If neither Auto range or Auto divisions is selected, the user can totally customize the plot, selecting Minimum and Maximum values for the axis, the number of Major divisions on the axis, and the number of Minor divisions between major divisions.
    • If Auto range is selected, Sea Plot selects the axis minimum and maximum values, number of major divisions on the axis, and number of minor divisions between major divisions.
    • If Auto divisions is selected, Sea Plot selects the number of major divisions on the axis, and number of minor divisions between major divisions. The user selects the axis Minimum and Maximum values.

NOTE

Any values that fall outside the user-selected Minimum to Maximum range will plot at the minimum or maximum, as applicable.

  • Start Process:
    Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit:
    Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu - Button says Exit. If you made changes on any dialog box tab and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu - Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.


Sea Plot Header View Tab

The Header View tab allows you to view the existing header in the input file(s) for the module. The Header View tab looks like this:

Header Display

  • Header lines beginning with * contain header information copied from raw input data file.
  • Header lines beginning with # contain header information describing input converted data (.cnv) file. As each module is run, it adds information to the header, such as the input file name for the module, date and time the module was run, and input parameters. Thus, the header contains a complete record of how the data has been converted, edited, and manipulated.
  • ASCII string *END* flags end of header information.
The dialog box buttons are:
  • Prior and Next
  • If multiple input files are to be processed, switch between input file headers by using these buttons.
  • Start Process
  • Begin processing data. Status field on File Setup tab shows Processing complete when done.
  • Exit or Save & Exit: Return to SBE Data Processing window:
    • If Confirm Program Setup Change was selected in Options menu Button says Exit. If you made changes on any dialog box tab and did not Save or Save As, program asks if you want to save changes.
    • If Confirm Program Setup Change was not selected in Options menu Button says Save & Exit. If you do not want to save changes, use Cancel button to exit.


Viewing Sea Plot Plots

Sea Plot allows you to adjust some plot parameters as you view the plot on screen.
  • Zoom in to enlarge details by clicking and dragging to select a rectangular area. Sea Plot zooms in on that area. You can zoom in several times before reaching the limits of the program. Undo the zoom by selecting Undo Zoom in the View menu.
  • Double click on an axis or axis label (temperature, pressure, etc.), and the appropriate Axis Setup tab appears; double click on the plot title, and the Plot Setup tab appears. This allows you to easily make changes and reprocess data with new plotting parameters.
Shown below are three examples:
  • Multiple X-Y plots, no overlay
  • Multiple TS plots, no overlay
  • X-Y overlay plot
Following the examples is a discussion of the Sea Plot View window's menus.

Multiple X-Y Plots, No Overlay

If plotting multiple files (not as an overlay plot), the title bar indicates which file number is shown and the total number of files plotted. Use the View menu or the keyboard Arrow, Home, or End keys to switch between files.
Shown below is an example X-Y plot:

Multiple TS Plots, No Overlay

If plotting multiple files (not as an overlay plot), the title bar indicates which file number is shown and the total number of files plotted. Use the View menu or the keyboard Arrow, Home, or End keys to switch between files.
Shown below is an example TS plot. The contour lines in the example reflect the following choices in the TS Plot Setup dialog box:
  • Contour variable – density (so Sea Plot calculated and plotted sigma-t)
  • Contour interval – 0.2
  • Significant digits – 2
  • Label position – 5%

X-Y Overlay Plot

Shown below is an example overlay plot that includes offsets to create a waterfall effect. The plot includes 4 files and 2 X axes (temperature and oxygen current). File 1 is red, file 2 is yellow, file 3 is green, and file 4 is blue; temperature lines are solid and oxygen current lines are dashed. The base lines (the red lines, corresponding to file 1) are plotted at the actual data points; other lines are offset from the base line by amounts defined in the Overlay Setup dialog box. The legend, below the title, shows the line color and line type for each axis in the first file only.
For an overlay plot, use Show Plot Legends in the View menu to view a complete list of file names and plot colors or plot symbols (if monochrome plot was select on the Plot Setup tab). You can highlight 1 line, all lines in 1 file, or 1 line in all files with a color or line symbol.

Plot View Menus

The Sea Plot View window’s menus are described below:

Output -- Directs Sea Plot to output plot now to printer, clipboard, or a file. If multiple files are plotted (but not as an overlay), you can output the plot shown on screen or the plots for all files. How the plot is output (size, file type, etc.) is controlled by the Options menu.

Options -- Sets up how the plot is output to the printer, clipboard, or a file.
  • Printer --
    • Orientation – landscape, portrait, or print driver default
    • Print full page -- If selected, Sea Plot will scale plot to fit a full 8 1/2 x 11 inch page. If not selected,
    • Size determined by --
      SeaPlot View Dimensions -- current dimensions of plot as shown on your monitor.
      File Setup       Tab Entries -- entries made on File Setup tab for plot Width and Height.
      Values Entered Below -- dimensions entered in this dialog box (in millimeters).
  • Clipboard --
    • Data format -- Sea Plot will copy plot to clipboard in this format.
    • Size determined by --
      SeaPlot View Dimensions -- current dimensions of plot as shown on your monitor.
      File Setup       Tab Entries -- entries made on File Setup tab for plot Width and Height.
      Values Entered Below -- dimensions entered in this dialog box (in pixels).
  • File --
    • Data format -- Metafile (.wmf), Jpeg (.jpg), or Bitmap (.bmp).
    • Size determined by --
      SeaPlot View Dimensions -- current dimensions of plot as shown on your monitor.
      File Setup       Tab Entries -- entries made on File Setup tab for plot Width and Height.
      Values Entered Below -- dimensions entered in this dialog box (in millimeters).
  • View --
    • Show Cursor – Directs Sea Plot to show the coordinates of the cursor as you move the cursor around when viewing a plot.
    • Next Plot, Prior Plot – Directs Sea Plot to switch between plots, if you selected multiple files on the File Setup tab but are not doing an overlay plot.
    • File name – Lists, and allows you to select from, all input files, if you selected multiple files on the File Setup tab but are not doing an overlay plot.
    • Show plot legends – For overlay plots only, allows you to view a complete list of file names and plot colors or plot symbols (if monochrome plot was selected on the Plot Setup tab). You can highlight a single line, all lines in a selected file, or a selected line in all files with a color or line symbol.
    • Undo Zoom – Directs Sea Plot to return the plot to the original ranges specified on the Axis Setup tabs. Undo Zoom is grayed out unless you have zoomed in (by clicking and dragging to select a rectangular area) to enlarge details.
    • Set Zoomed Ranges -- Directs Sea Plot to substitute the current zoomed ranges of the plot for the Minimum and Maximum plot ranges on the Axis Setup tabs. This gives you the ability to save the ranges of the zoomed view, so you can go to exactly the same view the next time you run Sea Plot. Set Zoomed Ranges is grayed out unless you have zoomed in (by clicking and dragging to select a rectangular area) to enlarge details.


Sea Plot Plot Color Legend

When viewing a color overlay plot, if you select Show Plot Legend in the View menu, the dialog box looks like this:

The dialog box shows the color for each line in each file, and allows you to apply a highlight color to 1 axis in all files, to all lines in 1 file, or to 1 line in 1 file.
  • Highlight Color -- Click to select the desired highlight color. The color dialog box appears; make the desired selection and click OK.
  • Axis 1, 2, etc. -- Double click on an axis column heading to apply the highlight color to that axis, for all files.
  • File 1, 2, etc. -- Double click on a file row heading to apply the highlight color to that file, for all axes.
  • Specific Box -- Double click on a box to apply the highlight color to the selected axis in the selected file.
With the highlight color applied, you can view the plot on screen and output to the printer, a file, or the clipboard. When you click Cancel in the Plot Legend dialog box, the colors return to what they were before you applied the highlight.

Sea Plot includes a similar legend for line symbols if you are viewing a monochrome (black and white) plot.


SeaPlot Plot Line Symbol Legend

When viewing a monochrome (black and white) overlay plot, if you select Show Plot Legend in the View menu, the dialog box looks like this:

The dialog box shows the symbol for each line in each file, and allows you to apply a highlight symbol to 1 axis in all files, to all lines in 1 file, or to 1 line in 1 file.
  • Highlight Symbol -- Pull down to select desired highlight symbol.
  • Axis 1, 2, etc. -- Double click on an axis column heading to apply the highlight symbol to that axis, for all files.
  • File 1, 2, etc. -- Double click on a file row heading to apply the highlight symbol to that file, for all axes.
  • Specific Box -- Double click on a box to apply the highlight symbol to the selected axis in the selected file.
With the highlight symbol applied, you can view the plot on screen and output the plot to the printer, a file, or the clipboard. When you click Cancel in the Plot Legend dialog box, the plot symbols return to what they were before you applied the highlight.

Sea Plot includes a similar legend for line colors if you are viewing a color plot.


SeaCalc II

SeaCalc is a seawater calculator that computes a number of derived variables from one user-input scan of temperature, pressure, etc. SeaCalc has two tabs:

The first tab calculates practical salinity and associated parameters. SeaCalc remembers whether you last changed conductivity or salinity, and calculates other parameters based on this. For example, if you change conductivity, salinity is recalculated; if you then change temperature, salinity is recalculated again (based on input C and T). Conversely, if you change salinity, conductivity is recalculated; if you then change temperature, conductivity is recalculated again (based on input S and T).

Looking at the dialog box, note the following:
  • Enter temperature in ITS-68 or ITS-90. SeaCalc automatically computes the other parameter.
  • Enter conductivity or salinity. SeaCalc automatically computes the other parameter.
  • Reference pressure is used to compute Sigma-ref.
  • Latitude is used to compute gravity and salt water depth.
The second tab calculates absolute salinity and associated parameters. SeaCalc automatically populates this tab with the Practical Salinity, Temperature [ITS-90, deg C], Pressure, Reference Pressure, and Latitude values from the Practical Salinity tab, and requires a Longitude [deg E] entry to calculate Absolute Salinity as well as a number of other parameters derived from Absolute Salinity.

If you go back to the Practical Salinity tab, SeaCalc automatically populates it with values from the Absolute Salinity tab.

NOTES
  • For details on salinity calculations, see Application Note 14: 1978 Practical Salinity Scale and Application Note 90: Absolute Salinity and TEOS-10: Sea-Bird’s Implementation Plans.
  • Algorithms used for calculation of derived parameters in Data Conversion, Derive, Sea Plot, SeaCalc II, and Seasave are identical, except as noted. See Derived Parameter Formulas.